2008-03-02 19:18  pabs

	* [r1839] NEWS, configure.ac: Woops, forgot to bump versions for
	  the dependencies on ETL and synfig.

2008-03-02 19:01  pabs

	* [r1837] NEWS, configure.ac: Releasing 0.61.08!

2008-03-02 15:43  dooglus

	* [r1832] NEWS: Add 'BLine Width' and 'Step' to the list of new
	  ValueNodes.

2008-03-02 14:53  pabs

	* [r1830] AUTHORS, configure.ac, po/fr.po: Add mostly-complete
	  Français translation by Aurore D (rore).

2008-03-01 06:55  pabs

	* [r1827] NEWS: Rewrite the 0.61.08 news entries as summaries
	  instead of essays. Include a link to the releases page for
	  lengthier release notes.

2008-02-29 15:47  dooglus

	* [r1826] po/es.po: Apply 1901639: Checked in new Spanish
	  translations from genete.

2008-02-29 15:36  dooglus

	* [r1825] src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp: Make the layer optimization optional
	  at runtime using the SYNFIG_DISABLE_OPTIMIZE_LAYER_TREE
	  environment variable. Perhaps this will help Windows stability.

2008-02-29 15:35  dooglus

	* [r1823] src/synfig/time.cpp: Add code to output the new time
	  format.

2008-02-29 15:35  dooglus

	* [r1822] src/synfig/time.h: Add a new time format: "frames only".

2008-02-24 20:50  dooglus

	* [r1813] src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/timeloop.h: Add an extra 'symmetrical'
	  parameter to the 'time loop' layer to better be able to convert
	  the 0.1 version of the layer.

2008-02-24 20:50  dooglus

	* [r1812] src/synfig/savecanvas.cpp: Move more code inside the
	  'try' block in an attempt to have studio not crash when it can't
	  write auto-save files.

2008-02-24 05:16  pabs

	* [r1809] src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_bmp/trgt_bmp.cpp, src/synfig/node.cpp,
	  src/synfig/valuenode_animated.cpp: Add a patch from Gerald Young
	  (Yoyobuae) to fix building on Win32 after the mutex changes.

2008-02-20 18:21  dooglus

	* [r1793] src/synfig/main.cpp, src/synfig/version.h: As before, the
	  date is sufficient. Removed get_build_time().

2008-02-20 18:20  dooglus

	* [r1791] src/tool/main.cpp: Let's not include the time of the
	  build in the binary. The date is enough.

2008-02-20 15:30  dooglus

	* [r1788] src/synfig/valuenode_dynamiclist.cpp: When creating a
	  list of vectors, create it looped. This lets polygons be closed
	  by default.

2008-02-19 23:21  dooglus

	* [r1776] po/es.po: Apply 1897389: Revised missed or extra spaces
	  on Spanish translation.

2008-02-19 22:40  dooglus

	* [r1774] po/es.po: Checked in 1897315: Updated Spanish
	  translations for core and studio from genete.

2008-02-19 21:02  dooglus

	* [r1773] src/tool/main.cpp: Add a missing closing bracket.

2008-02-19 18:52  dooglus

	* [r1769] src/synfig/valuenode_bline.cpp: Made
	  ValueNode_BLine::create_list_entry quieter.

2008-02-19 18:51  dooglus

	* [r1761] src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h: New member
	  ValueNode_DynamicList::set_member_canvas() for setting the canvas
	  in each member of a dynamic list.

2008-02-19 00:52  dooglus

	* [r1753] src/synfig/layer_pastecanvas.cpp: Fix 1896557. Allow a
	  subcanvas to be used multiple times at different time offsets.

2008-02-19 00:52  dooglus

	* [r1752] src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp: Use "#define XXX" not "#define XXX 1"
	  for flags we're going to test with "#ifdef", or I get tricked
	  into thinking that changing the "1" to a "0" will disable the
	  feature.

2008-02-17 12:36  dooglus

	* [r1733] src/synfig/paramdesc.cpp: Add keyboard shortcuts to the
	  blend method menus. Needs more work, because now the Params panel
	  shows underscores where the shortcut letters are...

2008-02-17 09:07  dooglus

	* [r1725] src/synfig/waypoint.h: Seems we need to initialise
	  'before' and 'after' to keep the compiler happy now, too.

2008-02-16 04:56  dooglus

	* [r1710] src/synfig/layer_duplicate.cpp: Remove debugging code.

2008-02-16 04:56  dooglus

	* [r1709] src/synfig/layer.cpp: Tidying.

2008-02-16 04:56  dooglus

	* [r1708] src/synfig/valuenode.cpp: Removed some old debug code
	  that was left in accidentally.

2008-02-16 04:55  dooglus

	* [r1707] src/synfig/valuenode.h: Allow the 1st argument of
	  LinkableValueNode::get_description() to default to -1, meaning
	  "no specific link".

2008-02-16 04:55  dooglus

	* [r1705] src/synfig/layer_duplicate.cpp: Typo.

2008-02-15 13:56  dooglus

	* [r1699] src/modules/mod_particle/plant.cpp: The plant layer has
	  used the "width" parameter of the vertices in its bline, but
	  hasn't shown its width ducks until now.

2008-02-15 13:55  dooglus

	* [r1697] src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_particle/plant.cpp, src/synfig/paramdesc.h:
	  ParamDesc::set_scalar(String) and ParamDesc::set_hint(String)
	  were identical. Got rid of set_scalar(String) and use set_hint()
	  instead everywhere.

2008-02-14 17:04  dooglus

	* [r1695] src/synfig/valuenode.cpp: Add SVN revision number for the
	  new convert type. Reformat a little.

2008-02-14 16:58  dooglus

	* [r1694] po/POTFILES.in, src/synfig/Makefile.am,
	  src/synfig/valuenode.cpp,
	  src/synfig/valuenode_blinecalcwidth.cpp,
	  src/synfig/valuenode_blinecalcwidth.h: Add a new valuenode 'Bline
	  Width' for finding the width of a bline at an arbitrary point
	  along the curve.

2008-02-14 15:42  dooglus

	* [r1693] src/synfig/valuenode_step.cpp,
	  src/synfig/valuenode_step.h: Another change to the Step
	  valuenode. Renamed some parameters and added a new one,
	  "Intersection", to allow the steps' values to be determined by
	  the value of "Link" anywhere along the step from the left
	  (Intersection = 0.0) to the right (intersection = 1.0).

2008-02-14 14:25  dooglus

	* [r1692] src/synfig/valuenode_step.cpp,
	  src/synfig/valuenode_step.h: Change the Step valuenode so it can
	  produce any stepped shape, rather than just linear steps. It now
	  takes an input value "Link", along with a step "Width" and an
	  "Offset" which specifies the start time of one of the steps.

2008-02-14 13:00  dooglus

	* [r1691] po/POTFILES.in, src/synfig/Makefile.am,
	  src/synfig/valuenode.cpp, src/synfig/valuenode_step.cpp,
	  src/synfig/valuenode_step.h: Add new valuenode type "Step" to
	  allow values to have a linear stepped value. The value is "value"
	  at "time", and increases by "height" every "width" seconds.

2008-02-14 09:31  dooglus

	* [r1690] src/modules/mod_noise/valuenode_random.cpp: Allow boolean
	  values to be converted to Random. The link's value (0 or 1) has a
	  random value between -radius and radius added to it. If the
	  result <0.5, it's false, else it's true. So with 'link=true' and
	  'radius=1', the result will be between 0 and 2, which is true
	  about 75% of the time. To get a 50:50 split, use a large radius
	  like a million or so.

2008-02-13 01:57  dooglus

	* [r1684] src/synfig/blur.cpp, src/synfig/blur.h,
	  src/synfig/curveset.cpp, src/synfig/curveset.h,
	  src/synfig/layer_shape.cpp: Write "operator()" instead of
	  "operator ()", "operator&" instead of "operator &", etc., to make
	  them easier to search for. Previously both forms were used.

2008-02-11 19:45  dooglus

	* [r1675] src/synfig/canvas.cpp: Fix 1891403: Copy an inline
	  canvas' RendDesc when cloning it.

2008-02-11 13:14  dooglus

	* [r1669] src/synfig/canvas.cpp: Tidying.

2008-02-11 12:45  dooglus

	* [r1668] src/synfig/main.cpp: Tidying.

2008-02-11 02:12  dooglus

	* [r1667] src/tool/main.cpp: List exported canvases recursively -
	  exported canvases can have exported canvases of their own, etc.

2008-02-11 02:12  dooglus

	* [r1666] src/tool/main.cpp: Tidying.

2008-02-11 02:12  dooglus

	* [r1665] src/tool/main.cpp: Add option '--list-canvases' to list
	  exported canvases.

2008-02-10 23:56  dooglus

	* [r1664] src/tool/main.cpp: The --layer-info flag requires an
	  extra parameter. Make sure it has been supplied before trying to
	  read it.

2008-02-10 23:56  dooglus

	* [r1663] src/tool/main.cpp: Remove flags which don't really exist
	  (--frame, --start-frame, --end-frame) from the list of flags that
	  require an extra parameter.

2008-02-10 23:43  dooglus

	* [r1662] src/tool/main.cpp: Document --start-time.

2008-02-10 23:37  dooglus

	* [r1661] src/tool/main.cpp: Document --dpi-x and --dpi-y.

2008-02-10 23:33  dooglus

	* [r1660] src/tool/main.cpp: Don't show aliases for layer names
	  when invoked with "synfig --layers".

2008-02-10 20:54  dooglus

	* [r1659] NEWS: Give full URLs to the bug reports, not just the bug
	  numbers.

2008-02-10 20:01  dooglus

	* [r1657] NEWS: Update NEWS files with most of the changes since
	  the last release.

2008-02-10 17:33  dooglus

	* [r1656] src/synfig/canvas.h: Expand the comment about version 0.3
	  of canvases.

2008-02-10 13:57  dooglus

	* [r1651] src/synfig/layer_pastecanvas.cpp: Added a link to a sif
	  file that demonstrates why r954 was useful.

2008-02-10 09:14  dooglus

	* [r1650] po/es.po: Put the accent back in "Geometria" now that it
	  no longer causes a crash.

2008-02-10 09:14  dooglus

	* [r1649] src/synfig/layer.cpp, src/synfig/module.h: Fix 1863126:
	  Allow accents in the layer category name translations.

2008-02-10 09:13  dooglus

	* [r1648] src/synfig/layer.h: Tidying.

2008-02-10 09:13  dooglus

	* [r1647] src/synfig/module.h: Reformat a couple of macros.

2008-02-10 09:13  dooglus

	* [r1646] src/synfig/layer.cpp: Reformat a couple of macros.

2008-02-10 09:13  dooglus

	* [r1645] src/synfig/layer.h: Format the #defines more clearly.

2008-02-09 19:12  dooglus

	* [r1643] src/modules/example/simplecircle.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_std/bevel.h, src/modules/lyr_std/rotate.cpp,
	  src/modules/lyr_std/shade.cpp, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/timeloop.cpp, src/modules/lyr_std/timeloop.h,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/warp.cpp,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_magickpp/main.cpp,
	  src/modules/mod_magickpp/trgt_magickpp.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/main.cpp,
	  src/modules/mod_noise/valuenode_random.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h, src/synfig/canvas.cpp,
	  src/synfig/canvas.h, src/synfig/color.cpp, src/synfig/color.h,
	  src/synfig/context.cpp, src/synfig/guid.cpp,
	  src/synfig/guidset.h, src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_duplicate.cpp, src/synfig/layer_duplicate.h,
	  src/synfig/layer_motionblur.cpp, src/synfig/layer_motionblur.h,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_pastecanvas.h,
	  src/synfig/layer_shape.cpp, src/synfig/layer_solidcolor.cpp,
	  src/synfig/listimporter.cpp, src/synfig/loadcanvas.cpp,
	  src/synfig/loadcanvas.h, src/synfig/main.cpp,
	  src/synfig/module.h, src/synfig/node.cpp,
	  src/synfig/paramdesc.cpp, src/synfig/rect.h,
	  src/synfig/renddesc.h, src/synfig/savecanvas.cpp,
	  src/synfig/savecanvas.h, src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp, src/synfig/target_tile.h,
	  src/synfig/time.cpp, src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_add.cpp, src/synfig/valuenode_add.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_atan2.cpp, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_blinecalcvertex.cpp,
	  src/synfig/valuenode_blinereversetangent.cpp,
	  src/synfig/valuenode_composite.cpp, src/synfig/valuenode_cos.cpp,
	  src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_duplicate.h,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_exp.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_integer.cpp, src/synfig/valuenode_integer.h,
	  src/synfig/valuenode_linear.cpp,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_reciprocal.cpp,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h,
	  src/synfig/valuenode_scale.cpp, src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h, src/synfig/valuenode_switch.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_timeloop.cpp,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h,
	  src/synfig/waypoint.h, src/tool/main.cpp: Added copyright lines
	  for files I've edited this year.

2008-02-09 18:25  dooglus

	* [r1642] src/modules/mod_bmp/trgt_bmp.cpp,
	  src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h,
	  src/modules/mod_gif/trgt_gif.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_magickpp/main.cpp,
	  src/modules/mod_magickpp/trgt_magickpp.cpp,
	  src/modules/mod_mng/main.cpp, src/modules/mod_mng/trgt_mng.cpp,
	  src/modules/mod_mng/trgt_mng.h, src/modules/mod_noise/distort.h,
	  src/modules/mod_noise/main.cpp, src/modules/mod_noise/noise.cpp,
	  src/modules/mod_noise/noise.h, src/modules/mod_png/mptr_png.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h, src/synfig/importer.cpp,
	  src/synfig/listimporter.cpp, src/synfig/listimporter.h,
	  src/synfig/module.h, src/synfig/node.cpp, src/synfig/node.h,
	  src/synfig/polynomial_root.h, src/synfig/target.h,
	  src/synfig/target_tile.cpp, src/synfig/time.h,
	  src/synfig/timepointcollect.cpp,
	  src/synfig/valuenode_blinereversetangent.h,
	  src/synfig/valuenode_switch.cpp, src/synfig/valuenode_switch.h:
	  Added my "Copyright (c) 2007" notices, for files I edited in
	  2007.

2008-02-09 15:25  dooglus

	* [r1639] po/es.po: Apply 1890089: revised and updated Spanish
	  translation for core and studio from genete.

2008-02-09 02:47  pabs

	* [r1635] configure.ac, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp: Revert to using
	  popen on Win32 since it worked better and doesn't have any more
	  security issues on Win32 than spawnlp

2008-02-09 00:00  dooglus

	* [r1630] src/synfig/timepointcollect.cpp: Tidying.

2008-02-08 14:03  dooglus

	* [r1626] src/modules/mod_noise/main.cpp, src/synfig/Makefile.am,
	  src/synfig/module.h, src/synfig/releases.h,
	  src/synfig/savecanvas.cpp, src/synfig/savecanvas.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_radialcomposite.cpp: Add information about
	  which valuenode types were added in which release. Don't save new
	  types in old format files.

2008-02-08 09:36  dooglus

	* [r1624] src/synfig/savecanvas.cpp, src/synfig/savecanvas.h,
	  src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_radialcomposite.cpp: Allow saving .sif files
	  in a format that can be read by versions 0.61.07 and older.

2008-02-07 23:34  dooglus

	* [r1622] src/synfig/loadcanvas.cpp: Prevent a crash when loading a
	  .sif file with 'use=""' in it.

2008-02-07 22:17  dooglus

	* [r1620] src/synfig/savecanvas.cpp: Delete the 'encode_composite'
	  function. Composite valuenodes are just a special kind of
	  Linkable valuenode and don't need special code to save them.

2008-02-07 11:45  dooglus

	* [r1617] src/synfig/time.cpp: My recent fix for trailing spaces
	  left out spaces when the fps is zero.

2008-02-06 12:13  dooglus

	* [r1606] src/synfig/time.cpp: Don't leave a trailing space on the
	  time if there are no frames.

2008-02-05 19:12  dooglus

	* [r1597] src/synfig/render.cpp: Typo.

2008-02-05 19:12  dooglus

	* [r1596] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h: First step towards
	  fixing the problem of distorted text not rendering correctly at
	  tile borders.

2008-02-05 16:00  dooglus

	* [r1595] src/modules/lyr_std/warp.cpp: Fix a problem with the warp
	  layer where some tiles weren't being rendered.

2008-02-05 12:00  dooglus

	* [r1594] src/modules/synfig_modules.cfg.in: Use 'mod_magickpp' in
	  preference to 'mod_imagemagick'.

2008-02-05 11:40  dooglus

	* [r1590] src/synfig/valuenode.cpp: Improve
	  LinkableValueNode::get_description().

2008-02-05 06:38  pabs

	* [r1586] po/POTFILES.in: Remove mod_ppm trgt_mpg.* from list of
	  files that need to be translated since they are not compiled.

2008-02-05 06:38  pabs

	* [r1585] src/modules/mod_ppm/Makefile.am: Make sure we distribute
	  mod_ppm trgt_mpg.*

2008-02-04 23:35  dooglus

	* [r1584] src/synfig/waypoint.h: Improve the waypoint context
	  menus. Now it's possible to delete and duplicate complete trees
	  of waypoints at once. The 'change interp' functionality has been
	  extended too, so now it's possible to set the interpolation type
	  for the whole waypoint from the context menu as well as just the
	  side that was clicked on, and it's possible for single waypoints
	  as well.

2008-02-04 23:35  dooglus

	* [r1581] src/tool/main.cpp: Show which output target is used if it
	  has been chosen automatically, not specified by the user.

2008-02-04 18:41  dooglus

	* [r1580] src/synfig/layer_pastecanvas.cpp: Prevent a "bad_alloc"
	  error caused by the bounding boxes changing when the user changes
	  parameters while rendering.

2008-02-04 18:41  dooglus

	* [r1579] src/synfig/layer_pastecanvas.cpp: Added some comments.
	  Fixed a crash when composite-blending a pastecanvas onto an empty
	  canvas.

2008-02-04 18:40  dooglus

	* [r1578] src/synfig/layer_shape.cpp: Rename the 'Position'
	  parameter to 'Offset' for all the 'shape' layers.

2008-02-04 18:40  dooglus

	* [r1575] src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h: Add the 'offset' parameter to
	  the Plant layer.

2008-02-04 18:40  dooglus

	* [r1573] src/modules/synfig_modules.cfg.in: Change the order of
	  the modules - magick++ is the last resort, other than the custom
	  GIF output target, which really isn't very good.

2008-02-03 23:11  dooglus

	* [r1571] src/synfig/canvas.cpp: Fix the same bug as the last
	  commit, but better. Deleting from a set doesn't invalidate the
	  set iterator *unless the iterator was pointing at the deleted
	  element*.

2008-02-03 23:03  dooglus

	* [r1570] src/synfig/canvas.cpp: Fix a crash that was only showing
	  up on Windows for some reason. Modifying a set invalidates
	  iterators on that set.

2008-02-03 20:54  dooglus

	* [r1568] src/modules/lyr_std/shade.cpp: Make the quality of the
	  'shade' layer worse at quality 10 than it is at quality 9!

2008-02-03 19:22  dooglus

	* [r1566] src/synfig/valuenode.cpp: Improve the description of a
	  ValueNode to include its exported name if requested to do so.

2008-02-03 18:17  dooglus

	* [r1563] src/synfig/node.cpp: Fix 1885739: Initialise the
	  'time_last_changed' when creating a Node. Previously it was being
	  left at a random value.

2008-02-03 10:29  dooglus

	* [r1562] src/modules/mod_mng/trgt_mng.cpp: Prevent warnings about
	  unused parameters.

2008-02-03 10:19  dooglus

	* [r1561] src/tool/main.cpp: Recognise .GIF and .gIf (ie. upper and
	  mixed case extensions) in the target file name. Previously only
	  lower case extensions were recognised.

2008-02-03 10:08  dooglus

	* [r1560] src/modules/mod_magickpp/main.cpp: List the types that
	  this module can write. First draft, using the output of "identify
	  -list format" to know what formats are writable and grepping
	  imagemagick sources for 'SetMagickInfo' to find the file
	  extensions for those formats.

2008-02-03 10:08  dooglus

	* [r1559] src/modules/mod_magickpp/trgt_magickpp.cpp: Don't number
	  image files if we're creating a single image.

2008-02-03 01:38  pabs

	* [r1558] macosxbuild.sh, synfig.kdevprj, win32build.sh: Get rid of
	  all references to the bootstrap script since it was removed

2008-02-02 21:07  dooglus

	* [r1557] src/synfig/listimporter.cpp: Add 'gif' to the list of
	  extensions recognised by the Papagayo importer.

2008-02-02 20:45  dooglus

	* [r1556] src/synfig/waypoint.h: Prevent a warning from the
	  compiler. These variables are guarded by the *_flag variables, so
	  they're not really being used uninitialised.

2008-02-01 01:58  dooglus

	* [r1542] src/synfig/layer_pastecanvas.cpp,
	  src/synfig/layer_pastecanvas.h: I still think it would be great
	  to get rid of reference counting - read the new comment in
	  layer_pastecanvas.h and you'll almost certainly agree!

2008-01-31 23:43  dooglus

	* [r1541] src/synfig/canvas.cpp: Fix a crash that was happening if
	  we had 2 exported canvases in a .sif file where the 2nd contained
	  a pastecanvas that used the 1st as its canvas. The canvases are
	  destructed in the order in which they appear in the .sif file, so
	  by the time the 2nd is destroyed, the pastecanvas it contains no
	  longer has a valid canvas parameter. The fix is to clear the
	  canvas parameter of any pastecanvases using a canvas when the
	  canvas itself is destroyed.

2008-01-31 17:09  dooglus

	* [r1540] src/synfig/listimporter.cpp: Fix 1879688: Tidied up and
	  checked in a patch from genete to allow importing of lipsynced
	  voice animations from Papagayo.

2008-01-31 14:12  dooglus

	* [r1534] src/synfig/target_tile.h: Change the tile size from 128
	  to 120 and allow all the factors of 120 to be used as the pixel
	  size for low-resolution editing.

2008-01-30 23:53  dooglus

	* [r1528] src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/timeloop.h: Fix 1883030: Version 0.1 of the
	  timeloop layer acted as if it wasn't there whenever its
	  start_time wasn't strictly less than its end_time, whereas the
	  current version works with both positive and negative values for
	  'duration'. This was causing problems with old .sif files which
	  use animated valuenodes for start_time and/or end_time, since we
	  couldn't easily convert them to produce the same results with the
	  new layer type. This commit adds a new parameter to the timeloop
	  layer to cause the layer to disable itself for non-positive
	  durations, allowing compatibility with old .sif files.

2008-01-30 22:43  dooglus

	* [r1527] src/synfig/context.cpp: Disabling and reenabling a layer
	  under a timeloop layer was causing the layer to be rendered at
	  the current time, ignoring the effect of the timeloop layer
	  (until the time slider was adjusted).

2008-01-30 13:54  dooglus

	* [r1526] src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp: AkhIL mentioned on IRC that bitmaps
	  weren't working with 'straight onto' blending. It turned out that
	  the clone-and-encapsulate we do to get straight blending to work
	  was failing because clone() needs to know the path to the file
	  that the canvas is stored in to calculate the relative path to
	  the image file, and the optimized copy of the canvas tree didn't
	  have that information. Now it does.

2008-01-28 15:23  dooglus

	* [r1517] src/synfig/guid.cpp: g++ 4.2 didn't like my last change.

2008-01-28 14:23  dooglus

	* [r1516] configure.ac, src/synfig/guid.cpp: Revision 1494
	  introduced a bug in the bline tool. Dragging a tangent while
	  drawing would only show one tangent duck, not two. This was
	  caused by the hash<T> class no hashing the characters pointed to
	  by a char*, but hashing the pointer itself now. See the first
	  mention of 'char*' in
	  http://www.open-std.org/jtc1/sc22/wg21/docs/papers/2003/n1456.html
	  .

2008-01-28 12:30  dooglus

	* [r1515] src/synfig/guid.cpp: Don't try to change the value of
	  'const' variables. Finish statements with semicolons. Etc.

2008-01-27 13:03  dooglus

	* [r1513] src/synfig/layer_duplicate.cpp: Honor the "amount"
	  parameter of the 'duplicate' layer.

2008-01-27 12:20  dooglus

	* [r1512] src/synfig/valuenode_reference.cpp: Oops - missed one in
	  the last commit.

2008-01-27 12:16  dooglus

	* [r1511] src/synfig/guid.h, src/synfig/value.h: Prevent more
	  'unused parameter' warnings - compiling without debug enabled
	  disables the assert() checks which leads to more parameters being
	  unused.

2008-01-27 12:12  dooglus

	* [r1510] src/modules/mod_magickpp/trgt_magickpp.cpp,
	  src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_integer.cpp: Prevent all remaining 'unused
	  parameter' warnings when compiling with debug enabled.

2008-01-27 11:31  dooglus

	* [r1507] m4/subs.m4: Don't use the '-Wno-unused-parameter' flag by
	  default.

2008-01-27 11:05  dooglus

	* [r1506] configure.ac: Check that
	  unordered_map<int,int>::const_iterator is declared before
	  deciding to use <tr1/unordered_map>. Similarly for unordered_set.

2008-01-26 11:06  dooglus

	* [r1497] configure.ac: Remove the -fpermissive flag - we no longer
	  need it.

2008-01-26 02:03  dooglus

	* [r1494] configure.ac, src/synfig/guid.cpp, src/synfig/guidset.h,
	  src/synfig/node.cpp: Avoid the "deprecated or antiquated header"
	  warning from g++ 4.3 by using <tr1/unordered_map> and
	  <tr1/unordered_set> instead of <ext/hash_map> and <ext/hash_set>
	  if they are available.

2008-01-25 15:45  dooglus

	* [r1482] src/synfig/blur.h: Avoid warnings from g++ 4.3.

2008-01-25 14:33  dooglus

	* [r1480] src/synfig/value.h: Avoid warnings from g++ 4.3.

2008-01-25 14:26  dooglus

	* [r1479] src/modules/lyr_std/supersample.cpp: Avoid warnings from
	  g++ 4.3.

2008-01-25 14:22  dooglus

	* [r1478] src/modules/lyr_std/warp.cpp: Fix bugs found by g++ 4.3.

2008-01-25 14:21  dooglus

	* [r1477] src/modules/lyr_freetype/lyr_freetype.cpp: Avoid warning
	  from g++ 4.3.

2008-01-25 14:20  dooglus

	* [r1476] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/shade.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/circle.cpp: Avoid warning from g++ 4.3.

2008-01-25 14:15  dooglus

	* [r1475] src/modules/mod_geometry/rectangle.cpp: Avoid warning.

2008-01-25 14:15  dooglus

	* [r1474] src/synfig/layer_solidcolor.cpp: Avoid warning.

2008-01-25 14:14  dooglus

	* [r1473] src/synfig/layer_composite.cpp: Avoid warning.

2008-01-25 14:11  dooglus

	* [r1472] src/synfig/loadcanvas.cpp: Prevent warning from g++ 4.3.

2008-01-25 14:03  dooglus

	* [r1471] src/synfig/savecanvas.cpp: Stop a warning from g++ 4.3,
	  but add a 'todo' note that the code needs checking. It doesn't
	  look right to me.

2008-01-25 14:00  dooglus

	* [r1470] src/synfig/time.h: g++ 4.3 told me "time.h:65: warning:
	  type qualifiers ignored on function return type" so I removed the
	  "const" from the return type of Time::epsilon_().

2008-01-25 13:11  dooglus

	* [r1469] src/synfig/context.cpp: Avoid a warning from g++ 4.3.

2008-01-25 13:01  dooglus

	* [r1468] src/modules/lyr_std/rotate.cpp: Fix a bug found by g++
	  4.3.

2008-01-25 12:54  dooglus

	* [r1467] src/synfig/renddesc.h: Fix a bug found by g++ 4.3, and
	  then commented out the fixed method because it's never used
	  anywhere anyway.

2008-01-25 12:49  dooglus

	* [r1466] src/synfig/layer_shape.cpp: Fix warnings and a bug found
	  by g++ 4.3.

2008-01-25 12:44  dooglus

	* [r1464] src/synfig/valuenode.cpp: Avoid a warning from g++ 4.3.

2008-01-25 12:29  dooglus

	* [r1463] src/synfig/gradient.cpp: Avoid a warning from g++ 4.3.

2008-01-24 17:20  dooglus

	* [r1458] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/shade.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/synfig/layer_solidcolor.cpp: I missed a few layers that can
	  be used with the 'transparent + straight blend' trick in the last
	  commit. That should be all now.

2008-01-24 17:20  dooglus

	* [r1457] src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_shape.cpp: Quite a lot of the example canvases
	  use the trick of blending a transparent shape using blend method
	  "straight", and relying on an old bug to mask just the pixels in
	  the shape. Now that "straight" blending no longer only applies to
	  the pixels in the shape, but to the whole layer, this trick no
	  longer works. The example .sif files have been modified to no
	  longer rely on the trick, but it's possible that other .sif files
	  do use it, and so this change looks out for the trick and changes
	  it to use a fully opaque shape with "alpha over" blending, which
	  has the same effect.

2008-01-24 01:23  dooglus

	* [r1454] examples/business_card.sifz: Use alpha-over instead of a
	  transparent "straight" blend method.

2008-01-24 01:23  dooglus

	* [r1453] examples/about_dialog.sifz: Fix for the updated straight
	  blend method.

2008-01-24 01:23  dooglus

	* [r1452] examples/installer-logo.sifz: More of the same.

2008-01-24 01:07  dooglus

	* [r1451] examples/logo.sifz: And again.

2008-01-24 01:05  dooglus

	* [r1450] examples/newjulia.sifz: Same again - use alpha-over
	  instead of a transparent+straight.

2008-01-24 00:50  dooglus

	* [r1449] examples/sparkle.sifz: Update to no longer rely on the
	  'straight' blend method failing to render some transparent
	  pixels.

2008-01-24 00:44  dooglus

	* [r1448] examples/z_depth_test.sifz: Put the holes back in. This
	  file used to rely on a bug in the 'straight' blend method. Since
	  'straight' has now been fixed, use alpha-over instead to achieve
	  the same result.

2008-01-23 23:32  dooglus

	* [r1447] src/synfig/canvas.cpp: Fix to allow dynamic parameters to
	  work with Straight blends.

2008-01-23 21:14  dooglus

	* [r1446] src/synfig/layer_pastecanvas.cpp: Use an appropriate
	  blend method when blitting to the area around the clipped
	  pastecanvas.

2008-01-23 21:14  dooglus

	* [r1445] src/synfig/paramdesc.cpp: Don't include (deprecated) in
	  the deprecated blend method names - it makes the toolbox window
	  too wide.

2008-01-23 21:14  dooglus

	* [r1444] src/synfig/color.h: Add 'alpha brighten' to the list of
	  blend methods to be considered 'straight'.

2008-01-23 21:14  dooglus

	* [r1443] src/synfig/paramdesc.cpp: Re-enable the 'alpha brighten'
	  and 'alpha darken' blend methods. Why were they hidden before?
	  They're marked as 'deprecated', but why?

2008-01-23 21:13  dooglus

	* [r1442] src/synfig/context.cpp: The optimization of skipping the
	  rendering of the layer's context only works for straight
	  rendering with amount=1, not for 'straight onto', and 'alpha
	  brighten'.

2008-01-23 20:24  dooglus

	* [r1439] src/synfig/canvas.cpp: Use Color::is_straight(). Also,
	  make sure we set the blend method of the newly encapsulated layer
	  to be STRAIGHT, since it may be STRAIGHT_ONTO or similar, which
	  causes us to see an empty bounding box for the pastecanvas, and
	  for the layer never to be rendered.

2008-01-23 20:23  dooglus

	* [r1438] src/synfig/context.cpp: Use Color::is_straight(). Also,
	  re-enable the optimization for straight blending when amount==1,
	  but only for layers which don't need to see their context.

2008-01-23 20:23  dooglus

	* [r1437] src/synfig/layer_pastecanvas.cpp: Use
	  Color::is_straight().

2008-01-23 19:58  dooglus

	* [r1436] src/synfig/color.h: Define new static member
	  Color::is_straight(BlendMethod) to determine whether a blend
	  method is 'straight' or not (ie. 'straight', 'straight onto').
	  Possibly one of alpha_{lighten|darken} will need adding to this
	  as well.

2008-01-23 19:58  dooglus

	* [r1435] src/synfig/layer_pastecanvas.cpp: First step towards
	  fixing 'straight onto' blending.

2008-01-23 18:02  dooglus

	* [r1434] src/synfig/layer_composite.cpp: Only convert 'straight'
	  to 'composite' when updating a canvas from pre 0.3 to 0.3 for
	  layers which don't transform the layers under them.

2008-01-23 17:41  dooglus

	* [r1432] src/synfig/canvas.cpp: Hopefully this will work better.
	  It only makes a temporary encapsulation around layers which use
	  straight blend and which don't need to see their own context.

2008-01-23 17:41  dooglus

	* [r1431] src/modules/lyr_std/bevel.h, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/twirl.h, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_noise/distort.h, src/synfig/layer_duplicate.h,
	  src/synfig/layer_motionblur.h: Define reads_context() in the
	  class of each layer that does need to be able to see its own
	  context.

2008-01-23 17:40  dooglus

	* [r1430] src/synfig/layer.cpp, src/synfig/layer.h: Add new method
	  Layer::reads_context() which returns true iff the layer needs to
	  be able to see its context (underlying layers) to work.

2008-01-23 14:44  dooglus

	* [r1428] src/synfig/canvas.cpp: Improve this code to allow layers
	  like 'blur' to work.

2008-01-23 14:44  dooglus

	* [r1427] src/synfig/rect.h: Add operator != too.

2008-01-23 14:44  dooglus

	* [r1426] src/synfig/rect.h: Add operator== for rectangles.

2008-01-23 14:44  dooglus

	* [r1425] src/synfig/context.cpp: Disabled an optimization that was
	  being too enthusiastic. It's not always safe to skip rendering
	  the context for straight blends with amount=1 - the blur layer
	  for example outputs a blurred version of its context even when
	  using the straight blend method.

2008-01-23 14:43  dooglus

	* [r1424] src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h: The "Spherize" layer
	  doesn't need to inherit from Layer_Composite. This fixes the
	  layer, which was broken by r1422.

2008-01-22 13:44  dooglus

	* [r1423] src/synfig/canvas.h: Edit in the svn revision number for
	  the canvas 0.3 change.

2008-01-22 13:42  dooglus

	* [r1422] src/synfig/canvas.cpp, src/synfig/canvas.h,
	  src/synfig/context.cpp, src/synfig/layer_composite.cpp,
	  src/synfig/layer_pastecanvas.cpp: First attempt at fixing the
	  'straight' blend method. It now applies to the whole layer,
	  rather than just the pixels modified by the layer. Loading old
	  canvases that use 'straight' will convert the blend method to
	  'composite' for all layers other than PasteCanvas, since the old
	  'straight' worked much like composite for them. The 'straight
	  onto' blend method still needs work.

2008-01-22 12:31  dooglus

	* [r1421] src/synfig/loadcanvas.cpp: Following the previous commit,
	  there's no need to walk up the canvas tree to find the root when
	  checking the canvas version.

2008-01-22 12:30  dooglus

	* [r1420] src/synfig/loadcanvas.cpp: If a canvas in a .sif file
	  doesn't specify its version, inherit the version of its parent.

2008-01-22 12:30  dooglus

	* [r1419] src/synfig/color.cpp: Make a note to investigate
	  blendfunc_ALPHA_BRIGHTEN. It seems to be multiplying the wrong
	  thing by 'amount'.

2008-01-22 12:30  dooglus

	* [r1418] src/synfig/color.cpp: Number the blend functions in the
	  array.

2008-01-22 12:30  dooglus

	* [r1417] src/synfig/canvas.cpp, src/synfig/canvas.h,
	  src/synfig/target_scanline.cpp, src/synfig/target_tile.cpp: Pass
	  the current 'time' value when optimizing layers. We're going to
	  need it in a following commit.

2008-01-22 12:30  dooglus

	* [r1415] src/synfig/layer_composite.cpp: There's no need to use a
	  new variable here.

2008-01-21 17:02  dooglus

	* [r1414] src/synfig/layer_composite.cpp: Don't accept illegal
	  values for 'blend_method'. Use 'Composite' instead.

2008-01-21 17:02  dooglus

	* [r1413] src/synfig/canvas.cpp: Declare the paste_canvas pointing
	  in the block that uses it to limit its scope.

2008-01-21 17:02  dooglus

	* [r1412] src/synfig/layer_pastecanvas.cpp: Don't use the
	  optimization of using STRAIGHT blends instead of COMPOSITE when
	  SYNFIG_CLIP_PASTECANVAS isn't defined, because it causes
	  incorrect rendering in, for example, the 'examples/pirates.sifz'
	  file.

2008-01-21 01:33  dooglus

	* [r1411] src/synfig/canvas.h: Document the canvas versions.

2008-01-21 01:18  dooglus

	* [r1410] src/synfig/target_tile.cpp: Don't display the frame
	  efficiency.

2008-01-21 01:10  dooglus

	* [r1409] src/synfig/layer_pastecanvas.cpp: Add a comment giving a
	  .sif file that shows why 'SYNFIG_CLIP_PASTECANVAS' is needed.

2008-01-21 01:10  dooglus

	* [r1408] src/synfig/context.cpp: Tidying.

2008-01-21 01:10  dooglus

	* [r1407] src/synfig/renddesc.h: Fixed a typo.

2008-01-21 01:10  dooglus

	* [r1406] src/synfig/layer_pastecanvas.cpp: Rearranged a little.
	  The functionality shouldn't have changed.

2008-01-21 01:10  dooglus

	* [r1405] src/synfig/canvas.cpp: Give an example .sif file to
	  explain why the 'SYNFIG_OPTIMIZE_PASTE_CANVAS' code is #ifdef'ed
	  out.

2008-01-21 01:09  dooglus

	* [r1401] src/synfig/canvas.cpp: Tidying. No functional change.

2008-01-21 01:09  dooglus

	* [r1400] src/synfig/layer_pastecanvas.cpp: Don't avoid not using
	  negated macro names, because they can be confusing. ie. use
	  "#ifdef SYNFIG_CLIP_PASTECANVAS" rather than "#ifndef
	  SYNFIG_NO_CLIP".

2008-01-17 17:56  dooglus

	* [r1397] src/tool/main.cpp: Fix 1695735: don't treat the required
	  values of command line flags as flags themselves.

2008-01-17 17:56  dooglus

	* [r1396] src/tool/main.cpp: Move the knowledge about which flags
	  require an extra value into a separate function. We're going to
	  need it to fix bug #1695735.

2008-01-17 17:56  dooglus

	* [r1395] src/tool/main.cpp: Tidying.

2008-01-17 17:56  dooglus

	* [r1394] src/tool/main.cpp: Tidying.

2008-01-17 15:59  dooglus

	* [r1393] src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h: Don't
	  use a specialised parser for <composite> valuenodes - use the
	  same as for all other LinkableValueNode types. Improve that
	  generic valuenode parser to check for missing and duplicate
	  attributes.

2008-01-17 15:59  dooglus

	* [r1392] src/synfig/valuenode_composite.cpp: Be stricter on the
	  "c[0-9]" link names accepted.

2008-01-17 15:59  dooglus

	* [r1391] src/synfig/valuenode_radialcomposite.cpp: Be stricter on
	  the "c[0-9]" link names accepted.

2008-01-17 15:59  dooglus

	* [r1390] src/synfig/target_scanline.cpp: Improve the readability
	  of the message about 'render broken up' for large command-line
	  renders.

2008-01-17 15:58  dooglus

	* [r1389] src/synfig/guid.cpp: Don't show the "Starting up GUID
	  system..." message.

2008-01-17 15:58  dooglus

	* [r1388] src/synfig/main.cpp: Don't show so many info level
	  messages.

2008-01-17 00:16  dooglus

	* [r1387] src/synfig/loadcanvas.cpp: When loading LinkableValueNode
	  from a .sif file, accept any of the various names for the links,
	  rather than just the one returned by link_name(int). The
	  specialised code for the 'composite' ValueNode needs the same
	  doing for it still.

2008-01-15 23:30  dooglus

	* [r1385] AUTHORS, src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h: Fix 1831897: Use the 'width' of
	  each blinepoint in the plant layer to affect the velocities.
	  Adapted from a patch by Carlos López González (genete).

2008-01-15 19:30  dooglus

	* [r1384] src/synfig/layer_duplicate.cpp: Don't reset the Duplicate
	  Layer's Index parameter to its "To" value - leave it at the last
	  value used, so the ducks line up with the last rendered copy.

2008-01-15 19:30  dooglus

	* [r1383] src/synfig/valuenode_duplicate.cpp: Leave the Duplicate
	  ValueNode's Index sub-parameter at the last value that is
	  actually used. For example, if it's stepping (From 0) (To 8)
	  (Step 3), the used values will be 0, 3, and 6, and it will be
	  left at value 6, finally, rather than 9 as before.

2008-01-15 14:58  dooglus

	* [r1382] src/synfig/savecanvas.cpp: Changes related to saving .sif
	  files containing mnemonic attributes for Composite ValueNodes.

2008-01-15 14:58  dooglus

	* [r1381] src/synfig/loadcanvas.cpp: Changes related to loading
	  .sif files containing mnemonic attributes for Composite
	  ValueNodes.

2008-01-15 14:57  dooglus

	* [r1380] src/synfig/valuenode_composite.cpp: When saving a
	  Composite ValueNode, use mnemonic names for the sub-parameters
	  rather than c1, c2, etc.

2008-01-15 14:57  dooglus

	* [r1379] src/synfig/valuenode_radialcomposite.cpp: When saving a
	  Radial Composite ValueNode, use mnemonic names for the
	  sub-parameters rather than c0, c1, etc.

2008-01-15 14:49  dooglus

	* [r1378] src/synfig/valuenode.cpp: Remove debugging text and
	  unneccesary test.

2008-01-15 14:47  dooglus

	* [r1369] src/synfig/valuenode.cpp, src/synfig/valuenode.h:
	  Improved the formatting of ValueNode descriptions for use in the
	  History dialog.

2008-01-15 14:47  dooglus

	* [r1367] src/synfig/layer.cpp, src/synfig/layer.h: Add
	  Layer::get_param_local_name() to allow us to report the local
	  name of layer parameters in the History dialog.

2008-01-14 22:00  dooglus

	* [r1365] src/synfig/valuenode_bline.cpp: Revert the incorrect
	  change to this file made in r1326.

2008-01-14 18:01  dooglus

	* [r1360] src/synfig/target_tile.cpp: Use the TARGET_SIZE defined
	  in target_tile.h.

2008-01-14 18:00  dooglus

	* [r1359] src/synfig/target_tile.h: Define the TILE size here,
	  instead of having it in several locations.

2008-01-14 10:28  dooglus

	* [r1358] src/synfig/layer_duplicate.cpp,
	  src/synfig/layer_duplicate.h: Use a mutex to prevent the two
	  render threads (rendering the workarea and the navigator dialog
	  thumbnail) trampling on each other while rendering the Duplicate
	  layer.

2008-01-14 10:13  dooglus

	* [r1357] src/synfig/valuenode.cpp: Revision 1355 broke the
	  Duplicate layer. Oops!

2008-01-14 09:36  dooglus

	* [r1356] src/synfig/loadcanvas.cpp: Better fix for 1811250: Refer
	  the user to 'http://synfig.org/Convert#Compatibility' if we try
	  to load a .sif file that uses a not-yet-implemented ValueNode
	  type, or that tries using a ValueNode with a type which it
	  doesn't yet support. Both of these are usually a sign that the
	  .sif file was created with a newer version of synfig than the
	  user has.

2008-01-14 09:36  dooglus

	* [r1355] src/synfig/valuenode.cpp: Check that a ValueNode is
	  compatible with the given type before attempting to create it.

2008-01-14 08:49  dooglus

	* [r1354] src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_subtract.cpp: Extend the Add and Subtract
	  ValueNodes to work with gradients.

2008-01-13 14:35  dooglus

	* [r1342] src/synfig/color.cpp: In the hex HTML code text entry box
	  of the color dialog, ignore everything other than hex characters.
	  Previously even stray whitespace would cause it to fail.

2008-01-12 17:49  dooglus

	* [r1338] src/modules/mod_gif/trgt_gif.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_png/mptr_png.cpp, src/synfig/canvas.cpp,
	  src/synfig/keyframe.cpp, src/synfig/layer_pastecanvas.cpp,
	  src/synfig/listimporter.cpp, src/synfig/loadcanvas.cpp,
	  src/synfig/valuenode.cpp: Removed a bunch more DEBUGPOINT()s.

2008-01-12 17:06  dooglus

	* [r1336] src/synfig/layer_duplicate.cpp: Use 'Composite' for the
	  first time the layers under a 'Duplicate' layer is rendered, to
	  allow other blend methods like "Add" to be used in the Duplicate
	  layer itself.

2008-01-11 15:05  dooglus

	* [r1331] src/synfig/canvas.cpp: When optimize_layers() recreates
	  Paste Canvas layers, it needs to make sure it copies dynamic
	  parameters if the Paste Canvas layer is being duplicated by a
	  Duplicate layer.

2008-01-11 10:43  dooglus

	* [r1330] src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h: Rearranged a bit, like for the
	  Add ValueNode in r1299. Use type checking for the sub-parameters.

2008-01-11 10:43  dooglus

	* [r1329] src/synfig/valuenode_add.h: Add my copyright.

2008-01-11 09:46  dooglus

	* [r1327] src/modules/mod_noise/valuenode_random.cpp: Add type
	  checking for the Random ValueNode too.

2008-01-11 09:43  dooglus

	* [r1326] src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_atan2.cpp, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_blinecalcvertex.cpp,
	  src/synfig/valuenode_blinereversetangent.cpp,
	  src/synfig/valuenode_cos.cpp, src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_exp.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_integer.cpp,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_reciprocal.cpp,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h,
	  src/synfig/valuenode_scale.cpp, src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_stripes.h, src/synfig/valuenode_switch.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_timeloop.cpp,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h:
	  Add type checking to almost all the linkable ValueNodes.

2008-01-11 09:43  dooglus

	* [r1324] src/synfig/layer.h: Define
	  Layer::get_non_empty_description() which returns the layer's
	  description if non-empty, else its generic local name. This test
	  was (and still is, currently) reproduced in several places.

2008-01-10 22:17  dooglus

	* [r1317] src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_integer.cpp, src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_scale.cpp, src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_twotone.cpp: Break the ValueNode 'bad type'
	  error messages up so less translation needs doing.

2008-01-10 19:02  dooglus

	* [r1316] src/modules/mod_noise/valuenode_random.cpp: Make the
	  assert()s here look like the assert()s in all the other ValueNode
	  definitions.

2008-01-10 18:57  dooglus

	* [r1315] src/modules/mod_noise/valuenode_random.cpp,
	  src/synfig/loadcanvas.cpp, src/synfig/savecanvas.cpp,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_add.cpp, src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_atan2.cpp,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_blinecalcvertex.cpp,
	  src/synfig/valuenode_blinereversetangent.cpp,
	  src/synfig/valuenode_composite.cpp, src/synfig/valuenode_cos.cpp,
	  src/synfig/valuenode_exp.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_integer.cpp,
	  src/synfig/valuenode_linear.cpp,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_twotone.cpp: Use translated versions of the
	  type names everywhere other than in the .sif(z) files.

2008-01-10 16:08  dooglus

	* [r1313] src/synfig/value.h: Prototype to go with the last commit!

2008-01-10 16:08  dooglus

	* [r1312] src/synfig/value.cpp: New static member
	  ValueBase::type_local_name() to allow translation of type names.

2008-01-10 14:18  dooglus

	* [r1311] src/synfig/layer.h: Return the translation of the local
	  layer name, rather than always using the English version.

2008-01-10 14:18  dooglus

	* [r1310] src/synfig/value.cpp, src/synfig/value.h: Define
	  ValueBase::set() for type 'char *' as well as for 'const char *'.

2008-01-10 13:44  dooglus

	* [r1304] src/synfig/valuenode_composite.cpp: Removed a debugging
	  printf().

2008-01-10 13:43  dooglus

	* [r1302] src/synfig/valuenode_atan2.cpp,
	  src/synfig/valuenode_composite.cpp, src/synfig/valuenode_cos.cpp,
	  src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_exp.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_integer.cpp,
	  src/synfig/valuenode_linear.cpp,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_reciprocal.cpp,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_switch.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timeloop.cpp,
	  src/synfig/valuenode_twotone.cpp: Made all the assert() lines
	  which check the valuenode sub-parameter index range the same.

2008-01-09 13:09  dooglus

	* [r1299] src/synfig/valuenode_add.cpp, src/synfig/valuenode_add.h:
	  Rearranged a bit. Use the new macro in valuenode.h introduced in
	  the previous commit. I'll make the same change to the other
	  valuenodes next.

2008-01-09 13:09  dooglus

	* [r1298] src/synfig/valuenode.h: Add a macro to check the type of
	  value before using it. This will be used by each of the ValueNode
	  classes.

2008-01-09 13:09  dooglus

	* [r1297] src/synfig/value.h: Add a static same_type_as() member
	  function so we can compare types even when we don't have an
	  instance of the ValueBase class.

2008-01-08 10:12  pabs

	* [r1294] po/es.po: Español translation update from Carlos López
	  González (Genete)

2008-01-08 01:22  pabs

	* [r1291] configure.ac: Use the bugs page on the website instead of
	  the tracker in the autoconf bugs argument of AC_INIT

2008-01-08 01:00  pabs

	* [r1289] README, TODO, po/Makevars, po/es.po, win32inst.nsi.in:
	  Use synfig.org instead of synfig.com

2008-01-07 18:19  dooglus

	* [r1284] src/synfig/layer_duplicate.cpp: Show the "Amount", "Blend
	  Method" and "Z-Depth" parameters in the Duplicate layer. Are they
	  useful?

2008-01-07 12:59  dooglus

	* [r1277] src/synfig/layer_duplicate.cpp,
	  src/synfig/layer_duplicate.h: When cloning a duplicate layer,
	  always make a new 'Index' parameter, even if the cloned layer has
	  it exported. Otherwise we can get an infinite loop.

2008-01-07 12:01  dooglus

	* [r1276] po/POTFILES.in: Added 10 new files for translation.

2008-01-07 12:01  dooglus

	* [r1275] po/POTFILES.in: Sorted.

2008-01-07 01:59  pabs

	* [r1274] src/modules/lyr_freetype/lyr_freetype.nsh,
	  src/modules/lyr_std/lyr_std.nsh, src/modules/mod_bmp/mod_bmp.nsh,
	  src/modules/mod_dv/mod_dv.nsh,
	  src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	  src/modules/mod_filter/mod_filter.nsh,
	  src/modules/mod_geometry/mod_geometry.nsh,
	  src/modules/mod_gif/mod_gif.nsh,
	  src/modules/mod_gradient/mod_gradient.nsh,
	  src/modules/mod_imagemagick/mod_imagemagick.nsh,
	  src/modules/mod_jpeg/mod_jpeg.nsh,
	  src/modules/mod_libavcodec/mod_libavcodec.nsh,
	  src/modules/mod_magickpp/mod_magickpp.nsh,
	  src/modules/mod_mng/mod_mng.nsh,
	  src/modules/mod_noise/mod_noise.nsh,
	  src/modules/mod_openexr/mod_openexr.nsh,
	  src/modules/mod_particle/mod_particle.nsh,
	  src/modules/mod_png/mod_png.nsh, src/modules/mod_ppm/mod_ppm.nsh,
	  src/modules/mod_yuv420p/mod_yuv420p.nsh,
	  src/modules/template.nsh: Fix building the Win32 installer:
	  update Win32 install scripts to remove versions from the module
	  dll filenames because r1261 added -avoid-version which changed
	  all the filenames of the modules

2008-01-07 01:50  pabs

	* [r1273] configure.ac: Install gettext 0.14.4 macros since earlier
	  ones have a bug that disables NLS on amd64

2008-01-05 23:42  dooglus

	* [r1272] src/modules/lyr_std/timeloop.cpp: Initialise
	  'old_version' to false.

2008-01-05 23:18  dooglus

	* [r1271] src/synfig/layer_duplicate.cpp,
	  src/synfig/layer_duplicate.h, src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_duplicate.h: Use a real type, not integer,
	  for the "Duplicate" layer's index parameter.

2008-01-05 23:18  dooglus

	* [r1270] src/synfig/valuenode_integer.cpp: Hide the 'From Integer'
	  convert type for now.

2008-01-05 23:02  dooglus

	* [r1269] src/synfig/valuenode_duplicate.cpp: Don't show
	  'Duplicate' in the Convert menu. The user doesn't need to see it,
	  since it's used automatically now.

2008-01-05 22:45  dooglus

	* [r1268] src/synfig/layer_duplicate.cpp,
	  src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_duplicate.h: When we create a 'Duplicate'
	  layer, automatically have its parameter already converted to
	  'Duplicate' as well.

2008-01-05 21:51  dooglus

	* [r1267] src/synfig/Makefile.am, src/synfig/layer.cpp,
	  src/synfig/layer_duplicate.cpp, src/synfig/layer_duplicate.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode_duplicate.cpp,
	  src/synfig/valuenode_duplicate.h,
	  src/synfig/valuenode_integer.cpp, src/synfig/valuenode_integer.h:
	  Add new convert types 'From Integer' and 'Duplicate' and new
	  layer 'Duplicate'.

2008-01-03 18:27  dooglus

	* [r1265] src/synfig/Makefile.am: Revision r1262 included some
	  changes I didn't intend to commit yet. This reverts them.
	  Revisions r1262 through r1264 don't build.

2008-01-03 13:49  dooglus

	* [r1264] src/modules/example/simplecircle.cpp,
	  src/synfig/layer.cpp, src/synfig/layer.h, src/synfig/module.h:
	  The hardcoded string "Do Not Use" was being used in multiple
	  places as the category for layers that shouldn't show up in the
	  GUI menus. Replaced it with a single #define'd string constant.
	  Also, there's no need to translate it, since the string is never
	  displayed to the user. Previously we were dependent upon the same
	  translation for the string existing in both core and studio.

2008-01-03 13:48  dooglus

	* [r1263] src/synfig/module.h: Use translated versions of the
	  layers' local names and categories, like we do for built-in
	  layers.

2008-01-03 02:03  dooglus

	* [r1262] src/synfig/Makefile.am: Fix 1862720: "libltdl library and
	  headers out of sync" - applied patch by Daniel Macks.

2008-01-02 23:28  dooglus

	* [r1261] src/modules/example/Makefile.am,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_magickpp/Makefile.am,
	  src/modules/mod_mng/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mptr_mplayer/Makefile.am: Fix 1862699: Specify
	  "-avoid-version" for each of the modules. Fix by Daniel Macks.

2008-01-02 23:26  dooglus

	* [r1260] src/tool/Makefile.am: Missed these two in the previous
	  commit.

2008-01-02 22:35  dooglus

	* [r1259] src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_magickpp/Makefile.am,
	  src/modules/mod_mng/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mptr_mplayer/Makefile.am: Fix 1862689: Replace
	  "-L../../synfig -lsynfig" with "../../synfig/libsynfig.la" in a
	  bunch of Makefile.am files so that the correct version of the
	  shared library is used. Fix by Daniel Macks.

2008-01-02 20:11  dooglus

	* [r1258] src/synfig/Makefile.am: Reformatted and alphabetized.

2008-01-01 15:57  dooglus

	* [r1257] src/tool/main.cpp: Have the command line 'synfig' tool
	  run 'setlocale()' whether or not gettext is available.

2008-01-01 14:51  dooglus

	* [r1256] src/modules/mod_filter/radialblur.cpp: Don't render the
	  Radial Blur layer when quality is 10.

2008-01-01 14:51  dooglus

	* [r1255] src/modules/mod_filter/blur.cpp: Don't render the Blur
	  layer when quality is 10.

2008-01-01 14:51  dooglus

	* [r1254] src/synfig/layer_motionblur.cpp: Disable motion blur when
	  quality=10. Draw 2 frames for q=9 and 3 frames for q=8.

2008-01-01 14:51  dooglus

	* [r1253] src/synfig/layer_shape.cpp: Don't render feathering of
	  shapes (ie. outlines, regions, stars, polygons, etc) when quality
	  is 10.

2008-01-01 14:51  dooglus

	* [r1252] src/modules/mod_geometry/circle.cpp: Don't render
	  feathering of circles when quality is 10.

2008-01-01 14:50  dooglus

	* [r1248] src/synfig/loadcanvas.cpp: Fix 1811250: Prevent studio
	  crashing when loading a document that contains an unknown
	  valuenode type from a newer version of synfig. Simply refuse to
	  load the document instead.

2008-01-01 14:50  dooglus

	* [r1247] src/synfig/layer_shape.cpp: Prevent a compiler warning.

2008-01-01 14:50  dooglus

	* [r1246] src/modules/mod_ffmpeg/mptr_ffmpeg.cpp: Removed typo'ed
	  semicolon.

2008-01-01 14:50  dooglus

	* [r1245] src/modules/mod_magickpp/trgt_magickpp.cpp: If
	  CloneImage() raises an exception, skip immediately to the next
	  image rather than using the uninitialised variable 'current'.

2008-01-01 14:50  dooglus

	* [r1244] src/synfig/timepointcollect.cpp: Prevent a compiler
	  warning.

2008-01-01 14:49  dooglus

	* [r1243] src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/timeloop.h: New version 0.2 of the Time Loop
	  layer. It uses the same parameters as the recently added Time
	  Loop valuenode type.

2007-12-28 02:19  dooglus

	* [r1240] src/synfig/valuenode_reciprocal.cpp: Don't allow epsilon
	  to be less than 0.00000001.

2007-12-27 22:32  pabs

	* [r1239] AUTHORS: Also mention the languages in the translators
	  section of AUTHORS

2007-12-27 20:39  dooglus

	* [r1238] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_reciprocal.cpp,
	  src/synfig/valuenode_reciprocal.h: Added new convert type
	  "Reciprocal" to convert x to 1/x.

2007-12-27 07:34  pabs

	* [r1237] configure.ac, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp: Port the
	  security fixes to Windows. Thanks to PXEGeek for much patience
	  and testing the changes.

2007-12-27 06:19  dooglus

	* [r1235] src/synfig/loadcanvas.cpp: Stop g++ warning that "'prev'
	  may be used uninitialized in this function" (it wouldn't have
	  been anyway).

2007-12-27 04:50  pabs

	* [r1233] src/synfig/general.h, src/synfig/main.cpp,
	  src/tool/main.cpp: Only build in gettext support when gettext is
	  available.

2007-12-26 23:17  pabs

	* [r1232] AUTHORS, configure.ac, po/es.po: Add Español translation
	  by Carlos López González (genete)

2007-12-26 23:16  pabs

	* [r1231] src/modules/mod_ffmpeg/mptr_ffmpeg.cpp: Fix issue in
	  unused mod_ffmpeg importer security fixes; read from the ffmpeg
	  output pipe, don't write to it.

2007-12-26 16:36  dooglus

	* [r1229] src/synfig/valuenode_timeloop.cpp: Change the default
	  sub-parameters for the Time Loop convert so that the first second
	  (from 0s to 1s) is repeated over and over.

2007-12-26 15:33  dooglus

	* [r1228] src/synfig/valuenode_timeloop.cpp: Fix the timeloop layer
	  for negative durations so that output = ("Link" at "Link Time")
	  when time = "Local Time" always.

2007-12-26 14:17  dooglus

	* [r1227] src/synfig/canvas.cpp, src/synfig/canvas.h,
	  src/synfig/loadcanvas.cpp, src/synfig/savecanvas.cpp: r1150
	  changed the way angles work so that 0 degrees and 360 degrees are
	  treated as being one whole rotation, rather than as being the
	  same angle. However, existing .sif files expect animating a
	  tangent from 359 degrees to 0 degrees to be a one degree turn,
	  not 359 degrees. Until r1150, angle animation always went 'the
	  short way'. This change bumps the canvas version number to 0.2.
	  Canvases of version 0.2 or newer use non-wrapped angles. Loading
	  a 0.1 canvas will convert the angles so that existing .sif files
	  will continue to work. http://synfig.org/Image:Eyes.sif at 3s 16f
	  is an example of a .sif file that was rendering wrongly before
	  this change - the black shadow under the right eye shouldn't be
	  there.

2007-12-26 14:17  dooglus

	* [r1226] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_timeloop.cpp,
	  src/synfig/valuenode_timeloop.h: Add new convert type 'Time Loop'
	  to allow individual parameters to be time looped. The parameters
	  are different, but hopefully more intuitive than the existing
	  "Time Loop" layer. The 'Time Loop' layer's parameters should be
	  adjusted to match these some time soon.

2007-12-26 14:17  dooglus

	* [r1225] src/synfig/loadcanvas.cpp: Corrected warning text when
	  .sif file uses larger layer version number than running version
	  of synfig supports. Translation for this string will need
	  updating.

2007-12-21 16:40  dooglus

	* [r1224] src/modules/mod_noise/valuenode_random.cpp,
	  src/modules/mod_noise/valuenode_random.h: When cloning a 'random'
	  valuenode with a constant, non-exported seed, use a new random
	  seed.

2007-12-20 17:03  dooglus

	* [r1222] src/synfig/layer.cpp, src/synfig/layer.h: Comment out an
	  unused function.

2007-12-19 03:06  pabs

	* [r1218] po/Makevars: Add comments that start with "TRANSLATORS"
	  to the pot file.

2007-12-19 03:06  pabs

	* [r1217] src/synfig/synfig.h: Fix unterminated character constant
	  warning from xgettext - doesn't seem to ignore #error and other
	  preprocessor stuff

2007-12-18 12:40  dooglus

	* [r1216] src/synfig/layer_pastecanvas.cpp: Fix 1844764 by
	  reverting r954. Added a 'todo', because maybe r954 was doing
	  something useful, but I can't see it at the moment.

2007-12-18 03:22  pabs

	* [r1213] Makefile.am, configure.ac, synfig.spec.in: Remove shitty
	  .spec files that the RPM distros will probably rewrite anyway.

2007-12-18 03:22  pabs

	* [r1212] configure.ac, m4/subs.m4, macosxbuild.sh,
	  src/synfig/general.h, src/synfig/loadcanvas.cpp,
	  src/synfig/main.cpp, win32build.sh: Strip license key and
	  software expiry stuff now that Synfig is free software and out of
	  alpha testing.

2007-12-18 03:22  pabs

	* [r1211] src/synfig/time.cpp: Fix g++ warning: variables created
	  in a for loop should not be used outside of it.

2007-12-18 03:22  pabs

	* [r1210] src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Only use the
	  double dash (--) to escape filenames that begin with a dash (-)
	  when running ffmpeg. This fixes most uses of older versions of
	  ffmpeg that do not support this command-line syntax since most
	  output filenames will not begin with a dash.

2007-12-17 11:28  dooglus

	* [r1207] src/modules/lyr_freetype/lyr_freetype.cpp: Apply 1852208:
	  allow from for multibyte characters in the Text layer. Patch by
	  Niki W. Waibel

2007-12-15 09:58  dooglus

	* [r1202] doxygen.cfg.in, src/synfig/blur.cpp,
	  src/synfig/canvas.cpp, src/synfig/color.h,
	  src/synfig/curve_helper.cpp, src/synfig/layer_polygon.cpp,
	  src/synfig/layer_shape.cpp, src/synfig/main.cpp,
	  src/synfig/renddesc.cpp, src/synfig/surface.cpp,
	  src/synfig/synfig.h, src/synfig/target.cpp,
	  src/synfig/waypoint.cpp, src/template.cpp, src/template.h: Fixed
	  the remaining doxygen warnings and errors for synfig-core.

2007-12-12 04:25  dooglus

	* [r1198] doxygen.cfg.in: Generate documentation for everything
	  under 'src'. Don't regenerate LaTeX documentation, only HTML.

2007-12-11 23:49  dooglus

	* [r1197] Makefile.am: Remove pkg-info/macosx/synfig-core.info and
	  win32inst.nsi targets because automake/autoconf provides a rule
	  to regenerate it.

2007-12-11 23:26  dooglus

	* [r1196] src/synfig/color.cpp: Prevent warning from doxygen.

2007-12-11 23:26  dooglus

	* [r1195] doxygen.cfg.in: Removed obsolete definitions.

2007-12-11 23:25  dooglus

	* [r1194] src/synfig/module.h: Improve doxygen output.

2007-12-11 17:28  dooglus

	* [r1193] src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_add.cpp, src/synfig/valuenode_add.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_animated.h, src/synfig/valuenode_atan2.cpp,
	  src/synfig/valuenode_atan2.h, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_bline.h,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_blinecalctangent.h,
	  src/synfig/valuenode_blinecalcvertex.cpp,
	  src/synfig/valuenode_blinecalcvertex.h,
	  src/synfig/valuenode_blinereversetangent.cpp,
	  src/synfig/valuenode_blinereversetangent.h,
	  src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_composite.h, src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_const.h, src/synfig/valuenode_cos.cpp,
	  src/synfig/valuenode_cos.h, src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h, src/synfig/valuenode_exp.cpp,
	  src/synfig/valuenode_exp.h,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_radialcomposite.h,
	  src/synfig/valuenode_range.cpp, src/synfig/valuenode_range.h,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_reference.h,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h,
	  src/synfig/valuenode_scale.cpp, src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalctangent.h,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_segcalcvertex.h,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_stripes.cpp, src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h, src/synfig/valuenode_switch.cpp,
	  src/synfig/valuenode_switch.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h:
	  Wrote doxygen file descriptions for the valuenode convert
	  sources.

2007-12-10 02:01  dooglus

	* [r1192] src/modules/example/filledrect.h,
	  src/modules/example/metaballs.h,
	  src/modules/example/simplecircle.h,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_std/bevel.h, src/modules/lyr_std/clamp.h,
	  src/modules/lyr_std/import.h, src/modules/lyr_std/insideout.h,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/mandelbrot.h,
	  src/modules/lyr_std/rotate.h, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/stretch.h, src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.h, src/modules/lyr_std/translate.h,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/warp.h,
	  src/modules/lyr_std/xorpattern.h, src/modules/lyr_std/zoom.h,
	  src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/colorcorrect.h,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/circle.h,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/rectangle.h,
	  src/modules/mod_geometry/region.h,
	  src/modules/mod_geometry/star.h,
	  src/modules/mod_gradient/conicalgradient.h,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/radialgradient.h,
	  src/modules/mod_gradient/spiralgradient.h,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/noise.h,
	  src/modules/mod_particle/plant.h, src/synfig/layer_motionblur.h,
	  src/synfig/layer_pastecanvas.h, src/synfig/layer_polygon.h,
	  src/synfig/layer_shape.h, src/synfig/layer_solidcolor.h: Edited
	  the single line description of each header file that implements a
	  layer.

2007-12-10 01:58  dooglus

	* [r1191] src/modules/example/filledrect.cpp,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/simplecircle.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/bevel.cpp, src/modules/lyr_std/clamp.cpp,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/shade.cpp,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/stretch.cpp,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/translate.cpp, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/warp.cpp, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/zoom.cpp, src/modules/mod_filter/blur.cpp,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/noise.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_polygon.cpp,
	  src/synfig/layer_shape.cpp, src/synfig/layer_solidcolor.cpp:
	  Edited the single line description of each source file that
	  implements a layer.

2007-12-09 14:21  pabs

	* [r1190] src/synfig/blur.cpp, src/tool/main.cpp: Fix g++ 4.3
	  issues; add missing <cstring> includes, remove storage class on
	  explicit template specialization. Patch by Cyril Brulebois.

2007-12-07 05:37  pabs

	* [r1188] src/modules/mod_dv/trgt_dv.cpp: Remove command variable
	  that is unused after the security fixes

2007-12-07 05:34  pabs

	* [r1187] src/modules/mod_imagemagick/mptr_imagemagick.cpp:
	  Security fix: the mod_imagemagick importer used system to run
	  convert, change it to use fork and exec. Malicious sif files
	  could previously have executed arbitrary shell commands.

2007-12-07 04:29  pabs

	* [r1186] src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp: Minor security
	  fix: the unused mod_ffmpeg importer used popen to run convert,
	  change it to use pipe, fork and exec. Malicious sif files could
	  previously have executed arbitrary shell commands. Also disable
	  the unused part of the mod_imagemagick importer.

2007-12-07 03:39  pabs

	* [r1185] src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h: Minor security
	  fix: mod_imagemagick used popen to run covert, change it to use
	  pipe, fork and exec. Strangely named sif files could previously
	  have executed arbitrary shell commands.

2007-12-07 03:36  pabs

	* [r1184] src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h: Fix some more issues with
	  the mod_ffmpeg, mod_dv security patches

2007-12-06 04:19  pabs

	* [r1183] src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Forgot to include the
	  right headers in the security fixes

2007-12-06 04:08  pabs

	* [r1182] src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Fix issue with
	  r1181 and output filenames that begin with a dash.

2007-12-06 03:41  pabs

	* [r1181] src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Security fix:
	  mod_ffmpeg target used popen to run ffmpeg, change it to use
	  pipe, fork and exec. SIF files with a malicious <name> parameter
	  or with a strange filename could previously have executed
	  arbitrary shell commands.

2007-12-06 03:37  pabs

	* [r1180] src/modules/mod_dv/trgt_dv.cpp: Forgot to use the right
	  terminator when calling execlp in r1177.

2007-12-06 01:57  pabs

	* [r1179] src/modules/mod_ppm/trgt_mpg.cpp: The mpg target from
	  mod_ppm isn't built by default, but prevent it from being
	  compiled due to security issues.

2007-12-06 01:52  pabs

	* [r1178] src/modules/mptr_mplayer/mptr_mplayer.cpp: The
	  mptr_mplayer module isn't built by default, but prevent it from
	  being compiled due to security issues.

2007-12-06 01:42  pabs

	* [r1177] src/modules/mod_dv/trgt_dv.cpp: Minor security fix:
	  mod_dv used popen to run the DV encoder, change it to use pipe,
	  fork and exec. Strangely named sif files could previously have
	  executed arbitrary shell commands.

2007-12-03 18:26  dooglus

	* [r1176] src/synfig/listimporter.cpp: Fix 1842510: round frame
	  number to nearest integer rather than truncating.

2007-12-03 18:25  dooglus

	* [r1175] src/synfig/listimporter.cpp, src/synfig/listimporter.h:
	  Cache each image file only once, even if it is used multiple
	  times.

2007-12-02 00:53  dooglus

	* [r1172] src/synfig/valuenode_bline.cpp: Possibly fix 1841280:
	  "Insert Item in animation mode renders badly before insertion"

2007-11-29 19:30  dooglus

	* [r1170] src/tool/main.cpp: Use the ETL functions to find filename
	  extensions and filenames without extensions. Rendering a.b.sif
	  should create a.b.png by default, but it was creating a.png
	  instead. That's fixed now.

2007-11-29 10:05  pabs

	* [r1169] configure.ac: Use AC_LIBLTDL_CONVENIENCE instead of
	  AC_LIBLTDL_INSTALLABLE because Win32 doesn't seem to be able to
	  link a libsynfig DLL to a libltdl DLL and there doesn't seem to
	  be a way to compile libltdl statically and libsynfig dynamically.

2007-11-26 00:41  dooglus

	* [r1166] src/synfig/canvas.cpp: Fix 1838132: encapsulations
	  containing imported images fail to clone properly

2007-11-23 16:46  dooglus

	* [r1163] src/modules/lyr_std/stretch.cpp: Make the stretch layer's
	  "amount" duck be relative to the center duck.

2007-11-22 00:28  dooglus

	* [r1162] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_blinereversetangent.cpp,
	  src/synfig/valuenode_blinereversetangent.h: Add new valuenode
	  convert type called "Reverse Tangent" to allow blinepoint's
	  tangents to be reversed.

2007-11-16 03:26  dooglus

	* [r1155] src/modules/lyr_std/sphere_distort.cpp: Fix clipping for
	  tile-based rendering.

2007-11-14 09:56  dooglus

	* [r1149] src/synfig/valuenode_animated.cpp: Tidying.

2007-11-14 08:43  pabs

	* [r1148] src/synfig/layer.h: Revert one of the i18n changes that
	  causes a crash in studio. Thanks to dooglus for reporting and
	  debugging it

2007-11-13 23:35  pabs

	* [r1147] src/synfig/layer.cpp: Don't use gettext with C++ strings
	  :)

2007-11-13 23:23  pabs

	* [r1146] configure.ac: Downgrade the gettext requirement again for
	  mingw

2007-11-13 23:13  pabs

	* [r1145] configure.ac: Downgrade the gettext requirement

2007-11-13 09:25  pabs

	* [r1144] configure.ac: Woops, remove the testing en_AU from
	  ALL_LINGUAS

2007-11-13 09:13  pabs

	* [r1143] Makefile.am, configure.ac, po, po/Makevars,
	  po/POTFILES.in, src/modules/example/filledrect.cpp,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/simplecircle.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/bevel.cpp, src/modules/lyr_std/clamp.cpp,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/shade.cpp,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/stretch.cpp,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/translate.cpp, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/warp.cpp, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/zoom.cpp, src/modules/mod_filter/blur.cpp,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/noise.cpp,
	  src/modules/mod_particle/plant.cpp, src/synfig/general.h,
	  src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_polygon.cpp,
	  src/synfig/layer_shape.cpp, src/synfig/layer_solidcolor.cpp,
	  src/synfig/main.cpp, src/tool/main.cpp: Initial attempt at i18n
	  support using gettext

2007-11-12 09:34  dooglus

	* [r1141] src/modules/mod_libavcodec/trgt_av.cpp: Fix a
	  compile-time warning.

2007-11-12 09:34  dooglus

	* [r1140] src/modules/mod_mng/trgt_mng.cpp: Fix warnings from g++
	  4.2.

2007-11-12 03:46  pabs

	* [r1133] src/tool/Makefile.am: Silence warning when building code
	  for the synfig binary

2007-11-11 11:25  dooglus

	* [r1132] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_atan2.cpp, src/synfig/valuenode_atan2.h: Add
	  new convert type: aTan2.

2007-11-10 12:40  dooglus

	* [r1130] src/synfig/polynomial_root.h: Prevent compiler warnings
	  like "there are no arguments to 'size' that depend on a template
	  parameter, so a declaration of 'size' must be available". This
	  code doesn't appear to be used anywhere anyway. What is it for?

2007-11-10 07:22  pabs

	* [r1128] configure.ac, src/synfig/Makefile.am,
	  src/synfig/node.cpp, src/synfig/nodebase.h, src/synfig/proto:
	  Replace the proto directory with pre-processor macros that do the
	  same thing

2007-11-09 14:35  dooglus

	* [r1125] src/modules/mod_png/trgt_png.cpp: Prevent warnings from
	  g++ 4.2 saying "deprecated conversion from string constant to
	  'char*'".

2007-11-09 02:31  dooglus

	* [r1122] src/synfig/valuenode_animated.cpp: Prevent 2 * "warning:
	  converting to 'int' from 'double'"

2007-11-09 00:26  pabs

	* [r1120] Makefile.am, bootstrap, config/ETL.m4, config/build.cfg,
	  config/configure.ac, config/cxx_macros.m4, config/doxygen.cfg.in,
	  config/freetype2.m4, config/libxml++.m4, config/libxml.m4,
	  config/pkgconfig.m4, config/pkgconfig.pc.in,
	  config/project.spec.in, config/subs.m4, config/synfig.m4,
	  configure.ac, doxygen.cfg.in, m4, m4/ETL.m4, m4/cxx_macros.m4,
	  m4/freetype2.m4, m4/libxml++.m4, m4/libxml.m4, m4/pkgconfig.m4,
	  m4/subs.m4, m4/synfig.m4, src/modules/example/Makefile.am,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_magickpp/Makefile.am,
	  src/modules/mod_mng/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mptr_mplayer/Makefile.am, src/synfig/Makefile.am,
	  src/synfig/proto/Makefile, src/synfig/proto/Makefile.am,
	  src/tool/Makefile.am, synfig.pc.in, synfig.spec.in: Kill off
	  synfig ./bootstrap

2007-11-08 22:50  dooglus

	* [r1119] src/synfig/canvas.h: Fix 1823053: renaming an exported
	  valuenode causes a crash.

2007-11-08 16:01  dooglus

	* [r1116] src/synfig/valuenode_cos.cpp: Use 0 degrees as the
	  default angle for the 'cos' convert.

2007-11-06 23:33  dooglus

	* [r1114] src/synfig/valuenode_animated.cpp: Don't force angles to
	  use linear interpolation.

2007-11-06 23:33  dooglus

	* [r1113] src/synfig/savecanvas.cpp: Same for 'after' waypoints,
	  too!

2007-11-06 23:33  dooglus

	* [r1112] src/synfig/savecanvas.cpp: Always save the interpolation
	  type - don't special-case it for angles.

2007-11-06 23:03  dooglus

	* [r1111] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_cos.cpp, src/synfig/valuenode_cos.h: Add a
	  'cos' convert type, to go with 'sine'.

2007-10-31 09:34  dooglus

	* [r1091] src/modules/mod_particle/plant.cpp: Don't render
	  infinitely large plant layers.

2007-10-31 09:34  dooglus

	* [r1090] src/modules/lyr_std/stretch.cpp: Fix 1823082: don't
	  render layers under a 'stretch' layer with zero x or y amount.

2007-10-31 02:23  dooglus

	* [r1089] src/synfig/layer_shape.cpp: Partially fix 1823082: It
	  works OK for polygon, region, outline and star now. Plant still
	  crashes.

2007-10-30 16:15  dooglus

	* [r1087] src/modules/lyr_std/sphere_distort.cpp: Typo 'accomodate'
	  -> 'accommodate'.

2007-10-30 16:15  dooglus

	* [r1086] src/modules/mod_filter/radialblur.cpp: Typo: 'dont' ->
	  'don't'.

2007-10-30 16:15  dooglus

	* [r1085] src/modules/mod_geometry/outline.cpp: Typo: 'verticies'
	  -> 'vertices'.

2007-10-30 16:14  dooglus

	* [r1084] src/modules/mod_geometry/rectangle.cpp: Use American
	  spelling: 'optimize'.

2007-10-30 16:14  dooglus

	* [r1083] src/modules/mod_geometry/rectangle.cpp: Use American
	  spelling: 'color'.

2007-10-30 16:14  dooglus

	* [r1082] src/modules/mod_libavcodec/trgt_av.cpp: Typo: 'hardcode'
	  -> 'hardcoded'.

2007-10-30 16:14  dooglus

	* [r1081] src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_libavcodec/trgt_av.cpp: Typo: 'cludge' ->
	  'kluge'.

2007-10-30 16:14  dooglus

	* [r1080] src/modules/mod_libavcodec/trgt_av.cpp: Typo:
	  'compressiong' -> 'compression'.

2007-10-30 16:14  dooglus

	* [r1079] src/modules/mod_gif/trgt_gif.h: Typo: 'recalculted' ->
	  'recalculated'.

2007-10-30 16:13  dooglus

	* [r1078] src/modules/mod_gif/trgt_gif.h: Typo: 'sibbling' ->
	  'sibling'.

2007-10-30 16:13  dooglus

	* [r1077] src/modules/mod_gif/trgt_gif.h: Typo: 'emptys' ->
	  'empties'.

2007-10-30 16:13  dooglus

	* [r1076] src/modules/mod_gif/trgt_gif.cpp: Typo: 'backgound' ->
	  'background'.

2007-10-30 16:13  dooglus

	* [r1075] synfig-core.xcodeproj/config.h: Typo: 'staticly' ->
	  'statically'.

2007-10-30 16:12  dooglus

	* [r1071] src/tool/main.cpp: Typo: 'borred' -> 'bored'.

2007-10-30 16:12  dooglus

	* [r1070] src/synfig/valuenode_dynamiclist.h: Typo: 'rearange' ->
	  'rearrange'.

2007-10-30 16:12  dooglus

	* [r1069] src/synfig/valuenode_dynamiclist.h: Typo: 'automagickly'
	  -> 'automagically'.

2007-10-30 15:09  dooglus

	* [r1068] src/synfig/target_scanline.h: Typo: 'supose' ->
	  'supposed'.

2007-10-30 15:09  dooglus

	* [r1067] src/synfig/target.h: Typo: 'outputing' -> 'outputting'.

2007-10-30 15:09  dooglus

	* [r1066] src/synfig/synfig.h: Typo: 'doesnt' -> 'doesn't'.

2007-10-30 15:08  dooglus

	* [r1065] src/synfig/synfig.h: Typo: 'individualy' ->
	  'individually'.

2007-10-30 15:08  dooglus

	* [r1064] src/synfig/surfacenew.h: Typo: 'dupilcate' ->
	  'duplicate'.

2007-10-30 15:08  dooglus

	* [r1063] src/synfig/layer_shape.h: Typo: 'cacheing' -> 'caching'.

2007-10-30 15:08  dooglus

	* [r1062] src/synfig/layer_composite.h: Typo: 'ontop' -> 'on top'.

2007-10-30 15:08  dooglus

	* [r1061] src/synfig/layer.h: Typo: 'refering' -> 'referring'.

2007-10-30 15:08  dooglus

	* [r1060] src/synfig/layer.h, src/synfig/paramdesc.h: Typo:
	  'paramater' -> 'parameter'.

2007-10-30 15:08  dooglus

	* [r1059] src/synfig/color.h: Typo: 'datastructure' -> 'data
	  structure'.

2007-10-30 15:07  dooglus

	* [r1058] src/synfig/color.h: Typo: 'infront' -> 'in front'.

2007-10-30 15:07  dooglus

	* [r1057] src/synfig/color.h: Typo: 'arangement' -> 'arrangement'.

2007-10-30 15:07  dooglus

	* [r1056] src/synfig/valuenode_bline.cpp: Typo: 'matricies' ->
	  'matrices'.

2007-10-30 15:07  dooglus

	* [r1055] src/synfig/valuenode_bline.cpp: Typo: missing space.

2007-10-30 15:07  dooglus

	* [r1054] src/synfig/valuenode_animated.cpp: Typo: 'folloing' ->
	  'following'.

2007-10-30 15:07  dooglus

	* [r1053] src/synfig/time.cpp: Typo: 'abreviate' -> 'abbreviate'.

2007-10-30 15:07  dooglus

	* [r1052] src/synfig/surfacenew.cpp: Typo: 'discurage' ->
	  'discourage'.

2007-10-30 15:06  dooglus

	* [r1051] src/synfig/render.cpp: Typo: 'gracefuly' -> 'gracefully'.

2007-10-30 15:06  dooglus

	* [r1050] src/synfig/renddesc.cpp, src/synfig/renddesc.h: Typo:
	  'antilaias' -> 'antialias'.

2007-10-30 15:06  dooglus

	* [r1049] src/synfig/polynomial_root.cpp: Typo: 'efficent' ->
	  'efficient'.

2007-10-30 15:06  dooglus

	* [r1048] src/synfig/loadcanvas.cpp: Typo: 'entitity' -> 'entity'.

2007-10-30 15:06  dooglus

	* [r1047] src/synfig/layer_shape.cpp: Typo: 'interset' ->
	  'intersect'.

2007-10-30 15:06  dooglus

	* [r1046] src/synfig/layer_shape.cpp: Typo: 'trapazoid' ->
	  'trapezoid'.

2007-10-30 15:06  dooglus

	* [r1045] src/synfig/gradient.cpp: Typo: 'itegration' ->
	  'integration'.

2007-10-30 15:05  dooglus

	* [r1044] src/synfig/gradient.cpp: Typo: 'optimizize' ->
	  'optimize'.

2007-10-30 15:05  dooglus

	* [r1043] src/synfig/curveset.cpp: Typo: 'rectaingles' ->
	  'rectangles'.

2007-10-30 15:05  dooglus

	* [r1042] src/modules/lyr_std/sphere_distort.cpp,
	  src/synfig/curve_helper.cpp, src/synfig/curveset.cpp: Typo:
	  'bouding' -> 'bounding'.

2007-10-30 15:05  dooglus

	* [r1041] src/synfig/curve_helper.cpp: Type: 'segmentsssss' ->
	  'segments'.

2007-10-30 15:05  dooglus

	* [r1040] src/synfig/curve_helper.cpp: Typo: 'cliping' ->
	  'clipping'.

2007-10-30 15:05  dooglus

	* [r1039] src/synfig/context.cpp: Typo: 'wrter' -> 'writer'.

2007-10-30 14:22  dooglus

	* [r1038] src/synfig/color.cpp: Typo: 'imperceptable' ->
	  'imperceptible'.

2007-10-30 14:22  dooglus

	* [r1037] src/synfig/blur.cpp, src/synfig/canvas.cpp: Typo:
	  'suport' -> 'support'.

2007-10-30 14:16  dooglus

	* [r1031] src/synfig/curve_helper.cpp: Typo: 'cantidate' ->
	  'candidate'.

2007-10-30 14:15  dooglus

	* [r1030] src/synfig/curve_helper.cpp: Typo: 'eachother' -> 'each
	  other'.

2007-10-30 14:14  dooglus

	* [r1029] src/synfig/layer_shape.cpp: Typo: 'tesselate' ->
	  'tessellate'.

2007-10-30 12:46  dooglus

	* [r1017] src/synfig/loadcanvas.cpp: Use American spelling:
	  'recognise' -> 'recognize'.

2007-10-30 10:55  dooglus

	* [r1014] config/configure.ac: Fix 'configure: error: conditional
	  "HAVE_MAGICK_OPTIMIZE" was never defined' error

2007-10-30 10:55  dooglus

	* [r1013] src/synfig/blur.cpp: Typo: 'consistant' -> 'consistent'.

2007-10-30 10:53  dooglus

	* [r1004] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/synfig/activepoint.h, src/synfig/color.h,
	  src/synfig/layer_shape.cpp, src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp: Use American spelling of
	  'initialise'.

2007-10-28 22:59  dooglus

	* [r997] src/modules/mod_magickpp/trgt_magickpp.cpp: Don't say
	  "writing 1 images".

2007-10-28 17:18  dooglus

	* [r996] src/modules/mod_magickpp/trgt_magickpp.cpp: Handle
	  exceptions from Magick++ calls.

2007-10-28 16:19  dooglus

	* [r995] src/synfig/main.cpp: Show the current time in info,
	  warning, and error messages.

2007-10-28 16:19  dooglus

	* [r994] src/modules/mod_magickpp/trgt_magickpp.cpp,
	  src/modules/mod_magickpp/trgt_magickpp.h: Allow environment
	  variables SYNFIG_DISABLE_REMOVE_DUPS, SYNFIG_DISABLE_OPTIMIZE,
	  SYNFIG_DISABLE_OPTIMIZE_TRANS to disable various animated gif
	  optimizations. Improved transparency detection - a frame only
	  needs to be treated as transparent if it is making pixels
	  transparent when they weren't in the previous frame.

2007-10-28 16:19  dooglus

	* [r993] src/modules/mod_magickpp/trgt_magickpp.cpp: Fixed a bug in
	  transparency detection.

2007-10-28 02:56  dooglus

	* [r992] src/modules/mod_magickpp/trgt_magickpp.cpp: Show what's
	  going on with messages to stdout. Fix another problem with
	  transparent frames.

2007-10-28 02:55  dooglus

	* [r991] src/modules/mod_magickpp/trgt_magickpp.h: Same as last
	  commit...

2007-10-28 02:55  dooglus

	* [r990] src/modules/mod_magickpp/trgt_magickpp.cpp: Fix for
	  transparent images. Remove duplicate frames.

2007-10-27 20:14  dooglus

	* [r989] config/configure.ac: Look for OptimizeImageTransparency in
	  Magick, not Magick++.

2007-10-27 20:04  dooglus

	* [r988] config/configure.ac, src/modules/Makefile.am,
	  src/modules/mod_magickpp, src/modules/mod_magickpp/Makefile.am,
	  src/modules/mod_magickpp/main.cpp,
	  src/modules/mod_magickpp/mod_magickpp.nsh,
	  src/modules/mod_magickpp/trgt_magickpp.cpp,
	  src/modules/mod_magickpp/trgt_magickpp.h,
	  src/modules/mod_magickpp/unmod_magickpp.nsh,
	  src/modules/synfig_modules.cfg.in: Added new module
	  'mod_magickpp' for rendering multiple images to a single file
	  using Magick++.

2007-10-27 20:04  dooglus

	* [r987] src/modules/mod_mng/Makefile.am,
	  src/modules/mod_mng/main.cpp, src/modules/mod_mng/mod_mng.nsh,
	  src/modules/mod_mng/unmod_mng.nsh: Remove the "** FIXME: THIS
	  DOES NOT ACTUALLY WORK YET" lines.

2007-10-26 04:06  pabs

	* [r986] README: Add MNG to the README now that it works

2007-10-26 01:47  dooglus

	* [r984] src/modules/synfig_modules.cfg.in: Reverted the sort I did
	  earlier. The order of the modules determines the default target
	  for each extension. Whichever comes last for each extension is
	  the default, so having 'mod_imagemagick' after 'mod_gif' means
	  that Imagemagick takes over GIF rendering, and it doesn't create
	  animated GIFs.

2007-10-25 23:30  dooglus

	* [r980] src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h: Write header giving image
	  height, width, and frame rate in .yuv output.

2007-10-25 21:57  dooglus

	* [r979] src/modules/mod_mng/trgt_mng.cpp: I think the gamma was
	  backwards before. Rendered .mng images were displaying too
	  brightly.

2007-10-25 21:46  dooglus

	* [r978] config/configure.ac: Sort alphabetically.

2007-10-25 21:46  dooglus

	* [r977] config/configure.ac: Add mod_mng, and libmng detection.

2007-10-25 21:46  dooglus

	* [r976] src/modules/synfig_modules.cfg.in: Add mod_mng.

2007-10-25 21:46  dooglus

	* [r975] src/modules/synfig_modules.cfg.in: Sort alphabetically.

2007-10-25 21:46  dooglus

	* [r974] src/modules/Makefile.am: Add mod_mng to the list of
	  modules.

2007-10-25 21:46  dooglus

	* [r973] src/modules/mod_mng/trgt_mng.cpp,
	  src/modules/mod_mng/trgt_mng.h: Fix mng rendering.

2007-10-25 18:38  dooglus

	* [r972] src/modules/mod_bmp/trgt_bmp.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp: When rendering to multiple
	  image files, render to filename.NNNN.ext rather than
	  filenameNNNN.ext. When filename itself ends with a number, it's
	  confusing to have the serial number merge with the filename.

2007-10-25 18:38  dooglus

	* [r971] src/modules/mod_mng/trgt_mng.cpp: Tidying.

2007-10-25 18:38  dooglus

	* [r970] src/synfig/rect.cpp: Removed unused variables.

2007-10-25 18:38  dooglus

	* [r969] src/modules/mod_imagemagick/trgt_imagemagick.cpp: Output
	  multiple numbered image files when necessary, rather than writing
	  the same file over and over.

2007-10-24 23:06  dooglus

	* [r966] src/modules/lyr_freetype/lyr_freetype.cpp: Fix the warning
	  that the last commit introduced. And only round_to_int once.

2007-10-24 22:38  dooglus

	* [r965] src/modules/lyr_freetype/lyr_freetype.cpp: Crude attempt
	  to get fonts not to render upside-down when rendering to .bmp
	  files.

2007-10-24 21:56  dooglus

	* [r964] src/modules/mod_particle/plant.cpp: Don't allow 'splits'
	  to be less than 1, or we get a division by zero and an infinite
	  loop.

2007-10-24 19:24  dooglus

	* [r963] src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h: Add a new boolean to allow the
	  drawing of regular polygons.

2007-10-24 19:24  dooglus

	* [r962] src/modules/lyr_freetype/lyr_freetype.cpp: Fixed commented
	  debugging line - it was missing a format string for curr_line.

2007-10-24 01:14  dooglus

	* [r959] src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp: popen() doesn't
	  like type "rb" on Linux, either.

2007-10-24 01:14  dooglus

	* [r958] src/modules/mod_bmp/trgt_bmp.cpp,
	  src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_gif/trgt_gif.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_mng/trgt_mng.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp: Fix 1818856: External
	  application render targets seem to be broken. We can't use
	  popen(command, "wb") on Linux.

2007-10-24 00:32  dooglus

	* [r957] src/synfig/timepointcollect.cpp: Add on the time_offset
	  parameter when looking for waypoints in sub-canvases of
	  PasteCanvas layers. Now right-clicking a time-shifted PasteCanvas
	  waypoint fails in exactly the same way as right-clicking a
	  regular non-time-shifted PasteCanvas waypoint: "error:
	  dock_timetrack.cpp:380: Unable to find the valuenode".

2007-10-24 00:10  dooglus

	* [r956] src/synfig/time.cpp: Don't break time into seconds and
	  frames when the framerate is 1 or more.

2007-10-24 00:07  dooglus

	* [r955] src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h: Added a new parameter to the
	  plant layer, 'Reverse', which causes the plant to be drawn in the
	  opposite order.

2007-10-24 00:07  dooglus

	* [r954] src/synfig/layer_pastecanvas.cpp: Update time-shifted
	  waypoint position dynamically.

2007-10-23 19:57  dooglus

	* [r952] src/synfig/time.cpp: Remove trailing zeros from the output
	  of Time::get_string().

2007-10-23 19:56  dooglus

	* [r950] src/synfig/node.h: Define set_string() for displaying the
	  time values in a set when _DEBUG is defined.

2007-10-23 19:56  dooglus

	* [r949] src/synfig/node.cpp, src/synfig/node.h,
	  src/synfig/time.cpp, src/synfig/time.h: Add c_str() methods for
	  synfig::Time and synfig::TimePoint when _DEBUG is defined.

2007-10-23 19:55  dooglus

	* [r947] src/synfig/node.h: Improvements to interaction with
	  waypoints in time-shifted canvases.

2007-10-23 19:55  dooglus

	* [r946] src/synfig/layer_pastecanvas.cpp: Tidying.

2007-10-22 01:02  dooglus

	* [r944] src/synfig/layer_pastecanvas.cpp, src/synfig/node.h:
	  Before this fix, PasteCanvas' "time offset" values were being
	  reflected in the position of the waypoints in the timeline of
	  parent PasteCanvases, but not in the PasteCanvas itself. This fix
	  adds a preprocessor macro ADJUST_WAYPOINTS_FOR_TIME_OFFSET (to
	  node.h) which enables the offsetting of waypoints for all
	  PasteCanvases when defined. It's undefined though, because
	  offsetting waypoints doesn't yet work fully; see the TODO at the
	  end of layer_pastecanvas.cpp for details.

2007-10-22 01:02  dooglus

	* [r943] src/synfig/node.h: Typos (childrens?).

2007-10-21 22:30  dooglus

	* [r942] src/modules/mod_particle/plant.cpp: Reject invalid and
	  dangerous values for the 'step' parameter.

2007-10-21 21:36  dooglus

	* [r940] src/synfig/layer_pastecanvas.cpp: Fix a bug causing
	  PasteCanvas layer to adjust its waypoints in the wrong direction
	  for time offsets.

2007-10-21 21:36  dooglus

	* [r939] src/synfig/node.h: Implement operator- for TimePoints.

2007-10-17 05:47  pabs

	* [r934] src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp: Fix the
	  ffmpeg/dv/imagemagick targets/importers on Windows. Thanks to
	  PXEGeek for tracking down popen calls that were mangling
	  linefeeds.

2007-10-14 22:14  dooglus

	* [r929] src/modules/mod_bmp/trgt_bmp.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp, src/synfig/importer.cpp,
	  src/synfig/savecanvas.cpp: Use filename_extension() and
	  filename_sans_extension().

2007-10-14 00:00  dooglus

	* [r927] src/synfig/loadcanvas.cpp: When loading a canvas fails
	  because of undefined valuenodes, show the IDs of the undefined
	  nodes.

2007-10-13 23:38  dooglus

	* [r926] src/modules/mod_png/mptr_png.cpp: Removed the 'fixme'
	  comment, because I fixed it already.

2007-10-13 23:28  dooglus

	* [r925] src/modules/mod_png/mptr_png.cpp: Fix memory leak. The png
	  library was being used slightly wrongly.

2007-10-13 22:03  dooglus

	* [r924] src/modules/mod_png/mptr_png.cpp: The code documents an
	  unexplained crash in libpng, but was also leaking filehandles. We
	  should close the file handle, or we run out after rendering a few
	  animations which import large .lst files.

2007-10-13 13:00  dooglus

	* [r923] src/synfig/valuenode.cpp, src/synfig/valuenode_switch.cpp,
	  src/synfig/valuenode_switch.h: Add the 'Switch' valuenode.

2007-10-13 13:00  dooglus

	* [r922] src/synfig/Makefile.am: Add 'Switch' valuenode.

2007-10-11 01:54  dooglus

	* [r907] src/synfig/module.h: Add BEGIN_VALUENODES(), VALUENODE(),
	  and END_VALUENODES() macros to allow modules to define new
	  valuenode types.

2007-10-11 01:53  dooglus

	* [r906] src/modules/mod_noise/valuenode_random.cpp: Default new
	  random valuenodes to SMOOTH_CUBIC interpolation.

2007-10-11 01:53  dooglus

	* [r905] src/modules/mod_noise/valuenode_random.cpp: New source
	  file for the 'random' valuenode.

2007-10-11 01:53  dooglus

	* [r904] src/modules/mod_noise/valuenode_random.h: New header file
	  for the 'random' valuenode.

2007-10-11 01:53  dooglus

	* [r903] src/modules/mod_noise/random.cpp: Tidying.

2007-10-11 01:53  dooglus

	* [r902] src/modules/mod_noise/main.cpp: Add the new 'random'
	  valuenode.

2007-10-11 01:53  dooglus

	* [r901] src/modules/mod_noise/Makefile.am: Add files for the new
	  'random' valuenode.

2007-10-10 16:34  dooglus

	* [r896] src/synfig/layer_pastecanvas.cpp: Fix 1809480: (zoom in
	  beyond 8.75 in nested canvases fails).

2007-10-10 15:54  dooglus

	* [r895] src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_timedswap.cpp: Use the ETL 'round_to_int'
	  function rather than re-writing it in each of these files.

2007-10-10 03:21  dooglus

	* [r885] src/modules/mod_noise/noise.cpp: Use 'ftime' instead of
	  'f' as the floating point time variable to make it easier to
	  search for.

2007-10-10 03:20  dooglus

	* [r882] src/synfig/target.h, src/synfig/target_tile.cpp: Run
	  everything in the same thread.

2007-10-10 03:20  dooglus

	* [r880] src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/noise.cpp,
	  src/modules/mod_noise/noise.h, src/modules/mod_noise/random.cpp,
	  src/modules/mod_noise/random.h: Use an enumeration type rather
	  than unnamed integers to specify the different types of random
	  numbers. Just like r636, but for mod_noise's random numbers.
	  Should we merge the two and move them into synfig-core proper?

2007-10-10 03:20  dooglus

	* [r879] src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h: Small changes to make these
	  files more similar to the ones in modules/mod_noise.

2007-10-10 02:32  dooglus

	* [r875] NEWS: Updated svn revision number and date in NEWS files.

2007-10-08 13:39  dooglus

	* [r865] NEWS: Updated NEWS files.

2007-10-07 22:45  dooglus

	* [r860] examples/pirates.sifz: Use 'Fast Gaussian' instead of
	  'Gaussian' for blur type, because 'Gaussian' has O(n^6)
	  complexity. ie. it's v. slow when zooming in on the dead heads.

2007-10-07 22:45  dooglus

	* [r859] src/modules/lyr_std/shade.cpp: Typo.

2007-10-07 22:28  dooglus

	* [r858] src/modules/lyr_std/warp.cpp: Fix a crash in the warp
	  layer when the bounding_rect gets very small.

2007-10-07 22:28  dooglus

	* [r857] src/synfig/blur.cpp: Typo.

2007-10-07 22:28  dooglus

	* [r856] src/synfig/layer_polygon.h: Typo.

2007-10-07 09:33  dooglus

	* [r855] NEWS: Remove dups and clarify.

2007-10-07 09:33  dooglus

	* [r854] examples/macwolfen.sifz: Turned on the smoke. It uses the
	  plant layer, which works now.

2007-10-06 02:28  dooglus

	* [r849] config/configure.ac: Bump the required versions of ETL and
	  synfig.

2007-10-06 02:25  dooglus

	* [r848] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/main.cpp, src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/timeloop.cpp, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/random.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp, src/synfig/activepoint.h,
	  src/synfig/canvas.cpp, src/synfig/canvas.h, src/synfig/color.cpp,
	  src/synfig/color.h, src/synfig/gradient.cpp,
	  src/synfig/gradient.h, src/synfig/guid.cpp, src/synfig/layer.cpp,
	  src/synfig/layer_composite.h, src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_pastecanvas.h,
	  src/synfig/layer_shape.cpp, src/synfig/layer_shape.h,
	  src/synfig/layer_solidcolor.cpp, src/synfig/loadcanvas.cpp,
	  src/synfig/loadcanvas.h, src/synfig/main.cpp,
	  src/synfig/rect.cpp, src/synfig/rect.h,
	  src/synfig/savecanvas.cpp, src/synfig/time.cpp,
	  src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h,
	  src/synfig/valuenode_scale.cpp, src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h, src/synfig/vector.h,
	  src/tool/main.cpp: Add my copyright to files I've modified.

2007-10-06 02:25  dooglus

	* [r847] config/build.cfg: Bump the version numbers ready for the
	  coming release.

2007-10-06 02:24  dooglus

	* [r845] config/subs.m4: Set the default optimization level to be 2
	  now that it works OK.

2007-10-05 23:56  dooglus

	* [r844] NEWS: Updated to r843.

2007-10-05 21:57  dooglus

	* [r843] src/modules/mod_filter/radialblur.cpp: Fix 1807709: radial
	  blur doesn't render properly. It renders much more properly now.
	  Compare
	  http://dooglus.rincevent.net/synfig/radial-blur-without-fix.png
	  and http://dooglus.rincevent.net/synfig/radial-blur-with-fix.png
	  (rendered from
	  http://dooglus.rincevent.net/synfig/radial-blur-3.sifz ).

2007-10-04 21:53  dooglus

	* [r840] src/synfig/valuenode_scale.cpp: Sorted by type, and added
	  'Time' to the list of acceptable types.

2007-10-04 21:53  dooglus

	* [r839] src/synfig/canvas.cpp: Prevent warnings when compiling
	  with optimization.

2007-10-03 12:31  dooglus

	* [r826] src/synfig/canvas.cpp: Fix 1806852: sort PasteCanvas
	  layers by z-depth even if they do have a non-zero time offset.

2007-10-03 05:25  pabs

	* [r825] win32inst.nsi.in: Apply 1805544: un/install the sifz
	  examples properly in the Win32 installer. Patch by Atrus.

2007-10-03 02:43  dooglus

	* [r824] src/synfig/main.cpp: Revert r764. pxegeek on IRC reports:
	  
	  Looks like my build of 813 failed. Looks like it was trying to
	  render the logo
	  synfig(5228): info: ValueNode::subsys_stop()
	  synfig(5228): info: Importer::subsys_stop()
	  synfig(5228): info: Target::subsys_stop()
	  synfig(5228): info: Layer::subsys_stop()
	  synfig(5228): info: Module::subsys_stop()
	  I think it's hung - it shouldn't take this long. :(
	  
	  Looks like it's hanging while stopping the module subsystem.
	  Maybe he has some modules I don't, and they're causing a crash. I
	  don't see any crash here.

2007-10-03 02:18  dooglus

	* [r822] src/synfig/distance.cpp: Make stdout quieter.

2007-10-02 14:28  dooglus

	* [r812] src/synfig/valuenode_animated.cpp: Tidying.

2007-10-02 13:30  dooglus

	* [r811] src/synfig/valuenode_animated.cpp: Commented the "Adjust
	  for time" code in valuenode_animated.cpp while trying to
	  understand what it's doing.

2007-10-02 13:04  dooglus

	* [r810] src/synfig/layer_pastecanvas.cpp: When the user moves a
	  canvas' time slider, update the time sliders of any open child
	  canvas' workareas.

2007-10-01 23:18  dooglus

	* [r809] src/synfig/valuenode_animated.cpp: Make the linear
	  interpolation linear. See
	  http://dooglus.rincevent.net/synfig/linear.sifz for an example of
	  how linear interpolation currently works. Both circles are
	  animated over the same distance with identical waypoints, but one
	  of them has an extra linear waypoint at frame zero. That extra
	  waypoints makes its entire movement non-linear.

2007-10-01 21:48  dooglus

	* [r806] src/synfig/layer_shape.cpp: Fix typos.

2007-09-30 20:48  dooglus

	* [r804] src/synfig/value.cpp: Tidying.

2007-09-30 20:48  dooglus

	* [r803] src/synfig/value.cpp: Made a note that type names
	  shouldn't be translated.

2007-09-29 15:09  dooglus

	* [r800] src/synfig/layer_shape.cpp: Prevent a crash (for example
	  when moving the mouse slowly over the bottom edge of the line in
	  http://dooglus.rincevent.net/synfig/shape_crash.sifz at the
	  default zoom level).

2007-09-28 15:24  dooglus

	* [r798] src/modules/lyr_std/sphere_distort.cpp: Fixed a typo in
	  the last commit.

2007-09-28 15:19  dooglus

	* [r797] src/modules/lyr_std/sphere_distort.cpp: Refine the
	  bounding rectangles for 'Vertical Bar' and 'Horizontal Bar'
	  spherize types.

2007-09-28 15:19  dooglus

	* [r796] src/synfig/rect.cpp, src/synfig/rect.h: Add
	  Rect::horizontal_strip() and Rect::vertical_strip() to create
	  infinite slices of the plane.

2007-09-28 15:19  dooglus

	* [r795] src/synfig/valuenode_range.cpp: Use std::min and std::max
	  rather than my ad-hoc #defines.

2007-09-28 03:01  dooglus

	* [r794] src/synfig/valuenode_range.cpp: For the 'Range' convert
	  type, when working with angles, if the link parameter is outside
	  of the [min,max] rangle, the resulting angle is whichever of min
	  and max is closest to the link parameter.

2007-09-27 22:43  dooglus

	* [r781] src/synfig/valuenode_add.cpp,
	  src/synfig/valuenode_range.cpp,
	  src/synfig/valuenode_subtract.cpp: Remove some debugging code I
	  left in accidentally some time ago.

2007-09-27 20:56  dooglus

	* [r780] src/synfig/valuenode_subtract.cpp: Fixed a typo in the
	  previous commit.

2007-09-27 20:52  dooglus

	* [r779] src/synfig/valuenode_subtract.cpp: Allow the 'subtract'
	  convert type to work with times.

2007-09-27 20:51  dooglus

	* [r778] src/synfig/valuenode_add.cpp: Allow the 'add' convert type
	  to work with times.

2007-09-27 20:51  dooglus

	* [r777] src/synfig/valuenode_range.cpp: Allow the 'range' convert
	  type to work with 'time' values too.

2007-09-27 20:43  dooglus

	* [r776] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_range.cpp, src/synfig/valuenode_range.h: Add
	  the 'range' convert type, for limiting a parameter to values
	  between a given minimum and maximum.

2007-09-27 15:10  dooglus

	* [r775] src/synfig/vector.h: vector.h was assuming that its
	  members would be laid out consequtively in memory, without
	  padding. Is this a safe assumption? Note that the same assumption
	  is made in class bezier_base in the same file, but I didn't
	  change that yet.

2007-09-27 15:10  dooglus

	* [r774] src/synfig/loadcanvas.cpp: Fix 1509627: Work around a bug
	  in gcc 4.1.2 and earlier. Compiling with -O2 or higher was
	  optimizing out a variable that we are using.

2007-09-27 00:31  dooglus

	* [r773] config/build.cfg: Use the http svn repository, not https,
	  because using the https causes svn2cl to hang forever if the
	  server isn't trusted locally. (See Debian #443860)

2007-09-27 00:30  dooglus

	* [r772] config/freetype2.m4, config/libxml++.m4, config/libxml.m4,
	  config/pkgconfig.m4: Stop the 'warning: underquoted definition of
	  ...' warnings by putting [...] around AC_DEFUN definitions.

2007-09-26 22:39  dooglus

	* [r769] src/synfig/color.h: Reorder the members to avoid warnings.

2007-09-26 22:36  dooglus

	* [r768] src/synfig/color.h: The line "SR1=SR2=SR3=typename
	  T::value_type();" in ETL/trunk/ETL/_gaussian.h expects the
	  default constructor of the types it supports (which includes
	  Color) to initialise the constructed object. I don't know what
	  other code expects Color objects to be initialised, so let's play
	  safe and initialise all colors for now.

2007-09-26 16:59  dooglus

	* [r765] src/synfig/main.cpp: Add some extra console output while
	  closing down.

2007-09-26 14:38  dooglus

	* [r764] src/synfig/main.cpp: Uncommented the line that stops the
	  module subsystem. There was a warning: "For some reason,
	  uncommenting the next line will cause things to crash. This needs
	  to be looked into at some point", but it doesn't seem to cause a
	  crash.

2007-09-25 12:28  dooglus

	* [r752] src/synfig/color.h: Tidying.

2007-09-25 09:13  dooglus

	* [r751] src/synfig/color.h: Move the gamma_in and gamma_out macros
	  into "color.h".

2007-09-24 23:25  dooglus

	* [r749] src/synfig/canvas.cpp: Fix 1800783: "motion blur doesn't
	  work on encapsulated layers". As before, but consider motion blur
	  even for PasteCanvas layers without a sub canvas.

2007-09-24 23:25  dooglus

	* [r748] src/synfig/canvas.cpp: Very nearly fix 1800783: "motion
	  blur doesn't work on encapsulated layers". Now we take the
	  z-depth into account as well. We need to look through all the
	  layers before optimizing any sub-canvases.

2007-09-24 23:24  dooglus

	* [r747] src/synfig/canvas.cpp, src/synfig/canvas.h: Nearly fix
	  1800783. Don't freeze dynamic parameters of PasteCanvas layers if
	  there's a MotionBlur level above them. Currently this only works
	  if the MotionBlur is above the PasteCanvas in the layer order,
	  but that can be affected by the zdepth parameters, so the patch
	  needs more work. Still, it's better than it was.

2007-09-24 20:48  dooglus

	* [r746] src/synfig/layer_pastecanvas.h: Remove an unused
	  prototype.

2007-09-23 20:25  dooglus

	* [r745] src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/vector.h: Allow the 'BLine Tangent' to be used to
	  convert angles. The resulting value is the angle of the tangent
	  to the bline at the given point to the horizontal.

2007-09-23 18:50  dooglus

	* [r744] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_blinecalctangent.cpp,
	  src/synfig/valuenode_blinecalctangent.h,
	  src/synfig/valuenode_blinecalcvertex.cpp,
	  src/synfig/valuenode_blinecalcvertex.h: Implement 1781903: make
	  vertices/object move along paths. Added 'BLine Vector' and 'BLine
	  Tangent' convert types to allow layers to move along arbitrary
	  BLine paths.

2007-09-23 00:10  dooglus

	* [r743] src/synfig/valuenode.cpp: Oops. Fixed a silly copy/paste
	  error.

2007-09-23 00:08  dooglus

	* [r742] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_add.cpp, src/synfig/valuenode_add.h: Added a
	  new valuenode conversion type called 'Add'. It's like 'Subtract',
	  only it adds... Previously addition was only possible by first
	  scaling the RHS by -1 and then subtracting, which seems a bit
	  silly.

2007-09-22 23:45  dooglus

	* [r741] src/synfig/layer.cpp: Fixed a typo.

2007-09-22 23:45  dooglus

	* [r740] src/synfig/layer.cpp: Fixed a few typos.

2007-09-22 23:45  dooglus

	* [r739] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_exp.cpp, src/synfig/valuenode_exp.h: Added a
	  new valuenode type for real values: 'Exponent'. Given a real
	  value, it sets its value to e^(value).

2007-09-22 17:37  dooglus

	* [r736] src/synfig/canvas.cpp, src/synfig/canvas.h: This commit
	  changes absolutely nothing. I don't understand why it was
	  submitted.

2007-09-22 17:37  dooglus

	* [r735] src/synfig/canvas.cpp, src/synfig/canvas.h: Fix 1800126:
	  use a loose_handle instead of a handle to prevent the layer being
	  free()d too early.

2007-09-21 15:05  dooglus

	* [r731] src/synfig/canvas.cpp, src/synfig/canvas.h: Fix 1368694:
	  you can now add layers to groups and the groups show up
	  immediately. The rest of the groups dialog is still pretty
	  broken, but there are other bug reports about that.

2007-09-20 18:36  dooglus

	* [r722] src/modules/lyr_std/import.cpp: Rename the 'Import' layer
	  to 'Import Image' to hint that it's not for importing .sif*
	  files.

2007-09-19 12:35  dooglus

	* [r720] NEWS: Brought up to date.

2007-09-19 11:34  dooglus

	* [r719] src/synfig/color.cpp, src/synfig/color.h: Revision 678
	  included <iostream> in color.h. This added a couple of megabytes
	  to the synfig binary distribution (due to each of the modules
	  having to contain lots of iostream code). Moved the include into
	  color.cpp instead to prevent this growth.

2007-09-18 23:16  dooglus

	* [r718] src/synfig/valuenode_scale.cpp: Fix to allow the 'scale'
	  valuenode be used with integers.

2007-09-18 22:31  dooglus

	* [r717] src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp: Fix 1797488: use
	  set_link() rather than modifying the members directly.

2007-09-18 21:04  dooglus

	* [r716] src/synfig/valuenode_sine.cpp,
	  src/synfig/valuenode_sine.h: Initialise a sine valuenode from its
	  parent.

2007-09-18 19:56  dooglus

	* [r715] src/synfig/valuenode_scale.h: Header file change to go
	  with the last commit.

2007-09-18 19:55  dooglus

	* [r714] src/synfig/valuenode_scale.cpp: Initialise 'scale'
	  valuenodes when converting, rather than using preset values.

2007-09-18 19:49  dooglus

	* [r713] src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h: Initialise subtract valuenodes
	  from the value they are converted from, rather than using a
	  preset value.

2007-09-18 19:44  dooglus

	* [r712] src/synfig/valuenode_linear.cpp: Round integers towards
	  zero in linear convert type.

2007-09-18 19:41  dooglus

	* [r711] src/synfig/valuenode_subtract.cpp: Use a switch statement
	  in the operator() like the other valuenode types do.

2007-09-18 19:33  dooglus

	* [r710] src/synfig/valuenode_subtract.cpp: Round integer
	  subtraction convertions to the nearest integer.

2007-09-18 19:25  dooglus

	* [r709] src/synfig/valuenode_subtract.cpp: Fix a crash when
	  converting an integer type to 'subtract'.

2007-09-18 11:02  dooglus

	* [r706] src/synfig/canvas.cpp: Renaming the PasteCanvas layer in
	  r705 missed the other references to the name elsewhere in the
	  code. This fixes it. We should use a #define'd value so it only
	  needs to be changed in one place, really. See also r590 and r597.

2007-09-18 01:18  dooglus

	* [r705] src/synfig/layer.cpp, src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp,
	  src/synfig/layer_solidcolor.cpp: Revert r590. Use the same names
	  for PasteCanvas, SolidColor, and MotionBlur as in previous
	  releases. Recognise the lower_case names, and convert them back
	  to the previous names on save.

2007-09-18 00:50  dooglus

	* [r704] src/synfig/valuenode_repeat_gradient.h: Removed unused
	  members/prototypes.

2007-09-17 20:13  dooglus

	* [r697] examples/backdrop.sifz, examples/eye.sifz,
	  examples/macwolfen.sifz, examples/pirates.sifz,
	  examples/prologue_kid.sifz: Replaced the whitespace that I
	  removed in r467. Now that the files are compressed it doesn't
	  make too much difference, and makes for easier text-editing of
	  the files.

2007-09-17 20:01  dooglus

	* [r696] examples/Makefile.am, examples/about_dialog.sif,
	  examples/about_dialog.sifz, examples/backdrop.sif,
	  examples/backdrop.sifz, examples/business_card.sif,
	  examples/business_card.sifz, examples/candy.sif,
	  examples/candy.sifz, examples/cells.sif, examples/cells.sifz,
	  examples/eye.sif, examples/eye.sifz, examples/eyes.sif,
	  examples/eyes.sifz, examples/gamma.sif, examples/gamma.sifz,
	  examples/gradient.sif, examples/gradient.sifz,
	  examples/headmo.sif, examples/headmo.sifz,
	  examples/installer-logo.sif, examples/installer-logo.sifz,
	  examples/japan.sif, examples/japan.sifz, examples/logo.sif,
	  examples/logo.sifz, examples/macwolfen.sif,
	  examples/macwolfen.sifz, examples/mandelbrot.sif,
	  examples/mandelbrot.sifz, examples/newjulia.sif,
	  examples/newjulia.sifz, examples/newjulia2.sif,
	  examples/newjulia2.sifz, examples/noise.sif, examples/noise.sifz,
	  examples/pirates.sif, examples/pirates.sifz,
	  examples/preambletaffy.sif, examples/preambletaffy.sifz,
	  examples/prologue_kid.sif, examples/prologue_kid.sifz,
	  examples/sparkle.sif, examples/sparkle.sifz, examples/splat.sif,
	  examples/splat.sifz, examples/star.sif, examples/star.sifz,
	  examples/wallpaper.sif, examples/wallpaper.sifz,
	  examples/warpcube.sif, examples/warpcube.sifz,
	  examples/warptext.sif, examples/warptext.sifz,
	  examples/z_depth_test.sif, examples/z_depth_test.sifz: Compressed
	  .sif files to .sifz to save space.

2007-09-17 19:58  dooglus

	* [r695] examples/walk/Makefile.am, examples/walk/walk.sif,
	  examples/walk/walk.sifz: Compressed .sif to .sifz to save space.

2007-09-17 17:59  dooglus

	* [r694] src/synfig/savecanvas.cpp: Use compression when saving as
	  a .sifz file.

2007-09-17 15:59  dooglus

	* [r693] src/synfig/savecanvas.cpp: Oops. TCB is called "auto" in
	  the SIF file.

2007-09-17 15:43  dooglus

	* [r692] src/synfig/savecanvas.cpp: Fix 1778930: TCB is the default
	  waypoint type except for angles, which default to linear. Also
	  fixed a copy/paste typo in an error message. Still need to get
	  angle waypoints to default to linear interpolation on creation.

2007-09-17 13:51  dooglus

	* [r691] src/synfig/gradient.cpp: Tidying up a little.

2007-09-17 13:47  dooglus

	* [r690] src/synfig/gradient.cpp: Typos.

2007-09-17 10:04  dooglus

	* [r685] src/synfig/valuenode.cpp: Fix 1796068: when a valuenode
	  changes, ValueNode::on_changed() will now signal all its parent
	  canvases.

2007-09-17 00:00  dooglus

	* [r684] src/synfig/valuenode_scale.cpp: Fix a copy-paste typo when
	  applying the 'scale' convert type to a color. Previously the red
	  component was used for R, G, and B in the resulting value.

2007-09-16 22:52  dooglus

	* [r683] src/synfig/loadcanvas.cpp: Fix 1795922: loadcanvas.cpp was
	  special-casing subtract valuenodes when there's no need to - the
	  generic code works better.

2007-09-16 22:06  dooglus

	* [r682] src/synfig/valuenode_subtract.cpp: Fix 1795913: subtract
	  now works with colors.

2007-09-16 22:05  dooglus

	* [r681] src/synfig/valuenode_subtract.cpp: Rearranged a bit so I
	  can see what's missing.

2007-09-16 14:11  dooglus

	* [r678] src/synfig/color.cpp, src/synfig/color.h,
	  src/synfig/gradient.cpp: Fix 1795802: Fixed a crash in the
	  animated gradient code I wrote yesterday. Added comments. Added
	  code to animate 'hidden' cpoints (ie. when there are more than 2
	  cpoints in the same place in a gradient).

2007-09-16 00:54  dooglus

	* [r677] src/synfig/gradient.cpp: Multiplying a gradient by zero
	  empties it.

2007-09-15 20:11  dooglus

	* [r676] src/synfig/valuenode_animated.cpp: Fix 1568818: Animate
	  gradients.

2007-09-15 20:10  dooglus

	* [r675] src/synfig/gradient.cpp: Partially fix 1568818: Define
	  mathematical operators so that we can animate gradients.

2007-09-15 20:06  dooglus

	* [r674] src/synfig/gradient.h: Partially fix 1568818: Declare
	  mathematical operators so that we can animate gradients over
	  time.

2007-09-15 07:56  dooglus

	* [r673] src/synfig/gradient.cpp, src/synfig/gradient.h: I'm told
	  that it's a bad idea to inherit from std::vector (because it has
	  no virtual destructor), so use a vector member variable instead.

2007-09-14 15:45  dooglus

	* [r671] src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h: Fix 1794374 for 'gradient
	  rotate' valuenodes.

2007-09-14 15:38  dooglus

	* [r670] src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h: Fix 1794374 for 'repeat
	  gradient' valuenodes.

2007-09-13 22:31  dooglus

	* [r667] src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h: Allow the user to specify
	  the start and end colors when repeating a gradient.

2007-09-13 16:53  dooglus

	* [r666] src/synfig/Makefile.am, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_repeat_gradient.cpp,
	  src/synfig/valuenode_repeat_gradient.h: Add a new type of
	  valuenode conversion for gradients: "repeat gradient" which lets
	  you loop a gradient a specified number of times. See
	  http://synfig.org/Convert#Repeat_Gradient .

2007-09-13 14:51  dooglus

	* [r664] src/synfig/gradient.h: Spelling corrections.

2007-09-13 12:44  dooglus

	* [r663] src/modules/mod_gradient/curvegradient.cpp: When a curve
	  gradient layer's bline is looped and perpendicular is checked,
	  spread the gradient over the entire loop. Previously the last
	  bline wasn't used.

2007-09-13 07:44  pabs

	* [r661] NEWS: Add some changes to NEWS

2007-09-12 20:36  dooglus

	* [r658] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/import.cpp, src/synfig/canvas.cpp,
	  src/synfig/general.h, src/synfig/listimporter.cpp: Since the last
	  change will require a recompilation of pretty much everything, I
	  took this opportunity to fix some spelling mistakes that were
	  annoying me.

2007-09-12 01:38  dooglus

	* [r656] src/modules/mod_gradient/curvegradient.cpp: Fix 1792063:
	  problem with curve gradients when a vertex has split tangents
	  which are almost parallel to each other.

2007-09-12 00:24  dooglus

	* [r655] config/subs.m4: Reinstate the -Wno-unused-parameter flag,
	  because when building a non-debug build, the 'assert()'s don't
	  get compiled, leading to a whole lot of warnings about an unused
	  parameter in value.h.

2007-09-11 20:07  dooglus

	* [r654] src/modules/mod_gradient/curvegradient.cpp: Added a few
	  comments.

2007-09-10 23:31  dooglus

	* [r653] src/modules/lyr_freetype/lyr_freetype.cpp: Move the
	  'Simple Text' into the 'Other' menu, rather than having it in a
	  menu of its own. And rename it "Text", since we don't have any
	  non-simple text layer.

2007-09-10 23:00  dooglus

	* [r652] src/modules/mod_gradient/curvegradient.cpp: Rearranged "if
	  (!x) a; else b;" to "if (x) b; else a;". Added a couple of
	  comments. No real changes.

2007-09-10 16:54  dooglus

	* [r650] src/synfig/layer_motionblur.cpp: Show basic motion blur
	  even in the workarea display; ie. show the current frame and the
	  (time-aperture) frame only. Don't use any future frames to
	  generate the blur, only past frames. Make older frames contribute
	  less to the blur than newer frames - ie. the blur decays
	  linearly, rather than not decaying at all.

2007-09-10 01:38  dooglus

	* [r649] src/modules/mod_particle/plant.cpp: Added a comment about
	  the strange fudge factor in the previous versions of the plant
	  layer code.

2007-09-10 01:22  dooglus

	* [r648] src/modules/mod_particle/plant.cpp: Default the plant
	  layer's Perpendicular Velocity to zero, for compatibility with
	  older .sif files.

2007-09-09 23:40  dooglus

	* [r646] src/modules/mod_particle/plant.cpp: Time Plant::sync().
	  Display timing information if it takes a long time. Show progress
	  after every million particles. Use antialiasing on rendered
	  plants. See
	  http://dooglus.rincevent.net/synfig/plant-before-646.png and
	  http://dooglus.rincevent.net/synfig/plant-after-646.png for
	  before and after shots, rendered from
	  http://dooglus.rincevent.net/synfig/plant-646.sif . Thin lines
	  were being completely lost before this change.

2007-09-09 23:05  dooglus

	* [r645] src/modules/mod_particle/plant.cpp: In the plant layer,
	  don't stunt growth at all when random factor is zero.

2007-09-09 09:26  dooglus

	* [r644] src/modules/mod_particle/plant.cpp: Partially fix 1790903:
	  Fixed the problem with the plant layer leaving outlines around
	  each 64x64 rendered tile. Didn't yet fix the lack of
	  anti-aliasing for larger particles mentioned in the same bug
	  report.

2007-09-09 08:17  dooglus

	* [r643] src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h: Added a new parameter to the
	  plant layer, "Perpendicular Velocity" which controls how much the
	  growth happens at right angles to the bline tangent. ( eg.
	  http://dooglus.rincevent.net/synfig/plant2.png )

2007-09-08 23:59  dooglus

	* [r641] src/modules/mod_particle/plant.cpp: Show 'info' messages
	  during the sync()ing of large plants - one message for every
	  million particles. Added descriptions for each of the parameters.
	  Added more comments. Tidied up.

2007-09-08 23:35  dooglus

	* [r640] src/modules/mod_particle/plant.cpp: Spread the sprouts out
	  evenly along each bline. Previously they appeared at both ends of
	  each bline segment, resulting in double sprouts at each internal
	  blinepoint. Added a few comments. Tidied up a little. Oh, and
	  apply the 'random_factor' parameter when calculating
	  'stunt_growth', too. Setting random_factor to 0 will unstunt all
	  growth.

2007-09-08 23:24  dooglus

	* [r639] src/modules/mod_particle/plant.cpp: Don't keep trying to
	  sync() a plant layer if its bline has less than 2 points.

2007-09-08 23:18  dooglus

	* [r638] src/modules/mod_particle/plant.h: Plant::sync() doesn't
	  need to be public.

2007-09-08 23:16  dooglus

	* [r637] src/modules/mod_particle/random.cpp: Added a comment
	  questioning one of the Random::operator() methods.

2007-09-08 23:12  dooglus

	* [r636] src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h: Use an enumeration type rather
	  than unnamed integers to specify the different types of random
	  numbers.

2007-09-08 23:03  dooglus

	* [r635] src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h: Put a mutex around
	  Plant::sync() to stop 2 threads running it at the same time. This
	  was causing crashes. The same probably needs doing to most of the
	  other layers, too.

2007-09-08 15:58  dooglus

	* [r632] config/subs.m4: Remove the -Wno-unused-parameter flag from
	  the compile options now that it won't generate hundreds of
	  warnings.

2007-09-08 15:33  dooglus

	* [r631] src/modules/lyr_std/booleancurve.cpp,
	  src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_bmp/trgt_bmp.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_libavcodec/mptr.cpp,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/noise.cpp,
	  src/modules/mod_png/mptr_png.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp, src/synfig/context.cpp,
	  src/synfig/curveset.cpp, src/synfig/general.h,
	  src/synfig/layer.cpp, src/synfig/layer_shape.cpp,
	  src/synfig/main.cpp, src/synfig/module.h,
	  src/synfig/savecanvas.cpp, src/synfig/surface.cpp,
	  src/synfig/target_null.h, src/synfig/target_null_tile.h,
	  src/synfig/timepointcollect.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_reference.cpp, src/synfig/vector.h,
	  src/tool/main.cpp: Prevent compiler warnings about unused
	  parameters.

2007-09-07 23:05  dooglus

	* [r629] src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h:
	  Removed unused parameters.

2007-09-07 19:38  dooglus

	* [r625] src/modules/lyr_std/mandelbrot.cpp: Prevent a compiler
	  warning. (variable 'mag' is used uninitialised if iterations is
	  less than 1)

2007-09-07 19:36  dooglus

	* [r624] src/modules/lyr_std/julia.cpp: Prevent a compiler warning.
	  (variable mag is used uninitialised if iterations is set to zero
	  or less).

2007-09-07 19:31  dooglus

	* [r623] src/modules/mod_noise/distort.cpp: Fixed another instance
	  of the bug which was causing the plant layer to break. When
	  initialising a variable at the same time as declaring it, it's
	  not possible to use the previous variable of the same name in the
	  initialiser.

2007-09-07 19:13  dooglus

	* [r622] src/modules/mod_particle/plant.cpp: Tidying.

2007-09-07 19:11  dooglus

	* [r621] src/modules/mod_particle/plant.cpp: Allow plant blines to
	  have 2 points in them. Previously a minimum of 3 was enforced,
	  even though the comment says "Bline must have at least 2 points
	  in it".

2007-09-07 19:10  dooglus

	* [r620] src/modules/mod_particle/plant.cpp: Fix the 'plant' layer.

2007-09-07 19:07  dooglus

	* [r619] src/synfig/loadcanvas.cpp: Prevent a warning from the
	  compiler. It warns that "loadcanvas.cpp:349: warning:
	  'color.synfig::Color::r_' may be used uninitialized in this
	  function" (and g_, b_ and a_, too), whereas so long as the .sif
	  file isn't corrupted, this won't happen.

2007-09-06 15:51  dooglus

	* [r618] src/synfig/valuenode.cpp: Tidying.

2007-09-06 14:38  dooglus

	* [r617] src/synfig/valuenode_linear.cpp,
	  src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h: Allow the 'linear' convert type
	  to work with colors and integers, like the 'timed swap' one does.
	  Change the initial values when converting to 'linear' such that
	  the 'rate' is zero and the 'offset' is the previous value of the
	  parameter being converted. Also did some general tidying up.

2007-09-06 13:36  dooglus

	* [r614] src/synfig/loadcanvas.h: Don't include unnecessary header
	  files.

2007-09-06 13:35  dooglus

	* [r613] src/synfig/loadcanvas.cpp: Remove the parse_timedswap()
	  hack.

2007-09-06 13:30  dooglus

	* [r612] src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h: Remove
	  the parse_timedswap() hack.

2007-09-06 11:27  dooglus

	* [r610] src/synfig/loadcanvas.cpp, src/synfig/valuenode.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h: Fix and re-enable the "Timed
	  Swap" convert. Prevent loadcanvas from converting "Timed Swap"
	  valuenodes to waypoints.

2007-09-06 11:26  dooglus

	* [r609] src/synfig/value.h: Added a new member "bool
	  same_type_as(const Type testtype)const".

2007-09-06 07:52  dooglus

	* [r608] src/synfig/valuenode.cpp: Make the #defines for
	  ADD_VALUENODE and ADD_VALUENODE2 more readable.

2007-09-05 21:41  dooglus

	* [r607] src/synfig/valuenode.cpp,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp: Use "Segment Vertex" and
	  "Segment Tangent" instead of the more obscure "Seg Calc Vertex"
	  and "Seg Calc Tangent" in the GUI.

2007-09-05 16:00  dooglus

	* [r606] src/synfig/valuenode.cpp: Removed the little 'x' marks I
	  was using to check off each of the classes as I fixed them! Note
	  to self: try compiling changes just before committing!

2007-09-05 15:57  dooglus

	* [r605] src/synfig/valuenode.cpp,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalcvertex.cpp: Use translatable, 'human
	  readable' strings when displaying the valuenode types (eg. in the
	  'Convert' menu).

2007-09-05 14:29  dooglus

	* [r604] src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_twotone.cpp: Tidying.
	  
	  [fixed a bug that was introduced in r602]

2007-09-05 14:22  dooglus

	* [r603] src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_twotone.cpp: Tidying.

2007-09-05 14:16  dooglus

	* [r602] src/synfig/valuenode_radialcomposite.cpp: Tidying.
	  
	  [introduced a bug that was fixed in r604]

2007-09-05 14:04  dooglus

	* [r601] src/synfig/valuenode_composite.cpp: Tidying.

2007-09-04 22:31  dooglus

	* [r598] src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h: The XOR Pattern layer now has
	  'Z Depth', 'Amount' and 'Blend Method' parameters. And why not?

2007-09-04 22:01  dooglus

	* [r597] src/synfig/canvas.cpp: Fix a bug introduced by r590. The
	  name of the paste_canvas later (which was PasteCanvas and is now
	  paste_canvas) is used in several places throughout the code.

2007-09-04 17:32  dooglus

	* [r596] src/modules/mod_particle/plant.cpp: Use "Size As Alpha" as
	  parameter name, not "SizeAsAlpha".

2007-09-04 17:31  dooglus

	* [r595] src/modules/mod_gradient/radialgradient.cpp: Use "ZigZag"
	  not "Zig-Zag", like in other gradient layers.

2007-09-04 17:26  dooglus

	* [r594] src/modules/lyr_freetype/lyr_freetype.cpp: Typo.

2007-09-04 16:14  dooglus

	* [r593] src/modules/lyr_std/timeloop.cpp,
	  src/modules/mod_filter/lumakey.cpp: Display spaces in layer
	  names: "Time Loop" and "Luma Key".

2007-09-04 16:10  dooglus

	* [r592] src/modules/lyr_std/xorpattern.cpp: The duck was moving
	  the XOR pattern in the wrong direction. Fixed it.

2007-09-04 16:09  dooglus

	* [r591] src/modules/lyr_std/main.cpp,
	  src/modules/lyr_std/xorpattern.cpp: Use lower_case "xor_pattern"
	  in .sif files rather than "XORPattern".

2007-09-04 15:56  dooglus

	* [r590] src/synfig/layer.cpp, src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp,
	  src/synfig/layer_solidcolor.cpp: Use lower_case instead of
	  UpperCase in .sif files for layer types for these 3: SolidColor
	  -> solid_color; PasteCanvas -> paste_canvas; MotionBlur ->
	  motion_blur. Added aliases so old .sif files will be silently
	  converted.
	  
	  [introduced a bug that was fixed in r597]

2007-09-04 15:38  dooglus

	* [r589] src/modules/mod_particle/plant.cpp,
	  src/synfig/layer_pastecanvas.cpp: Move 'Paste Canvas' and 'Plant'
	  into the 'Other' menu, rather than having them in their own
	  individual submenus.

2007-09-04 15:31  dooglus

	* [r588] src/modules/mod_geometry/checkerboard.cpp: Display as
	  'Checkerboard' rather than 'CheckerBoard'.

2007-09-04 15:29  dooglus

	* [r587] src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone3.cpp: Display as 'Halftone 2' and
	  'Halftone 3' rather than 'Halftone2' and 'Halftone3'.

2007-09-04 15:28  dooglus

	* [r586] src/modules/lyr_std/insideout.cpp: Display as 'Inside Out'
	  not 'InsideOut'.

2007-09-04 12:18  dooglus

	* [r584] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp: Rename class lyr_freetype to
	  Layer_Freetype. All other layer classes begin with uppercase
	  letters.

2007-09-04 11:40  dooglus

	* [r583] src/modules/lyr_std/radialgradient.cpp: A more up-to-date
	  version of this file is in
	  synfig-core/src/modules/mod_gradient/radialgradient.cpp. This
	  version isn't used.

2007-09-03 19:13  dooglus

	* [r578] src/modules/example/metaballs.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/import.cpp, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/rotate.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/noise.cpp,
	  src/modules/mod_particle/plant.cpp, src/synfig/layer.cpp,
	  src/synfig/layer.h, src/synfig/layer_composite.cpp,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_polygon.cpp,
	  src/synfig/value.h, src/synfig/valuenode_timedswap.cpp: Rename
	  ValueBase::same_as() to ValueBase::same_type_as(), since it
	  compares types, not values.

2007-09-03 14:36  dooglus

	* [r577] src/synfig/layer_pastecanvas.h: This can't be right, can
	  it?

2007-09-03 14:29  dooglus

	* [r576] src/synfig/canvas.cpp, src/synfig/layer_pastecanvas.cpp,
	  src/synfig/layer_pastecanvas.h: Changed the sense of the
	  'do_not_muck_with_time' boolean. Let's not have flags with
	  negative names!

2007-09-03 11:38  dooglus

	* [r575] src/synfig/layer.cpp: Prevent a crash when copying a
	  PasteCanvas before defining its canvas parameter.

2007-09-03 11:05  dooglus

	* [r574] src/synfig/savecanvas.cpp: Fix 1785296: if a waypoint has
	  <animated type="canvas">, then just save a reference to the
	  canvas rather than duplicating the entire canvas in the .sif
	  file. The canvas will have already been written to the <defs>
	  section so we don't need to write it again.

2007-09-03 10:52  dooglus

	* [r573] src/synfig/loadcanvas.cpp: Partially fix 1785296: Allow
	  waypoints to refer to canvases, for example: <waypoint time="1s"
	  use="canvas1"/>

2007-09-03 00:17  dooglus

	* [r572] src/synfig/color.cpp: Typo.

2007-09-03 00:12  dooglus

	* [r571] src/synfig/color.h: Reordered the blend method definitions
	  to appear in the same order as in the menu (and in
	  paramdesc.cpp). Fixed a few comments.

2007-08-31 22:40  dooglus

	* [r570] src/synfig/valuenode_bline.cpp: Fix 1785598: studio crash
	  when marking all Bline vertices as Off. The previous fix wasn't
	  enough. More work is needed on this file, but it's not exactly
	  clear how best to interpolate the appearance and disappearance of
	  bline points.

2007-08-31 20:24  dooglus

	* [r569] src/modules/mod_geometry/outline.cpp: Fix 1785598: studio
	  crash when marking all Bline vertices as Off. Don't attempt to
	  draw an outline that contains no verticies.

2007-08-30 22:43  dooglus

	* [r566] src/synfig/layer_pastecanvas.cpp: Prevent a crash when
	  clicking in the workarea after adding a PasteCanvas but not
	  defining its canvas parameter.

2007-08-30 22:40  dooglus

	* [r565] src/synfig/savecanvas.cpp: Prevent a crash when saving a
	  PasteCanvas with no canvas specified.

2007-08-30 16:25  dooglus

	* [r564] src/synfig/savecanvas.cpp: Typo.

2007-08-14 09:50  pabs

	* [r552] src/synfig/canvas.cpp: Fix segfault when rendering
	  http://dooglus.rincevent.net/synfig/crasher3.sif

2007-08-04 08:48  pabs

	* [r551] src/modules/mod_geometry/rectangle.h: Fix extra
	  qualification warning

2007-07-31 08:07  pabs

	* [r549] src/modules/lyr_std/import.cpp: Fix 1692825: Prevent
	  import errors on amd64 by using String::size_type instead of
	  unsigned int when scanning strings. Thanks rore :D

2007-06-20 12:40  pabs

	* [r536] NEWS: Releasing synfig 0.61.06 today

2007-06-20 12:35  pabs

	* [r535] Makefile.am: Fix another typo in the tagging targets

2007-06-20 12:25  pabs

	* [r531] Makefile.am: Fix SVN tagging targets in the Makefile

2007-06-12 09:59  pabs

	* [r521] config/build.cfg: Bump version number to 0.61.06.
	  Hopefully the last revision before the release.

2007-06-12 09:58  pabs

	* [r520] config/configure.ac: Require version 0.04.09 of ETL to be
	  installed.

2007-06-11 20:35  pabs

	* [r517] bootstrap: Remove a bashism from the bootstrap script that
	  was leaving a weirdly named (configure.[ai][nc]) file in the
	  libltdl directory.

2007-06-11 14:28  pabs

	* [r513] src/synfig/Makefile.am: Distribute surfacenew.cpp, don't
	  build it

2007-06-11 12:16  pabs

	* [r511] Makefile.am, src/modules/Makefile.am,
	  src/modules/mod_ppm/Makefile.am, src/synfig/Makefile.am:
	  Distribute some files that were only in SVN before

2007-06-10 20:36  pabs

	* [r508] Makefile.am, src/synfig/Makefile.am: Remove the generated
	  nodebase.h, COPYING and INSTALL files on maintainer-clean

2007-06-10 20:17  pabs

	* [r505] Makefile.am, bootstrap: Generate the ChangeLog at
	  bootstrap time, make the ChangeLog Makefile target more robust

2007-06-10 10:13  pabs

	* [r503] src/modules/mod_libavcodec/Makefile.am: Fix 1697727:
	  workaround ffmpeg bug that requires libav* users to define
	  __STDC_CONSTANT_MACROS

2007-06-04 09:10  pabs

	* [r502] Makefile.am, config/configure.ac, examples/Makefile.am,
	  examples/walk/Makefile.am: Clean some stuff, distribute the walk
	  example and add a ChangeLog generation rule

2007-06-04 00:22  pabs

	* [r500] src/modules/lyr_freetype/Makefile.am,
	  src/modules/mod_geometry/Makefile.am: CXXFLAGS is for users, use
	  AM_CXXFLAGS instead

2007-06-03 23:53  pabs

	* [r495] bootstrap: Change automake invocation to use symlinks and
	  use the stricter gnu standards

2007-06-03 23:45  pabs

	* [r492] COPYING, INSTALL: Remove INSTALL and COPYING, they will be
	  supplied by automake

2007-06-03 05:14  pabs

	* [r491] NEWS: Mention the new odd/even winding style in NEWS

2007-06-03 05:13  pabs

	* [r490] src/synfig/Makefile.am: Release preparations: prevent
	  FTBFS due to quick_rng.h being missing from the make dist
	  produced tarball

2007-05-08 16:36  dooglus

	* [r483] Makefile.am, src/modules/mod_openexr/mod_openexr.nsh,
	  src/modules/mod_openexr/unmod_openexr.nsh, win32inst.nsi.in:
	  Apply 1714885: Windows version can be built with OpenEXR support
	  now. This patch enables OpenEXR support and includes required
	  files into the installer.

2007-05-06 22:19  dooglus

	* [r482] src/synfig/time.cpp: Don't always display the "0f" at the
	  end of times with zero frames. I want to be able to see "1m, 2m,
	  3m" when I zoom out of the time track, not "1m 0f, 2m 0f, 3m 0f".
	  Similarly with minutes and seconds.

2007-04-20 07:55  dooglus

	* [r480] src/modules/mod_gradient/curvegradient.h: I forgot to
	  commit this as part of r472. Sorry!

2007-04-18 09:55  dooglus

	* [r476] src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp: Partially fix 1702760: stop
	  compiler warning about mod_openexr/mptr_openexr.cpp,
	  mod_openexr/trgt_openexr.cpp, and mod_ppm/trgt_ppm.cpp.

2007-04-18 09:45  dooglus

	* [r474] src/modules/mod_png/trgt_png.cpp: Partially fix 1702760:
	  stop compiler warning about trgt_png.cpp.

2007-04-18 09:14  dooglus

	* [r472] NEWS, src/modules/mod_gradient/curvegradient.cpp: Added a
	  slower but more accurate find_closest() routine to _bezier.h.
	  Added a parameter to the curve gradient layer to optionally use
	  the new code.

2007-04-17 08:46  pabs

	* [r470] config/configure.ac, src/modules/mod_mng,
	  src/modules/mod_mng/Makefile.am, src/modules/mod_mng/main.cpp,
	  src/modules/mod_mng/mod_mng.nsh,
	  src/modules/mod_mng/trgt_mng.cpp, src/modules/mod_mng/trgt_mng.h,
	  src/modules/mod_mng/unmod_mng.nsh: Add a non-working, partial
	  implementation of MNG output

2007-04-15 15:11  dooglus

	* [r469] NEWS, src/modules/mod_noise/random.cpp,
	  src/synfig/guid.cpp, src/synfig/quick_rng.h: Fix 1698604: Moved
	  the quick_rng class into its own header, since it was present in
	  2 different source files. Use 'uint32_t' rather than 'long' as
	  the return type of the methods which expect to be returning 32
	  bit values.

2007-04-12 21:59  dooglus

	* [r467] examples/backdrop.sif, examples/eye.sif,
	  examples/macwolfen.sif, examples/pirates.sif,
	  examples/prologue_kid.sif: Removed leading whitespace from the
	  biggest 5 example files. This took pirates.sif from 24M down to
	  7.2M.

2007-04-12 15:10  dooglus

	* [r465] src/modules/mod_libavcodec/trgt_av.cpp,
	  src/synfig/curve_helper.cpp, src/synfig/curve_helper.h,
	  src/synfig/layer_shape.cpp, src/synfig/polynomial_root.cpp,
	  src/synfig/savecanvas.cpp, src/synfig/target.h: Typos.

2007-04-12 12:49  dooglus

	* [r463] src/synfig/valuenode_bline.cpp: More shuffling stuff
	  around without changing anything. Hopefully it's a bit clearer
	  what's going on now.

2007-04-12 12:19  dooglus

	* [r462] src/synfig/valuenode_bline.cpp: At last - a real change! I
	  think this is the bug I've been looking for. Don't add positions
	  into the mix when transforming tangents; keep positions and
	  tangents separate. We still want to transform the tangents, like
	  we do for positions, but don't add tangents to positions.

2007-04-12 12:15  dooglus

	* [r461] src/synfig/valuenode_bline.cpp: A few more comments and
	  other small changes.

2007-04-12 11:52  dooglus

	* [r460] src/synfig/valuenode_bline.cpp: Lots more changes which
	  hopefully change nothing but the clarity.

2007-04-12 09:34  dooglus

	* [r459] src/synfig/valuenode_bline.cpp: There was a large lump of
	  code inside an "if (false)" block. I commented it all out to make
	  it clearer that it's not being used.

2007-04-12 09:31  dooglus

	* [r458] src/synfig/valuenode_bline.cpp: Variable 'blend_time'
	  isn't needed - it's just a copy of 'off_time'. Use off_time
	  instead.

2007-04-12 09:23  dooglus

	* [r457] src/synfig/valuenode_bline.cpp: Removed some old commented
	  code; replaced with a comment saying that it was there, and what
	  it did.

2007-04-12 09:22  dooglus

	* [r456] src/synfig/valuenode_bline.cpp: No change to
	  functionality, just some variable renaming for clarity, and
	  commenting.

2007-04-11 20:01  dooglus

	* [r455] src/synfig/valuenode_bline.cpp: While looking into bug
	  1696331, I noticed that interpolation from zero tangents was
	  being treated differently in different verticies. Turns out it
	  was using a radial interpolation, which doesn't make much sense
	  for zero vectors (since they have no 'angle' to interpolate
	  from). Use linear interpolation in this case.

2007-04-10 21:30  dooglus

	* [r453] src/synfig/valuenode_bline.cpp: Partially fix 1696331:
	  This isn't the correct fix, but it does make at least the test
	  case in the bug report work a lot better.

2007-04-10 13:15  dooglus

	* [r450] bootstrap: Fixed a typo.

2007-04-09 19:32  dooglus

	* [r449] src/synfig/activepoint.h: Initialise the priority when
	  constructing a new Activepoint. Valgrind was complaining before,
	  and random priorities were being written to .sif files.

2007-04-09 16:07  dooglus

	* [r447] src/synfig/layer_shape.cpp, src/synfig/layer_shape.h: Add
	  'winding style' control, allowing the user to specify how regions
	  are filled in.

2007-04-09 15:55  dooglus

	* [r446] src/modules/mod_geometry/outline.cpp: Fix 1695755: Ignore
	  adjacent points if they are in exactly the same place.
	  
	  Fix 1692825: Render all cusps, even the first one. Only display a
	  cusp if tangents are split. This gives the user per-vertex
	  control over the rendering of cusps.
	  
	  Fix bug: The beginning isn't rounded if the first point has a
	  zero tangent
	  
	  Fix bug: Strange artifacts sometimes appear at the verticies of
	  outlines.
	  
	  Fix bug: Rounded ends were missing a point. This doesn't show up
	  with the default 50 points per rounded end, but reducing it to 5
	  or so shows up the problem.

2007-04-08 04:05  dooglus

	* [r445] src/synfig/loadcanvas.cpp: Fix 1696279: Check for and skip
	  whitespace before checking for priorities.

2007-04-08 03:42  dooglus

	* [r444] src/tool/main.cpp: Fix 1696282: To find the extension,
	  look for the last '.' in the output filename, not the first.

2007-04-07 21:55  dooglus

	* [r443] src/modules/mod_noise/random.cpp,
	  src/modules/mod_particle/random.cpp,
	  src/synfig/valuenode_dynamiclist.cpp: Fixed typo.

2007-04-06 13:09  dooglus

	* [r435] win32inst.nsi.in: Apply 1695482: install for all users in
	  the Windows installer. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:09  dooglus

	* [r434] src/modules/lyr_freetype/unlyr_freetype.nsh,
	  src/modules/lyr_std/unlyr_std.nsh,
	  src/modules/mod_bmp/unmod_bmp.nsh,
	  src/modules/mod_dv/unmod_dv.nsh,
	  src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	  src/modules/mod_filter/unmod_filter.nsh,
	  src/modules/mod_geometry/unmod_geometry.nsh,
	  src/modules/mod_gif/unmod_gif.nsh,
	  src/modules/mod_gradient/unmod_gradient.nsh,
	  src/modules/mod_imagemagick/unmod_imagemagick.nsh,
	  src/modules/mod_jpeg/unmod_jpeg.nsh,
	  src/modules/mod_libavcodec/unmod_libavcodec.nsh,
	  src/modules/mod_noise/unmod_noise.nsh,
	  src/modules/mod_openexr/unmod_openexr.nsh,
	  src/modules/mod_particle/unmod_particle.nsh,
	  src/modules/mod_png/unmod_png.nsh,
	  src/modules/mod_ppm/unmod_ppm.nsh,
	  src/modules/mod_yuv420p/unmod_yuv420p.nsh,
	  src/modules/untemplate.nsh, src/synfig/synfig.nsh,
	  src/tool/tool.nsh, win32inst.nsi.in: Apply 1695480: clean up
	  properly in the uninstall process for the Windows installer.
	  Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:07  dooglus

	* [r433] win32inst.nsi.in: Apply 1695479: remove unused libraries
	  from the Windows installer. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:06  dooglus

	* [r432] win32inst.nsi.in: Apply 1695477: fix the extension of the
	  config file in the Windows installer. Patch by Dmitriy
	  Pomerantsev (Atrus)

2007-04-06 13:05  dooglus

	* [r431] win32inst.nsi.in: Apply 1695475: fix the version stored in
	  the registry by the Windows installer. Patch by Dmitriy
	  Pomerantsev (Atrus)

2007-04-06 12:14  dooglus

	* [r430] src/modules/mod_geometry/rectangle.cpp: Fixed a bug I
	  introduced in r400. When rendering a rectange, if we find that it
	  doesn't actually need rendering because it's not in the current
	  tile, we still need to render what's behind it.

2007-04-06 00:18  dooglus

	* [r427] src/synfig/layer_shape.cpp: Use logical operators (&&, ||)
	  rather than arithmetic operators (&, |) where appropriate.

2007-04-05 05:16  pabs

	* [r426] AUTHORS, src/synfig/gradient.cpp, src/synfig/time.cpp: Fix
	  Debian 417720: FTBFS in gcc 4.3 due to not including all the
	  required headers. Patch by Martin Michlmayr

2007-04-04 23:38  dooglus

	* [r425] src/modules/mod_geometry/region.cpp: Fix 1694325: when
	  looping wasn't enabled, the region was being closed by looping
	  back to the end of the last curved segment, ignoring any straight
	  segments; what we really need to do is always just loop back to
	  the start of the line.

2007-04-04 21:10  dooglus

	* [r424] src/synfig/layer_shape.cpp: Moved an apostrophe.

2007-04-03 08:29  pabs

	* [r421] src/modules/mod_geometry/rectangle.h: Commit part of r401
	  that dooglus missed.

2007-04-02 14:51  dooglus

	* [r418] src/synfig/vector.h: Initialise vectors in constructor to
	  avoid warnings about uninitialised variables from valgrind.

2007-04-02 14:33  dooglus

	* [r417] src/synfig/layer_shape.cpp: Don't access edge_table->aabb
	  if it hasn't been initialised yet; prevents a warning from
	  valgrind. Commented 'initaabb' member variable. Improved
	  formatting a little.

2007-04-02 11:31  dooglus

	* [r416] src/modules/lyr_std/warp.cpp: Added a 'todo' to the
	  doxygen comments so it doesn't get lost.

2007-04-02 11:30  dooglus

	* [r415] src/synfig/canvas.cpp: Typo.

2007-04-01 14:28  dooglus

	* [r406] src/modules/lyr_std/warp.cpp: Fix 1692348, todo: revisit
	  the 'if(z>0 && z<horizon*2)' checks. Is there a better way to
	  determine the areas of interest?

2007-04-01 13:01  dooglus

	* [r405] src/modules/lyr_std/warp.cpp: Avoid a compiler warning
	  about initialisation order.

2007-04-01 08:54  dooglus

	* [r404] src/synfig/color.cpp: Allow a single hex digit in the hex
	  color box. The digit is repeated 6 times, so "0" gives black
	  (0x000000) and "f" gives white (0xffffff).

2007-03-31 22:11  dooglus

	* [r401] src/modules/mod_geometry/rectangle.cpp,
	  src/synfig/layer_composite.h: Rectangles are 'solid color' when
	  using straight blending if both the amount and the color's alpha
	  are 1.0.

2007-03-31 20:32  dooglus

	* [r400] src/modules/mod_geometry/rectangle.cpp: Don't waste time
	  rendering layers which are completely obscured by solid-colour
	  rectangles.

2007-03-31 19:46  dooglus

	* [r399] src/modules/mod_geometry/rectangle.cpp: Added some
	  comments to the code I recently fixed to make it clearer what's
	  going on there.

2007-03-31 19:01  dooglus

	* [r398] src/modules/mod_geometry/rectangle.cpp: Fix 1689329: if
	  the inverted rectangle we're rendering doesn't overlap the tile
	  we're rendering at all, don't attempt to draw its outlines. Doing
	  so can result in us drawing outside the tile's allocated memory.

2007-03-31 00:19  dooglus

	* [r396] src/synfig/target_scanline.cpp: If the rows are wider than
	  our PIXEL_RENDERING_LIMIT, then still render a row. Previously we
	  were deciding to render 0 rows at a time and getting a
	  divide-by-zero error in that case.

2007-03-30 23:59  dooglus

	* [r395] src/synfig/target_scanline.cpp: The value of `i' goes from
	  0 to rows-1, so to test for the last strip we need `i == rows-1',
	  not `i == rows'.

2007-03-29 14:52  dooglus

	* [r394] TODO: Typo.

2007-03-29 03:56  pabs

	* [r392] NEWS: Update NEWS file for the next release

2007-03-29 03:37  pabs

	* [r391] TODO: Eventually, it might be nice to have 16-bit PNG
	  output support

2007-03-27 16:33  dooglus

	* [r389] src/synfig/target_tile.cpp: Fixed a spelling mistake.

2007-03-24 19:45  dooglus

	* [r383] src/synfig/layer.h: Fixed a typo.

2007-03-24 19:43  dooglus

	* [r382] src/tool/main.cpp: The '-g gamma' argument is currently
	  ignored, but that shouldn't stop it being a legal argument.

2007-03-24 19:41  dooglus

	* [r381] README: Added my copyright to the README files, as
	  requested.

2007-03-24 02:32  dooglus

	* [r378] src/synfig/context.cpp: Fix a bug where inactive layers
	  (transform, scale, etc) were having an effect on the bounding
	  rectangle. Notice the change brings this function's behaviour
	  into line with that of get_color() and hit_check() in this file.

2007-03-23 21:06  dooglus

	* [r377] src/modules/lyr_std/zoom.cpp: Zoom layers change the size
	  of their content's bounding box. Fixed the
	  get_full_bounding_rect() function to reflect this.

2007-03-23 20:46  dooglus

	* [r376] src/modules/lyr_std/stretch.cpp,
	  src/modules/lyr_std/stretch.h: Stretch layers change the size of
	  their content's bounding box. Wrote a get_full_bounding_rect()
	  function to reflect this.

2007-03-23 18:03  dooglus

	* [r375] src/modules/mod_gradient/curvegradient.cpp: Fixed
	  indentation.

2007-03-23 17:01  dooglus

	* [r374] src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h: Removed unused members
	  p1, p2, diff.

2007-03-23 16:02  dooglus

	* [r373] src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/rotate.cpp,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/translate.cpp, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/xorpattern.cpp,
	  src/modules/mod_bmp/mptr_bmp.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_gif/trgt_gif.cpp,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_png/mptr_png.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/mptr_ppm.cpp,
	  src/modules/mod_ppm/trgt_ppm.cpp: Added missing $Id$ keyword to
	  the header.

2007-03-23 15:46  dooglus

	* [r372] src/modules/mod_gradient/curvegradient.cpp: Deleting all
	  the verticies from a Curve Gradient used to cause a crash. This
	  stops the crash. Perhaps a better fix would be to prevent the
	  user ever deleting the last vertex in any bline, but maybe
	  zero-length blines serve some purpose.

2007-03-23 14:08  dooglus

	* [r371] src/synfig/main.cpp: Fix "main.cpp:332: warning:
	  comparison between signed and unsigned integer expressions".

2007-03-22 18:54  dooglus

	* [r368] src/modules/mod_gradient/conicalgradient.cpp: Fix 1684240
	  (as it applies to conical gradients): Conical Gradient layers
	  suffer from the same problem as linear gradients.

2007-03-22 18:46  dooglus

	* [r367] src/modules/mod_gradient/spiralgradient.cpp: Fix 1684240
	  (as it applies to spiral gradients): Spiral Gradient layers
	  suffer from the same problem as linear gradients.

2007-03-22 18:28  dooglus

	* [r366] src/modules/mod_gradient/radialgradient.cpp: Fix 1684240
	  (as it applies to radial gradients): Radial Gradient layers
	  suffer from the same problem as linear gradients.

2007-03-22 18:15  dooglus

	* [r365] src/modules/mod_gradient/curvegradient.cpp: Fix 1684240
	  (as it applies to curve gradients): Curve Gradient layers suffer
	  from the same problem as linear gradients.

2007-03-21 11:18  dooglus

	* [r363] src/synfig/gradient.cpp: Fix 1684240: Several places were
	  multiplying the A component of the color by itself where they
	  shouldn't. Use premult_alpha() rather than operator* to prevent
	  this.

2007-03-21 01:54  dooglus

	* [r361] src/modules/mod_gradient/lineargradient.cpp: Partially fix
	  1684240: gets rid of most of the artifacts

2007-03-18 13:47  dooglus

	* [r356] src/synfig/color.cpp, src/synfig/color.h: Fixed a crash.
	  Revision 354's addition of the 'mutable String hex_;' in class
	  Color somehow caused studio to crash when opening any file. This
	  revision makes the new member static instead.

2007-03-18 02:38  dooglus

	* [r354] src/synfig/color.cpp, src/synfig/color.h: Implements
	  PXEGeek's http://synfig.org/Wish_list entry: "Optionally display
	  RGB in Hex in Color dialog"

2007-03-16 09:52  dooglus

	* [r345] config/doxygen.cfg.in: Backing out inadvertant change
	  r338.

2007-03-16 09:39  dooglus

	* [r344] config/pkgconfig.pc.in: Only substitute @synfigincludedir@
	  in once.

2007-03-16 08:24  dooglus

	* [r341] INSTALL, Makefile.am, bootstrap, config/ETL.m4,
	  config/configure.ac, config/synfig.m4, src/Makefile.am,
	  src/modules/Makefile.am, src/modules/example/Makefile.am,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mptr_mplayer/Makefile.am, src/synfig/Makefile.am,
	  src/synfig/proto/nodebase.px, src/tool/Makefile.am: Enabled $Id$
	  expansion.

2007-03-16 05:19  pabs

	* [r338] Makefile.am, config/ETL.m4, config/configure.ac,
	  config/doxygen.cfg.in, src/Makefile.am, src/modules/Makefile.am,
	  src/modules/example/Makefile.am,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mptr_mplayer/Makefile.am, src/synfig/Makefile.am,
	  src/tool/Makefile.am: Enable more $Id$ expansion.

2007-03-16 00:39  dooglus

	* [r335] src/modules/example/filledrect.cpp,
	  src/modules/example/filledrect.h, src/modules/example/main.cpp,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/metaballs.h,
	  src/modules/example/simplecircle.cpp,
	  src/modules/example/simplecircle.h,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp, src/modules/lyr_std/bevel.cpp,
	  src/modules/lyr_std/bevel.h,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/booleancurve.h,
	  src/modules/lyr_std/clamp.cpp, src/modules/lyr_std/clamp.h,
	  src/modules/lyr_std/import.cpp, src/modules/lyr_std/import.h,
	  src/modules/lyr_std/insideout.cpp,
	  src/modules/lyr_std/insideout.h, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/main.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/mandelbrot.h,
	  src/modules/lyr_std/radialgradient.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/rotate.h,
	  src/modules/lyr_std/shade.cpp, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/stretch.cpp, src/modules/lyr_std/stretch.h,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.cpp, src/modules/lyr_std/timeloop.h,
	  src/modules/lyr_std/translate.cpp,
	  src/modules/lyr_std/translate.h, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/warp.h, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h, src/modules/lyr_std/zoom.cpp,
	  src/modules/lyr_std/zoom.h, src/modules/mod_bmp/main.cpp,
	  src/modules/mod_bmp/mptr_bmp.cpp, src/modules/mod_bmp/mptr_bmp.h,
	  src/modules/mod_bmp/trgt_bmp.cpp, src/modules/mod_bmp/trgt_bmp.h,
	  src/modules/mod_dv/main.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h, src/modules/mod_ffmpeg/main.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/colorcorrect.h,
	  src/modules/mod_filter/halftone.cpp,
	  src/modules/mod_filter/halftone.h,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/main.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/circle.h,
	  src/modules/mod_geometry/main.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/rectangle.h,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/region.h,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h, src/modules/mod_gif/main.cpp,
	  src/modules/mod_gif/trgt_gif.cpp, src/modules/mod_gif/trgt_gif.h,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/conicalgradient.h,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/main.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/radialgradient.h,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.h,
	  src/modules/mod_imagemagick/main.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h,
	  src/modules/mod_jpeg/main.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.h,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.h,
	  src/modules/mod_libavcodec/main.cpp,
	  src/modules/mod_libavcodec/mptr.cpp,
	  src/modules/mod_libavcodec/mptr.h,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_libavcodec/trgt_av.h,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/main.cpp,
	  src/modules/mod_noise/noise.cpp, src/modules/mod_noise/noise.h,
	  src/modules/mod_noise/random.cpp, src/modules/mod_noise/random.h,
	  src/modules/mod_openexr/main.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/mptr_openexr.h,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.h,
	  src/modules/mod_particle/main.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h, src/modules/mod_png/main.cpp,
	  src/modules/mod_png/mptr_png.cpp, src/modules/mod_png/mptr_png.h,
	  src/modules/mod_png/trgt_png.cpp, src/modules/mod_png/trgt_png.h,
	  src/modules/mod_ppm/main.cpp, src/modules/mod_ppm/mptr_ppm.cpp,
	  src/modules/mod_ppm/mptr_ppm.h, src/modules/mod_ppm/trgt_mpg.cpp,
	  src/modules/mod_ppm/trgt_mpg.h, src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_ppm/trgt_ppm.h, src/modules/mod_yuv420p/main.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h,
	  src/modules/mptr_mplayer/main.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.h,
	  src/synfig/activepoint.cpp, src/synfig/activepoint.h,
	  src/synfig/angle.h, src/synfig/blinepoint.cpp,
	  src/synfig/blinepoint.h, src/synfig/blur.cpp, src/synfig/blur.h,
	  src/synfig/canvas.cpp, src/synfig/canvasbase.h,
	  src/synfig/color.cpp, src/synfig/color.h, src/synfig/context.cpp,
	  src/synfig/context.h, src/synfig/curve_helper.cpp,
	  src/synfig/curve_helper.h, src/synfig/curveset.cpp,
	  src/synfig/curveset.h, src/synfig/distance.cpp,
	  src/synfig/distance.h, src/synfig/exception.cpp,
	  src/synfig/exception.h, src/synfig/gamma.cpp, src/synfig/gamma.h,
	  src/synfig/general.h, src/synfig/gradient.cpp,
	  src/synfig/gradient.h, src/synfig/guid.cpp, src/synfig/guid.h,
	  src/synfig/guidset.h, src/synfig/importer.cpp,
	  src/synfig/importer.h, src/synfig/interpolation.h,
	  src/synfig/keyframe.cpp, src/synfig/keyframe.h,
	  src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_bitmap.cpp, src/synfig/layer_bitmap.h,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_mime.cpp, src/synfig/layer_mime.h,
	  src/synfig/layer_motionblur.cpp, src/synfig/layer_motionblur.h,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_pastecanvas.h,
	  src/synfig/layer_polygon.cpp, src/synfig/layer_polygon.h,
	  src/synfig/layer_shape.cpp, src/synfig/layer_shape.h,
	  src/synfig/layer_solidcolor.cpp, src/synfig/layer_solidcolor.h,
	  src/synfig/listimporter.cpp, src/synfig/listimporter.h,
	  src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h,
	  src/synfig/main.cpp, src/synfig/main.h, src/synfig/module.cpp,
	  src/synfig/module.h, src/synfig/mutex.cpp, src/synfig/mutex.h,
	  src/synfig/node.cpp, src/synfig/node.h, src/synfig/palette.cpp,
	  src/synfig/palette.h, src/synfig/paramdesc.cpp,
	  src/synfig/paramdesc.h, src/synfig/pch.h,
	  src/synfig/polynomial_root.cpp, src/synfig/polynomial_root.h,
	  src/synfig/protocol.h, src/synfig/real.h, src/synfig/rect.cpp,
	  src/synfig/rect.h, src/synfig/renddesc.cpp,
	  src/synfig/renddesc.h, src/synfig/render.cpp,
	  src/synfig/render.h, src/synfig/savecanvas.cpp,
	  src/synfig/savecanvas.h, src/synfig/segment.h,
	  src/synfig/smartfile.h, src/synfig/string.h,
	  src/synfig/string_decl.h, src/synfig/surface.cpp,
	  src/synfig/surface.h, src/synfig/surfacenew.cpp,
	  src/synfig/surfacenew.h, src/synfig/synfig.h,
	  src/synfig/target.cpp, src/synfig/target.h,
	  src/synfig/target_multi.cpp, src/synfig/target_multi.h,
	  src/synfig/target_null.cpp, src/synfig/target_null.h,
	  src/synfig/target_null_tile.cpp, src/synfig/target_null_tile.h,
	  src/synfig/target_scanline.cpp, src/synfig/target_scanline.h,
	  src/synfig/target_tile.cpp, src/synfig/target_tile.h,
	  src/synfig/time.cpp, src/synfig/time.h,
	  src/synfig/timepointcollect.cpp, src/synfig/timepointcollect.h,
	  src/synfig/transform.cpp, src/synfig/transform.h,
	  src/synfig/types.h, src/synfig/uniqueid.cpp,
	  src/synfig/uniqueid.h, src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_animated.h, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_bline.h, src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_composite.h, src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_const.h,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_radialcomposite.h,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_reference.h, src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalctangent.h,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_segcalcvertex.h,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_stripes.cpp, src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h,
	  src/synfig/vector.h, src/synfig/version.h,
	  src/synfig/waypoint.cpp, src/synfig/waypoint.h, src/template.cpp,
	  src/template.h, src/tool/main.cpp: Enable $Id$ expansion.
	  
	  Also, in src/synfig/layer.h I made a change to prevent a warning
	  from doxygen.

2007-03-16 00:29  dooglus

	* [r333] src/synfig/canvas.h: Minor change to stop a doxygen
	  warning. Doxygen doesn't like the \writeme before a commented
	  prototype. Complains with these strange warnings:
	  
	  .../synfig/src/synfig/canvas.h:383: Error: Unexpected character
	  `4'
	  .../synfig/src/synfig/canvas.h:383: Error: Unexpected character
	  `7'
	  
	  There is no `4' or `7' on line 383, or indeed anywhere in the
	  entire file other than the $Id$ keyword.

2007-03-15 23:58  dooglus

	* [r332] src/modules/mod_geometry/region.cpp: I left part of the
	  old header in this file by mistake. It's gone now.

2007-03-15 16:14  dooglus

	* [r331] src/synfig/layer_bitmap.h: Fixed the parameter names to
	  keep doxygen quiet (451 -> 446 lines of output).

2007-03-15 16:09  dooglus

	* [r330] src/synfig/color.h: Fixed the comment to stop doxygen
	  complaining. Also, use the 2nd parameter to set the alpha. This
	  function isn't currently called at all from anywhere as far as I
	  can tell.

2007-03-15 16:07  dooglus

	* [r329] src/modules/lyr_std/import.h,
	  src/synfig/layer_motionblur.h: Fixed the name of the last
	  parameter in the set_time() prototype to match that of the parent
	  class' prototype to stop doxygen complaining.

2007-03-15 15:38  dooglus

	* [r328] src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_bmp/mptr_bmp.h,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_jpeg/mptr_jpeg.h,
	  src/modules/mod_libavcodec/mptr.h,
	  src/modules/mod_openexr/mptr_openexr.h,
	  src/modules/mod_png/mptr_png.h, src/modules/mod_ppm/mptr_ppm.h:
	  Filled in the parameter names in the prototype of get_frame() to
	  keep doxygen quiet(er). Doxygen output lines down from 484 to 460
	  with this change.

2007-03-15 15:18  dooglus

	* [r327] src/synfig/layer.h: As in previous commit, 2 more
	  parameters were incorrectly named:
	  
	  * rend_desc -> renddesc
	  * callback -> cb
	  
	  doxygen output down from 664 lines to 484 lines now.

2007-03-15 15:12  dooglus

	* [r326] src/synfig/layer.h: One of the parameters was named
	  incorrectly in the prototype of get_color() and the corresponding
	  documentation. Fixed it to reduce the noise from doxygen (down
	  from 790 lines of output to 664 lines now).

2007-03-15 14:39  dooglus

	* [r324] src/modules/example/main.cpp,
	  src/modules/example/simplecircle.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp, src/modules/lyr_std/bevel.cpp,
	  src/modules/lyr_std/bevel.h,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/booleancurve.h,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp,
	  src/modules/lyr_std/insideout.h, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/main.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/mandelbrot.h,
	  src/modules/lyr_std/radialgradient.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/rotate.h,
	  src/modules/lyr_std/stretch.h,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/translate.cpp,
	  src/modules/lyr_std/translate.h, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/warp.cpp, src/modules/lyr_std/warp.h,
	  src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h, src/modules/mod_bmp/main.cpp,
	  src/modules/mod_bmp/mptr_bmp.cpp, src/modules/mod_bmp/mptr_bmp.h,
	  src/modules/mod_dv/main.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h, src/modules/mod_ffmpeg/main.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/main.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/main.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h, src/modules/mod_gif/main.cpp,
	  src/modules/mod_gif/trgt_gif.cpp, src/modules/mod_gif/trgt_gif.h,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/main.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_imagemagick/main.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h,
	  src/modules/mod_jpeg/main.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.h,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.h,
	  src/modules/mod_libavcodec/main.cpp,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_libavcodec/trgt_av.h,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/main.cpp,
	  src/modules/mod_noise/random.cpp, src/modules/mod_noise/random.h,
	  src/modules/mod_openexr/main.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/mptr_openexr.h,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.h,
	  src/modules/mod_particle/main.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h, src/modules/mod_png/main.cpp,
	  src/modules/mod_png/mptr_png.cpp, src/modules/mod_png/mptr_png.h,
	  src/modules/mod_png/trgt_png.cpp, src/modules/mod_png/trgt_png.h,
	  src/modules/mod_ppm/main.cpp, src/modules/mod_ppm/mptr_ppm.cpp,
	  src/modules/mod_ppm/mptr_ppm.h, src/modules/mod_ppm/trgt_mpg.cpp,
	  src/modules/mod_ppm/trgt_mpg.h, src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_ppm/trgt_ppm.h, src/modules/mod_yuv420p/main.cpp,
	  src/modules/mptr_mplayer/main.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.h, src/synfig/blur.cpp,
	  src/synfig/blur.h, src/synfig/color.cpp, src/synfig/context.cpp,
	  src/synfig/exception.cpp, src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/main.cpp,
	  src/synfig/main.h, src/synfig/module.cpp, src/synfig/module.h,
	  src/synfig/palette.cpp, src/synfig/palette.h, src/synfig/pch.h,
	  src/synfig/polynomial_root.cpp, src/synfig/renddesc.cpp,
	  src/synfig/renddesc.h, src/synfig/render.cpp,
	  src/synfig/render.h, src/synfig/surface.cpp,
	  src/synfig/timepointcollect.cpp, src/synfig/transform.cpp,
	  src/synfig/valuenode.cpp, src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_stripes.cpp,
	  src/synfig/valuenode_twotone.cpp, src/template.cpp,
	  src/template.h, src/tool/main.cpp: Fixing warnings from doxygen:
	  
	  * Added doxygen header where missing.
	  * Fixed bad \file commands where they were wrong.
	  * Etc.

2007-03-15 13:23  dooglus

	* [r323] src/synfig/valuenode_dynamiclist.h: Fixed a few typos.

2007-03-15 13:21  dooglus

	* [r322] src/modules/mod_geometry/outline.cpp: Commented the 'else'
	  and 'endif' of some long conditional blocks.

2007-03-15 12:16  dooglus

	* [r321] src/modules/mod_geometry/region.h: Added missing
	  '\endlegal'.

2007-03-15 12:15  dooglus

	* [r319] src/modules/mod_geometry/region.h: Fixed doxygen header,
	  preventing warning:
	  
	  Warning: namespace synfig already has a detailed description...

2007-03-15 11:07  dooglus

	* [r317] src/modules/mod_geometry/rectangle.cpp,
	  src/synfig/canvas.h, src/synfig/layer_polygon.h,
	  src/synfig/layer_shape.h, src/synfig/time.h: Fixed a few typos
	  which caused doxygen to complain.

2007-03-14 19:58  dooglus

	* [r314] src/synfig/valuenode_dynamiclist.cpp: Fix 1420091: Crash
	  when deleting vertex items. I don't think this is the right fix,
	  but it seems to stop the crash at least.

2007-03-13 15:26  pabs

	* [r312] config/build.cfg, config/project.spec.in,
	  examples/business_card.sif, win32inst.nsi.in: Fix some URLs

2007-03-12 22:47  dooglus

	* [r304] src/modules/example/filledrect.cpp,
	  src/modules/example/filledrect.h,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/metaballs.h,
	  src/modules/example/simplecircle.cpp,
	  src/modules/example/simplecircle.h,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_std/bevel.cpp, src/modules/lyr_std/bevel.h,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/booleancurve.h,
	  src/modules/lyr_std/clamp.cpp, src/modules/lyr_std/clamp.h,
	  src/modules/lyr_std/import.cpp, src/modules/lyr_std/import.h,
	  src/modules/lyr_std/insideout.cpp,
	  src/modules/lyr_std/insideout.h, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/mandelbrot.h,
	  src/modules/lyr_std/radialgradient.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/rotate.h,
	  src/modules/lyr_std/shade.cpp, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/stretch.cpp, src/modules/lyr_std/stretch.h,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.cpp, src/modules/lyr_std/timeloop.h,
	  src/modules/lyr_std/translate.cpp,
	  src/modules/lyr_std/translate.h, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/warp.h, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h, src/modules/lyr_std/zoom.cpp,
	  src/modules/lyr_std/zoom.h, src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_bmp/trgt_bmp.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/colorcorrect.h,
	  src/modules/mod_filter/halftone.cpp,
	  src/modules/mod_filter/halftone.h,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/circle.h,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/rectangle.h,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_gif/trgt_gif.cpp, src/modules/mod_gif/trgt_gif.h,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/conicalgradient.h,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/radialgradient.h,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.h,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.h,
	  src/modules/mod_libavcodec/main.cpp,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_libavcodec/trgt_av.h,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/noise.cpp,
	  src/modules/mod_noise/noise.h, src/modules/mod_noise/random.cpp,
	  src/modules/mod_noise/random.h,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h,
	  src/modules/mod_png/mptr_png.cpp,
	  src/modules/mod_png/trgt_png.cpp,
	  src/modules/mod_ppm/mptr_ppm.cpp,
	  src/modules/mod_ppm/trgt_mpg.cpp, src/modules/mod_ppm/trgt_mpg.h,
	  src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h,
	  src/modules/mptr_mplayer/mptr_mplayer.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.h,
	  src/synfig/activepoint.h, src/synfig/blinepoint.h,
	  src/synfig/blur.cpp, src/synfig/blur.h, src/synfig/canvas.cpp,
	  src/synfig/canvas.h, src/synfig/canvasbase.h,
	  src/synfig/color.cpp, src/synfig/color.h, src/synfig/context.cpp,
	  src/synfig/context.h, src/synfig/curve_helper.cpp,
	  src/synfig/curve_helper.h, src/synfig/curveset.cpp,
	  src/synfig/curveset.h, src/synfig/distance.cpp,
	  src/synfig/distance.h, src/synfig/exception.h,
	  src/synfig/gamma.cpp, src/synfig/gamma.h, src/synfig/general.h,
	  src/synfig/gradient.cpp, src/synfig/gradient.h,
	  src/synfig/guid.cpp, src/synfig/guid.h, src/synfig/guidset.h,
	  src/synfig/importer.cpp, src/synfig/importer.h,
	  src/synfig/interpolation.h, src/synfig/keyframe.cpp,
	  src/synfig/keyframe.h, src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_bitmap.cpp, src/synfig/layer_bitmap.h,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_mime.cpp, src/synfig/layer_motionblur.cpp,
	  src/synfig/layer_motionblur.h, src/synfig/layer_pastecanvas.cpp,
	  src/synfig/layer_pastecanvas.h, src/synfig/layer_polygon.cpp,
	  src/synfig/layer_polygon.h, src/synfig/layer_shape.cpp,
	  src/synfig/layer_shape.h, src/synfig/layer_solidcolor.cpp,
	  src/synfig/layer_solidcolor.h, src/synfig/listimporter.cpp,
	  src/synfig/listimporter.h, src/synfig/loadcanvas.cpp,
	  src/synfig/loadcanvas.h, src/synfig/main.cpp, src/synfig/main.h,
	  src/synfig/module.cpp, src/synfig/module.h, src/synfig/mutex.cpp,
	  src/synfig/mutex.h, src/synfig/node.cpp, src/synfig/node.h,
	  src/synfig/palette.cpp, src/synfig/palette.h,
	  src/synfig/paramdesc.h, src/synfig/polynomial_root.cpp,
	  src/synfig/polynomial_root.h, src/synfig/protocol.h,
	  src/synfig/rect.h, src/synfig/renddesc.cpp,
	  src/synfig/renddesc.h, src/synfig/render.cpp,
	  src/synfig/savecanvas.cpp, src/synfig/segment.h,
	  src/synfig/smartfile.h, src/synfig/surface.cpp,
	  src/synfig/surface.h, src/synfig/surfacenew.cpp,
	  src/synfig/surfacenew.h, src/synfig/target.cpp,
	  src/synfig/target.h, src/synfig/target_multi.h,
	  src/synfig/target_null.h, src/synfig/target_null_tile.h,
	  src/synfig/target_scanline.cpp, src/synfig/target_scanline.h,
	  src/synfig/target_tile.cpp, src/synfig/target_tile.h,
	  src/synfig/time.cpp, src/synfig/time.h,
	  src/synfig/timepointcollect.cpp, src/synfig/timepointcollect.h,
	  src/synfig/transform.cpp, src/synfig/transform.h,
	  src/synfig/uniqueid.h, src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_animated.h, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_bline.h, src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_composite.h, src/synfig/valuenode_const.h,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_radialcomposite.h,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_reference.h, src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalctangent.h,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_segcalcvertex.h,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_stripes.cpp, src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h,
	  src/synfig/vector.h, src/synfig/waypoint.h, src/tool/main.cpp,
	  synfig-core.xcodeproj/config.h: Removed trailing whitespace.

2007-03-12 13:08  dooglus

	* [r300] src/modules/lyr_std/warp.cpp,
	  src/modules/mod_filter/blur.cpp: Commented declaration of unused
	  variables.

2007-03-11 07:56  pabs

	* [r293] Makefile.am: Don't need to build anything other than a
	  tar.gz

2007-03-11 07:17  pabs

	* [r290] config/configure.ac, src/tool/Makefile.am: Fix 1678141:
	  link the synfig command line app with -lHalf to prevent FTBFS
	  using --enable-half

2007-03-11 07:15  pabs

	* [r289] src/synfig/color.h: Partially fix 1678141: add an int to
	  ColorAccumulator converter, same as the Color one

2007-03-11 06:26  pabs

	* [r288] src/synfig/value.h: Partially fix 1678141: value.h wasn't
	  including OpenEXR/half.h although it uses symbols from it

2007-03-11 05:55  pabs

	* [r287] src/modules/mod_libavcodec/trgt_av.cpp: Partially fix
	  mod_libavcodec: it can now render files without crashing. However
	  there be gremlins in that thar code, for example if
	  initialisation fails, synfig will return an error message as it
	  should and then crash on program shutdown! Also, encoding audio
	  with the video is not supported at all, since the code that does
	  that is disabled with comment and #ifdefs.

2007-03-11 04:40  pabs

	* [r286] src/modules/mod_libavcodec/trgt_av.cpp: Fix some error
	  handling in mod_libavcodec. Still crashes though.

2007-03-10 07:55  pabs

	* [r285] src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_libavcodec/mptr.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_png/mptr_png.cpp,
	  src/modules/mod_ppm/mptr_ppm.cpp: Use more consistent plugin
	  names

2007-03-10 07:54  pabs

	* [r284] src/synfig/target_scanline.cpp,
	  src/synfig/target_tile.cpp: Don't ignore target init() failures,
	  causes mod_libavcodec to crash synfig

2007-03-08 02:52  dooglus

	* [r274] config/configure.ac,
	  src/modules/mod_libavcodec/Makefile.am: Combine the check for
	  libavcodec and libavformat into a single search. Only if they're
	  both found do we build the libavcodec plugin.

2007-03-07 17:55  dooglus

	* [r272] config/configure.ac: Don't show $GLIB, since it's never
	  set.
	  
	  Tidied up the 'Configuration Summary' display.

2007-03-07 17:27  pabs

	* [r271] config/configure.ac,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_libavcodec/libavcodec,
	  src/modules/mod_libavcodec/libavformat,
	  src/modules/mod_libavcodec/trgt_av.cpp: Fix building
	  mod_libavcodec with recent libavcodec/libavformat and remove
	  ancient ffmpeg headers and code from SVN. The mod_libavcodec
	  plugin does crash when used though, that is something for a later
	  commit.

2007-03-07 12:41  pabs

	* [r270] examples/star.sif: Remove waypoints with the same time in
	  the examples.

2007-03-07 12:29  pabs

	* [r269] examples/backdrop.sif, examples/pirates.sif,
	  examples/prologue_kid.sif: For the examples, don't import files
	  that don't exist

2007-03-07 11:51  pabs

	* [r268] examples/SFAutomaton.ttf: Remove SFAutomaton.ttf from SVN
	  since we don't have permission to distribute it.

2007-03-03 13:29  dooglus

	* [r262] src/tool/main.cpp: Initialise last_time before using it
	  for the first time.

2007-03-02 23:15  dooglus

	* [r261] src/synfig/blinepoint.h: Initialise the tangents when
	  constructing a BLinePoint.

2007-03-02 16:00  dooglus

	* [r260] src/synfig/layer_pastecanvas.cpp: Fix 1671884: The origin
	  of PasteCanvas layers wasn't being taken into account when
	  calculating whether a PasteCanvas's bounding box overlapped with
	  the rest of the scene.

2007-03-01 02:37  darco

	* [r259] config/configure.ac, macosxbuild.sh,
	  src/synfig/module.cpp, src/synfig/savecanvas.cpp,
	  synfig-core.xcodeproj, synfig-core.xcodeproj/config.h,
	  synfig-core.xcodeproj/darco.mode1,
	  synfig-core.xcodeproj/darco.pbxuser,
	  synfig-core.xcodeproj/project.pbxproj, synfig.pbproj: Working
	  toward a MacOS X framework for Synfig...

2007-02-28 19:26  darco

	* [r258] src/synfig/color.h, src/synfig/time.cpp,
	  src/synfig/vector.h: A quick fix for the mysterious non working
	  isnan on MacOS X builds.

2007-02-26 00:31  dooglus

	* [r256] src/synfig/layer_pastecanvas.cpp: Initialise depth before
	  using it.

2007-02-25 06:07  dooglus

	* [r255] macosxbuild.sh: When displaying the configure command,
	  show the double quotes as well.

2007-02-25 00:29  pabs

	* [r249] README: Add missing copyright info to synfig README

2007-02-25 00:28  pabs

	* [r248] README: Update synfig description

2007-02-25 00:24  pabs

	* [r247] src/modules/mod_geometry/rectangle.cpp: Fix funny typo in
	  copyright information

2007-02-24 21:54  dooglus

	* [r246] src/modules/mod_geometry/outline.cpp: Fix 1668051: Don't
	  insert code for adding end or begin tip when there are less than
	  2 vertices in the outline.

2007-02-20 19:48  dooglus

	* [r245] src/synfig/layer.h: Fixed a typo.

2007-02-20 00:21  pabs

	* [r244] README: Update the README with some more information

2007-02-11 01:41  pabs

	* [r239] AUTHORS: Add an initial attempt at an AUTHORS file

2007-02-10 00:16  pabs

	* [r235] win32inst.nsi.in: Include the mod_dv, mod_ffmpeg, mod_gif,
	  mod_imagemagick modules in the Win32 installer. Patch by Dmitriy
	  Pomerantsev (Atrus).

2006-11-18 09:37  xerakko

	* [r229] src/modules/mod_gif/trgt_gif.cpp, src/synfig/blur.cpp,
	  src/synfig/layer_motionblur.cpp, src/synfig/target.cpp,
	  src/tool/main.cpp: Apply 1576355: variable used after it's been
	  free'd
	  Apply 1576389: missing command line argument can crash synfig
	  Apply 1576373: invalid palette entries are accessed in the GIF
	  target
	  Apply 1568922: poor granularity in blur sizes
	  Apply 1569078: typo: "aperature"
	  Apply 1571307: several variables are used before they are set
	  Apply 1570191: Widget_Distance don't notice when the units are
	  changed
	  Apply 1570319: default bline width is accessed before it is set
	  Patches by Chris Moore (dooglus)
	  
	  Also fix problem where gamma settings were breaking due to using
	  the localised form and causing weird colours.

2006-08-31 23:13  darco

	* [r227] src/synfig/context.h, src/synfig/savecanvas.cpp,
	  src/synfig/target_scanline.cpp, src/synfig/time.cpp: Fixed a
	  handful of bugs, including:
	  
	  * Time class was parsing BOT/SOT and EOT times incorrectly.
	  * Turned on automatic break-up for scanline renderer. This
	  enables the rendering of really large images without running out
	  of memory.
	  * One of the functions in synfig/context.h was incorrectly marked
	  as virtual.
	  * Misc other minor changes

2006-08-31 03:03  pabs

	* [r223] config/subs.m4: Workaround 1509627: add comment to
	  config/subs.m4 about the change to the default optimisation level
	  in r221

2006-08-30 19:56  darco

	* [r221] config/subs.m4, src/synfig/general.h,
	  src/synfig/loadcanvas.cpp: Minor cleanup in XML vector parsing.
	  Minor cleanup in ChangeLocale class. Changed the default
	  optimization level from 2 to 1, because -O2 is broken in GCC4.1.
	  The problem with GCC4.1 appears to be inside of loadcanvas.cpp
	  (Specificly in the vector parsing function mentioned above), so
	  this deserves further investigation in the future.

2006-08-14 08:17  pabs

	* [r217] bootstrap: Allow synfig to bootstrap in directories with
	  spaces in their names.

2006-08-10 13:50  pabs

	* [r215] src/modules/lyr_freetype/lyr_freetype.cpp: Workaround
	  1529489: turn problems setting the font size into a warning
	  instead of an error

2006-08-06 12:42  pabs

	* [r212] synfig.kdevprj: Wooops, missed .spec versioning in
	  synfig.kdevprj

2006-07-24 11:36  pabs

	* [r209] Makefile.am: Wooops, missed .spec versioning in
	  Makefile.am

2006-07-24 10:53  pabs

	* [r204] bootstrap: Don't add the version to the name of the .spec
	  files

2006-07-24 10:42  pabs

	* [r201] config/subs.m4: Disable -ffast-math, since it causes
	  broken code on some platforms

2006-07-24 06:34  pabs

	* [r199] bootstrap, config/synfig.m4, examples/about_dialog.sif,
	  pkg-info/macosx/core-resources/Welcome.txt,
	  pkg-info/macosx/core-resources/install.sh,
	  pkg-info/macosx/core-resources/upgrade.sh, synfig.kdevprj,
	  synfig.pbproj/darco.mode1, synfig.pbproj/darco.pbxuser,
	  synfig.pbproj/project.pbxproj, synfig.prj: Replace sinfg with
	  synfig where nessecary in a case-preserving way

2006-07-24 05:55  pabs

	* [r197] ., config, doc, examples, examples/walk, pkg-info,
	  pkg-info/macosx, pkg-info/macosx/core-resources, pkg-info/win32,
	  src, src/modules, src/modules/example, src/modules/lyr_freetype,
	  src/modules/lyr_std, src/modules/mod_bmp, src/modules/mod_dv,
	  src/modules/mod_ffmpeg, src/modules/mod_filter,
	  src/modules/mod_geometry, src/modules/mod_gif,
	  src/modules/mod_gradient, src/modules/mod_imagemagick,
	  src/modules/mod_jpeg, src/modules/mod_libavcodec,
	  src/modules/mod_libavcodec/libavcodec,
	  src/modules/mod_libavcodec/libavcodec/i386,
	  src/modules/mod_libavcodec/libavcodec/liba52,
	  src/modules/mod_libavcodec/libavcodec/libpostproc,
	  src/modules/mod_libavcodec/libavformat, src/modules/mod_noise,
	  src/modules/mod_openexr, src/modules/mod_particle,
	  src/modules/mod_png, src/modules/mod_ppm,
	  src/modules/mod_yuv420p, src/modules/mptr_mplayer, src/synfig,
	  src/synfig/proto, src/tool, src/vscrf, synfig.pbproj: Set
	  svn:ignore recursively

2006-07-24 05:43  pabs

	* [r196] ., src/modules/example/.cvsignore,
	  src/modules/lyr_freetype/.cvsignore,
	  src/modules/lyr_std/.cvsignore, src/modules/mod_bmp/.cvsignore,
	  src/modules/mod_dv/.cvsignore, src/modules/mod_ffmpeg/.cvsignore,
	  src/modules/mod_filter/.cvsignore,
	  src/modules/mod_geometry/.cvsignore,
	  src/modules/mod_gif/.cvsignore,
	  src/modules/mod_gradient/.cvsignore,
	  src/modules/mod_imagemagick/.cvsignore,
	  src/modules/mod_jpeg/.cvsignore, src/synfig/.cvsignore,
	  src/tool/.cvsignore: Move .cvsignore to svn:ignore property

2006-07-24 04:30  pabs

	* [r190] alphalicense.txt: Remove alphalicense.txt from SVN now
	  that synfig is fully GPL licenced.

2006-07-23 13:08  pabs

	* [r186] NEWS: Add a couple of SVN numbers known to correspond to
	  releases.

2006-07-21 05:24  pabs

	* [r184] src/modules/lyr_freetype/lyr_freetype.cpp: Fix 1525707:
	  fontconfig support patch had extra parentheses. Thanks to Daniel
	  Fort.

2006-07-12 16:47  pabs

	* [r183] config/configure.ac, src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_freetype/lyr_freetype.cpp: Fix Debian 368733:
	  implement fontconfig support

2006-06-28 15:28  pabs

	* [r182] src/synfig/module.cpp: Print a warning instead of an error
	  when we can't find a module, since it confuses users into
	  thinking their rendering failed when it didn't.

2006-06-23 04:32  pabs

	* [r181] src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Update mod_ffmpeg for
	  modern ffmpeg. Thanks to Luka Pravica for the diagnosis.

2006-06-03 20:12  darco

	* [r179] config/configure.ac, macosxbuild.sh: Minor PNG fix in
	  configure script. Updates to macosxbuild for universal builds.

2006-05-24 12:07  pabs

	* [r175] NEWS: Add initial attempt at a synfig NEWS file

2006-05-24 11:06  pabs

	* [r174] ChangeLog, ChangeLog.old: Remove ChangeLog and move old
	  stuff into ChangeLog.old (will use svn2cl)

2006-05-24 10:59  pabs

	* [r173] ChangeLog.old, NEWS: Move old changes from NEWS to
	  ChangeLog.old

2006-03-30 12:16  pabs

	* [r157] src/synfig/surface.cpp: Change to Andreas Jochens' patch
	  for Debian 358474 and Debian 359690

2006-03-26 07:09  pabs

	* [r155] src/synfig/surface.cpp: Fix 1349630: Fix synfig side of
	  amd64 FTBFS

2006-03-19 11:26  pabs

	* [r153] examples/Makefile.in: Remove generated Makefile.in

2006-03-04 06:03  pabs

	* [r147] TODO: Add urls to external feature requests.

2006-02-23 19:31  darco

	* [r126] ChangeLog, config/build.cfg,
	  pkg-info/macosx/core-resources/upgrade.sh: Bump version number.
	  Update ChangeLog. Add upgrade script to MacOS X package.

2006-02-04 11:06  pabs

	* [r124] config/configure.ac: Fix 1423944: switch to
	  AC_LIBLTDL_INSTALLABLE so we'll use the system libltdl when it's
	  available.

2006-01-31 06:44  pabs

	* [r123] config/configure.ac: Prevent FTBFS when we have both xft
	  and freetype2 installed.

2006-01-30 07:48  pabs

	* [r122] config/doxygen.cfg.in, synfig.pbproj/doxygen.cfg: Fix
	  1402909: update doxygen files

2006-01-27 01:30  pabs

	* [r117] src/synfig/Makefile.am: Fix 1414370: don't distribute .cpp
	  files as includes

2006-01-25 05:31  darco

	* [r116] config/configure.ac: Oops, I seem to be missing a K
	  here...

2006-01-10 21:05  darco

	* [r102] config/build.cfg, config/configure.ac,
	  examples/Makefile.in: Bump version number, check for convert and
	  only build mod_imagemagick when it is available.

2005-12-24 23:11  darco

	* [r101] src/modules/mod_openexr/main.cpp,
	  src/modules/mod_png/trgt_png.cpp, src/synfig/general.h: Fixed
	  some copyright issues

2005-12-24 23:09  darco

	* [r100] examples/Makefile.in, src/modules/mod_openexr/Makefile.am,
	  src/synfig/general.h, src/synfig/loadcanvas.cpp,
	  src/synfig/savecanvas.cpp: Fixed weird localization issue where
	  saves SIF files would use number in the local format

2005-12-08 22:53  darco

	* [r93] examples/Makefile.am: Don't distribute logo.tiff

2005-12-08 22:48  darco

	* [r92] examples/installer-logo.sif: Add installer-logo.sif

2005-12-08 22:43  darco

	* [r91] examples/Makefile.am,
	  pkg-info/macosx/core-resources/License.txt: Add
	  examples/Makefile.am and MacOS X package license.

2005-12-08 22:29  darco

	* [r90] src/modules/mod_libavcodec/libavcodec/Makefile.am,
	  src/modules/mod_libavcodec/libavformat/Makefile.am: Distribute
	  libav files for the Win32 installer.

2005-12-08 22:23  darco

	* [r89] TODO: Add TODO file.

2005-12-08 21:50  darco

	* [r78] Makefile.am, bootstrap, config/build.cfg,
	  config/configure.ac, examples/Makefile.in: A few more updates to
	  how the whole subversion thing works

2005-12-08 20:00  darco

	* [r74] Makefile.am, config/build.cfg, examples/Makefile.in:
	  Changed the "tagrelease" and "tagstable" make targets to use
	  subversion. Also incremented version to 0.61.03. Preparing for
	  release

2005-12-05 18:56  darco

	* [r69] config/project.spec.in, src/modules/example/main.cpp,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp,
	  src/modules/lyr_std/import.cpp,
	  src/modules/lyr_std/insideout.cpp,
	  src/modules/lyr_std/insideout.h, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/main.cpp,
	  src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/mandelbrot.h, src/modules/lyr_std/rotate.cpp,
	  src/modules/lyr_std/rotate.h,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.cpp,
	  src/modules/lyr_std/translate.cpp,
	  src/modules/lyr_std/translate.h, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/warp.h, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h,
	  src/modules/mod_bmp/mptr_bmp.cpp, src/modules/mod_bmp/mptr_bmp.h,
	  src/modules/mod_dv/main.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h, src/modules/mod_ffmpeg/main.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/main.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/main.cpp,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/region.h,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h, src/modules/mod_gif/main.cpp,
	  src/modules/mod_gif/trgt_gif.cpp, src/modules/mod_gif/trgt_gif.h,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/main.cpp,
	  src/modules/mod_imagemagick/main.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h,
	  src/modules/mod_jpeg/main.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.h,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.h, src/modules/mod_noise/main.cpp,
	  src/modules/mod_openexr/main.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/mptr_openexr.h,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.h,
	  src/modules/mod_particle/main.cpp, src/modules/mod_png/main.cpp,
	  src/modules/mod_png/mptr_png.cpp, src/modules/mod_png/mptr_png.h,
	  src/modules/mod_png/trgt_png.cpp, src/modules/mod_png/trgt_png.h,
	  src/modules/mod_ppm/main.cpp, src/modules/mod_ppm/mptr_ppm.cpp,
	  src/modules/mod_ppm/mptr_ppm.h, src/modules/mod_ppm/trgt_mpg.cpp,
	  src/modules/mod_ppm/trgt_mpg.h, src/modules/mod_ppm/trgt_ppm.cpp,
	  src/modules/mod_ppm/trgt_ppm.h, src/modules/mod_yuv420p/main.cpp,
	  src/modules/mptr_mplayer/main.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.h, src/synfig/pch.h,
	  src/synfig/surface.cpp: Removed more confidential notices

2005-11-29 04:28  darco

	* [r65] ChangeLog, src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h: Hopefully this fixes some
	  GCC 4.0 issues

2005-11-28 21:20  darco

	* [r64] COPYING, config/build.cfg: Bump version number. Put GPL2
	  instead of LGPL in the COPYING file.

2005-11-11 20:07  darco

	* [r62] bootstrap, examples/anime1.jpg, examples/candy.png,
	  examples/sparkle.png, examples/test.bmp, examples/wallpaper.png:
	  Remove anime1.jpg, test.bmp and rendered versions of the
	  candy/sparkle/wallpaper examples. Quote directory names in
	  boostrap, use cygpath.

2005-11-09 09:34  darco

	* [r50] bootstrap: Be sure to create nodebase.h during bootstrap.

2005-11-09 08:07  darco

	* [r44] macosxbuild.sh, src/modules/lyr_std/stretch.cpp: Fixed a
	  namespace issue. Disable G5 optimizations.

2005-11-09 07:48  darco

	* [r43] examples/Makefile.in: Add examples/Makefile.in to SVN.

2005-11-09 06:48  darco

	* [r42] ChangeLog, Makefile.am, config/build.cfg,
	  src/modules/lyr_std/stretch.cpp, src/modules/lyr_std/stretch.h:
	  Fixed namespace issues. Use synfig instead of synfig-core in the
	  tarname. Distribute subs.m4 in the tarball.

2005-11-06 04:49  darco

	* [r40] ChangeLog, Makefile.am, config/build.cfg,
	  config/configure.ac, examples/about_dialog.sif,
	  src/modules/example/filledrect.cpp,
	  src/modules/example/filledrect.h,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/metaballs.h,
	  src/modules/example/simplecircle.cpp,
	  src/modules/example/simplecircle.h,
	  src/modules/lyr_std/bevel.cpp, src/modules/lyr_std/bevel.h,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/booleancurve.h,
	  src/modules/lyr_std/clamp.cpp, src/modules/lyr_std/clamp.h,
	  src/modules/lyr_std/import.h,
	  src/modules/lyr_std/radialgradient.cpp,
	  src/modules/lyr_std/shade.cpp, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/stretch.cpp, src/modules/lyr_std/stretch.h,
	  src/modules/lyr_std/timeloop.h, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/zoom.cpp,
	  src/modules/lyr_std/zoom.h, src/modules/mod_bmp/main.cpp,
	  src/modules/mod_bmp/trgt_bmp.cpp, src/modules/mod_bmp/trgt_bmp.h,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/colorcorrect.h,
	  src/modules/mod_filter/halftone.cpp,
	  src/modules/mod_filter/halftone.h,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/circle.h,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/rectangle.h,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/conicalgradient.h,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/radialgradient.h,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.h,
	  src/modules/mod_libavcodec/main.cpp,
	  src/modules/mod_libavcodec/mptr.cpp,
	  src/modules/mod_libavcodec/mptr.h,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_libavcodec/trgt_av.h,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/noise.cpp,
	  src/modules/mod_noise/noise.h, src/modules/mod_noise/random.cpp,
	  src/modules/mod_noise/random.h,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h,
	  src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h, src/synfig/activepoint.cpp,
	  src/synfig/activepoint.h, src/synfig/angle.h,
	  src/synfig/blinepoint.cpp, src/synfig/blinepoint.h,
	  src/synfig/blur.cpp, src/synfig/blur.h, src/synfig/canvas.cpp,
	  src/synfig/canvas.h, src/synfig/canvasbase.h,
	  src/synfig/color.cpp, src/synfig/color.h, src/synfig/context.cpp,
	  src/synfig/context.h, src/synfig/curve_helper.cpp,
	  src/synfig/curve_helper.h, src/synfig/curveset.cpp,
	  src/synfig/curveset.h, src/synfig/distance.cpp,
	  src/synfig/distance.h, src/synfig/exception.cpp,
	  src/synfig/exception.h, src/synfig/gamma.cpp, src/synfig/gamma.h,
	  src/synfig/general.h, src/synfig/gradient.cpp,
	  src/synfig/gradient.h, src/synfig/guid.cpp, src/synfig/guid.h,
	  src/synfig/guidset.h, src/synfig/importer.cpp,
	  src/synfig/importer.h, src/synfig/interpolation.h,
	  src/synfig/keyframe.cpp, src/synfig/keyframe.h,
	  src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_bitmap.cpp, src/synfig/layer_bitmap.h,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_mime.cpp, src/synfig/layer_mime.h,
	  src/synfig/layer_motionblur.cpp, src/synfig/layer_motionblur.h,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_pastecanvas.h,
	  src/synfig/layer_polygon.cpp, src/synfig/layer_polygon.h,
	  src/synfig/layer_shape.cpp, src/synfig/layer_shape.h,
	  src/synfig/layer_solidcolor.cpp, src/synfig/layer_solidcolor.h,
	  src/synfig/listimporter.cpp, src/synfig/listimporter.h,
	  src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h,
	  src/synfig/main.cpp, src/synfig/main.h, src/synfig/module.cpp,
	  src/synfig/module.h, src/synfig/mutex.cpp, src/synfig/mutex.h,
	  src/synfig/node.cpp, src/synfig/node.h, src/synfig/palette.cpp,
	  src/synfig/palette.h, src/synfig/paramdesc.cpp,
	  src/synfig/paramdesc.h, src/synfig/polynomial_root.cpp,
	  src/synfig/polynomial_root.h, src/synfig/proto/nodebase.px,
	  src/synfig/protocol.h, src/synfig/real.h, src/synfig/rect.cpp,
	  src/synfig/rect.h, src/synfig/renddesc.cpp,
	  src/synfig/renddesc.h, src/synfig/render.cpp,
	  src/synfig/render.h, src/synfig/savecanvas.cpp,
	  src/synfig/savecanvas.h, src/synfig/segment.h,
	  src/synfig/smartfile.h, src/synfig/string.h,
	  src/synfig/string_decl.h, src/synfig/surface.h,
	  src/synfig/surfacenew.cpp, src/synfig/surfacenew.h,
	  src/synfig/synfig.h, src/synfig/target.cpp, src/synfig/target.h,
	  src/synfig/target_multi.cpp, src/synfig/target_multi.h,
	  src/synfig/target_null.cpp, src/synfig/target_null.h,
	  src/synfig/target_null_tile.cpp, src/synfig/target_null_tile.h,
	  src/synfig/target_scanline.cpp, src/synfig/target_scanline.h,
	  src/synfig/target_tile.cpp, src/synfig/target_tile.h,
	  src/synfig/time.cpp, src/synfig/time.h,
	  src/synfig/timepointcollect.cpp, src/synfig/timepointcollect.h,
	  src/synfig/transform.cpp, src/synfig/transform.h,
	  src/synfig/types.h, src/synfig/uniqueid.cpp,
	  src/synfig/uniqueid.h, src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_animated.h, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_bline.h, src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_composite.h, src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_const.h,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_radialcomposite.h,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_reference.h, src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalctangent.h,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_segcalcvertex.h,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_stripes.cpp, src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h,
	  src/synfig/vector.h, src/synfig/version.h,
	  src/synfig/waypoint.cpp, src/synfig/waypoint.h, src/template.cpp,
	  src/template.h, src/tool/main.cpp: Bump version number. Add a
	  ChangeLog file. Fix some of the licensing stuff. Distribute TODO
	  file. Add an about dialog .sif image. Remove alpha in .bmp files.
	  Comment out some palette code. Value/ValueBase changes.

2005-11-01 05:24  darco

	* [r38] Makefile.am, config/configure.ac,
	  src/modules/mod_libavcodec/Makefile.am: Do create a Makefile in
	  the examples dir. Distribute package script. Distribute
	  libavcodec headers.

2005-11-01 04:41  darco

	* [r37] config/configure.ac, src/synfig/Makefile.am: Don't create a
	  Makefile in the examples dir. NodeBase fixes.

2005-11-01 04:08  darco

	* [r36] COPYING, Makefile.am, README, config/pkg-support, doc/Gfx
	  mapping.txt, doc/hw-gfx-mapping.txt, src/modules/Makefile.am,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_std/Makefile.am, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_dv/Makefile.am,
	  src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_jpeg/Makefile.am,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_png/Makefile.am, src/modules/mod_ppm/Makefile.am,
	  src/modules/mod_yuv420p/Makefile.am, src/synfig/Makefile.am,
	  src/tool/Makefile.am, win32inst.nsi.in: Add the LGPL as COPYING.
	  Add placeholder README. Remove some MacOS X packaging files. Be
	  sure to distribute some files for the Win32 installer in the
	  tarball. Use COPYING as the license in the Win32 installer
	  instead of the alpha license.

2005-11-01 03:22  darco

	* [r35] Makefile.am, bootstrap, config/configure.ac,
	  macosxbuild.sh, src/synfig/node.cpp, src/synfig/time.cpp,
	  synfig.pc.in: Strip binaries in the MacOS X package. Disable
	  OpenEXR in the MacOS X package. Target 10.4 in the MacOS X
	  package. Remove pkg-config file. Misc fixes.

2005-10-31 00:14  darco

	* [r34] src/synfig/canvas.cpp, src/synfig/loadcanvas.cpp,
	  synfig.pc.in, win32inst.nsi.in: More file path fixes. Create an
	  item in the start menu to uninstall Synfig on Win32.

2005-10-30 01:34  darco

	* [r29] config/build.cfg,
	  src/modules/lyr_freetype/lyr_freetype.nsh,
	  src/modules/lyr_freetype/unlyr_freetype.nsh,
	  src/modules/lyr_std/unlyr_std.nsh,
	  src/modules/mod_bmp/mod_bmp.nsh,
	  src/modules/mod_bmp/unmod_bmp.nsh, src/modules/mod_dv/mod_dv.nsh,
	  src/modules/mod_dv/unmod_dv.nsh,
	  src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	  src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	  src/modules/mod_filter/mod_filter.nsh,
	  src/modules/mod_filter/unmod_filter.nsh,
	  src/modules/mod_geometry/mod_geometry.nsh,
	  src/modules/mod_geometry/unmod_geometry.nsh,
	  src/modules/mod_gif/mod_gif.nsh,
	  src/modules/mod_gif/unmod_gif.nsh,
	  src/modules/mod_gradient/mod_gradient.nsh,
	  src/modules/mod_gradient/unmod_gradient.nsh,
	  src/modules/mod_imagemagick/mod_imagemagick.nsh,
	  src/modules/mod_imagemagick/unmod_imagemagick.nsh,
	  src/modules/mod_jpeg/mod_jpeg.nsh,
	  src/modules/mod_jpeg/unmod_jpeg.nsh,
	  src/modules/mod_libavcodec/mod_libavcodec.nsh,
	  src/modules/mod_libavcodec/unmod_libavcodec.nsh,
	  src/modules/mod_noise/mod_noise.nsh,
	  src/modules/mod_noise/unmod_noise.nsh,
	  src/modules/mod_openexr/mod_openexr.nsh,
	  src/modules/mod_openexr/unmod_openexr.nsh,
	  src/modules/mod_particle/mod_particle.nsh,
	  src/modules/mod_particle/unmod_particle.nsh,
	  src/modules/mod_png/mod_png.nsh,
	  src/modules/mod_png/unmod_png.nsh,
	  src/modules/mod_ppm/mod_ppm.nsh,
	  src/modules/mod_ppm/unmod_ppm.nsh,
	  src/modules/mod_yuv420p/mod_yuv420p.nsh,
	  src/modules/mod_yuv420p/unmod_yuv420p.nsh,
	  src/modules/template.nsh, src/modules/untemplate.nsh,
	  synfig.pc.in, win32build.sh, win32inst.nsi.in: Only use svn info
	  when the .svn dir exists. Replace sinfg with synfig in the Win32
	  installer. Disable software expiry in Win32 installer. Also
	  install the libxml2 DLL in the Win32 installer.

2005-10-29 23:19  darco

	* [r28] bootstrap, src/modules/lyr_freetype/lyr_freetype.nsh,
	  src/modules/lyr_freetype/unlyr_freetype.nsh,
	  src/modules/lyr_std/unlyr_std.nsh,
	  src/modules/mod_bmp/mod_bmp.nsh,
	  src/modules/mod_bmp/unmod_bmp.nsh, src/modules/mod_dv/mod_dv.nsh,
	  src/modules/mod_dv/unmod_dv.nsh,
	  src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	  src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	  src/modules/mod_filter/mod_filter.nsh,
	  src/modules/mod_filter/unmod_filter.nsh,
	  src/modules/mod_geometry/mod_geometry.nsh,
	  src/modules/mod_geometry/unmod_geometry.nsh,
	  src/modules/mod_gif/mod_gif.nsh,
	  src/modules/mod_gif/unmod_gif.nsh,
	  src/modules/mod_gradient/mod_gradient.nsh,
	  src/modules/mod_gradient/unmod_gradient.nsh,
	  src/modules/mod_imagemagick/mod_imagemagick.nsh,
	  src/modules/mod_imagemagick/unmod_imagemagick.nsh,
	  src/modules/mod_jpeg/mod_jpeg.nsh,
	  src/modules/mod_jpeg/unmod_jpeg.nsh,
	  src/modules/mod_libavcodec/mod_libavcodec.nsh,
	  src/modules/mod_libavcodec/unmod_libavcodec.nsh,
	  src/modules/mod_noise/mod_noise.nsh,
	  src/modules/mod_noise/unmod_noise.nsh,
	  src/modules/mod_openexr/mod_openexr.nsh,
	  src/modules/mod_openexr/unmod_openexr.nsh,
	  src/modules/mod_particle/mod_particle.nsh,
	  src/modules/mod_particle/unmod_particle.nsh,
	  src/modules/mod_png/mod_png.nsh,
	  src/modules/mod_png/unmod_png.nsh,
	  src/modules/mod_ppm/mod_ppm.nsh,
	  src/modules/mod_ppm/unmod_ppm.nsh,
	  src/modules/mod_yuv420p/mod_yuv420p.nsh,
	  src/modules/mod_yuv420p/unmod_yuv420p.nsh,
	  src/modules/template.nsh, src/modules/untemplate.nsh,
	  src/synfig/synfig.nsh, src/tool/tool.nsh, synfig.pc.in,
	  win32build.sh, win32inst.nsi.in: Ignore failure when patching
	  ltmain.sh, add Win32 installer sections for each module, use
	  voria.com as the website in the Win32 installer

2005-07-08 09:22  darco

	* [r25] config/configure.ac, macosxbuild.sh,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h: Check for xft &
	  fontconfig when checking for freetype, add MacOS X specific font
	  handling, disable vImage in MacOS X package, enable G5
	  optimisations and use optimisation level 3 in MacOS X package

2005-04-19 23:09  darco

	* [r23] Makefile.am, config/configure.ac, config/doxygen.cfg.in,
	  config/pkgconfig.pc.in, src/Makefile.am, src/modules/Makefile.am,
	  src/modules/example/Makefile.am,
	  src/modules/example/filledrect.cpp,
	  src/modules/example/filledrect.h, src/modules/example/main.cpp,
	  src/modules/example/metaballs.cpp,
	  src/modules/example/metaballs.h,
	  src/modules/example/simplecircle.cpp,
	  src/modules/example/simplecircle.h,
	  src/modules/lyr_freetype/Makefile.am,
	  src/modules/lyr_freetype/lyr_freetype.cpp,
	  src/modules/lyr_freetype/lyr_freetype.h,
	  src/modules/lyr_freetype/main.cpp,
	  src/modules/lyr_std/Makefile.am, src/modules/lyr_std/bevel.cpp,
	  src/modules/lyr_std/bevel.h,
	  src/modules/lyr_std/booleancurve.cpp,
	  src/modules/lyr_std/booleancurve.h,
	  src/modules/lyr_std/clamp.cpp, src/modules/lyr_std/clamp.h,
	  src/modules/lyr_std/import.cpp, src/modules/lyr_std/import.h,
	  src/modules/lyr_std/insideout.cpp,
	  src/modules/lyr_std/insideout.h, src/modules/lyr_std/julia.cpp,
	  src/modules/lyr_std/julia.h, src/modules/lyr_std/lyr_std.nsh,
	  src/modules/lyr_std/main.cpp, src/modules/lyr_std/mandelbrot.cpp,
	  src/modules/lyr_std/mandelbrot.h,
	  src/modules/lyr_std/radialgradient.cpp,
	  src/modules/lyr_std/rotate.cpp, src/modules/lyr_std/rotate.h,
	  src/modules/lyr_std/shade.cpp, src/modules/lyr_std/shade.h,
	  src/modules/lyr_std/sphere_distort.cpp,
	  src/modules/lyr_std/sphere_distort.h,
	  src/modules/lyr_std/stretch.cpp, src/modules/lyr_std/stretch.h,
	  src/modules/lyr_std/supersample.cpp,
	  src/modules/lyr_std/supersample.h,
	  src/modules/lyr_std/timeloop.cpp, src/modules/lyr_std/timeloop.h,
	  src/modules/lyr_std/translate.cpp,
	  src/modules/lyr_std/translate.h, src/modules/lyr_std/twirl.cpp,
	  src/modules/lyr_std/twirl.h, src/modules/lyr_std/warp.cpp,
	  src/modules/lyr_std/warp.h, src/modules/lyr_std/xorpattern.cpp,
	  src/modules/lyr_std/xorpattern.h, src/modules/lyr_std/zoom.cpp,
	  src/modules/lyr_std/zoom.h, src/modules/mod_bmp/Makefile.am,
	  src/modules/mod_bmp/main.cpp, src/modules/mod_bmp/mptr_bmp.cpp,
	  src/modules/mod_bmp/mptr_bmp.h, src/modules/mod_bmp/trgt_bmp.cpp,
	  src/modules/mod_bmp/trgt_bmp.h, src/modules/mod_dv/Makefile.am,
	  src/modules/mod_dv/main.cpp, src/modules/mod_dv/trgt_dv.cpp,
	  src/modules/mod_dv/trgt_dv.h, src/modules/mod_ffmpeg/Makefile.am,
	  src/modules/mod_ffmpeg/main.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	  src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	  src/modules/mod_filter/Makefile.am,
	  src/modules/mod_filter/blur.cpp, src/modules/mod_filter/blur.h,
	  src/modules/mod_filter/colorcorrect.cpp,
	  src/modules/mod_filter/colorcorrect.h,
	  src/modules/mod_filter/halftone.cpp,
	  src/modules/mod_filter/halftone.h,
	  src/modules/mod_filter/halftone2.cpp,
	  src/modules/mod_filter/halftone2.h,
	  src/modules/mod_filter/halftone3.cpp,
	  src/modules/mod_filter/halftone3.h,
	  src/modules/mod_filter/lumakey.cpp,
	  src/modules/mod_filter/lumakey.h,
	  src/modules/mod_filter/main.cpp,
	  src/modules/mod_filter/radialblur.cpp,
	  src/modules/mod_filter/radialblur.h,
	  src/modules/mod_geometry/Makefile.am,
	  src/modules/mod_geometry/checkerboard.cpp,
	  src/modules/mod_geometry/checkerboard.h,
	  src/modules/mod_geometry/circle.cpp,
	  src/modules/mod_geometry/circle.h,
	  src/modules/mod_geometry/main.cpp,
	  src/modules/mod_geometry/outline.cpp,
	  src/modules/mod_geometry/outline.h,
	  src/modules/mod_geometry/rectangle.cpp,
	  src/modules/mod_geometry/rectangle.h,
	  src/modules/mod_geometry/region.cpp,
	  src/modules/mod_geometry/region.h,
	  src/modules/mod_geometry/star.cpp,
	  src/modules/mod_geometry/star.h, src/modules/mod_gif/Makefile.am,
	  src/modules/mod_gif/main.cpp, src/modules/mod_gif/trgt_gif.cpp,
	  src/modules/mod_gif/trgt_gif.h,
	  src/modules/mod_gradient/Makefile.am,
	  src/modules/mod_gradient/conicalgradient.cpp,
	  src/modules/mod_gradient/conicalgradient.h,
	  src/modules/mod_gradient/curvegradient.cpp,
	  src/modules/mod_gradient/curvegradient.h,
	  src/modules/mod_gradient/lineargradient.cpp,
	  src/modules/mod_gradient/lineargradient.h,
	  src/modules/mod_gradient/main.cpp,
	  src/modules/mod_gradient/radialgradient.cpp,
	  src/modules/mod_gradient/radialgradient.h,
	  src/modules/mod_gradient/spiralgradient.cpp,
	  src/modules/mod_gradient/spiralgradient.h,
	  src/modules/mod_imagemagick/Makefile.am,
	  src/modules/mod_imagemagick/main.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	  src/modules/mod_imagemagick/mptr_imagemagick.h,
	  src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	  src/modules/mod_imagemagick/trgt_imagemagick.h,
	  src/modules/mod_jpeg/Makefile.am, src/modules/mod_jpeg/main.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.cpp,
	  src/modules/mod_jpeg/mptr_jpeg.h,
	  src/modules/mod_jpeg/trgt_jpeg.cpp,
	  src/modules/mod_jpeg/trgt_jpeg.h,
	  src/modules/mod_libavcodec/Makefile.am,
	  src/modules/mod_libavcodec/main.cpp,
	  src/modules/mod_libavcodec/mptr.cpp,
	  src/modules/mod_libavcodec/mptr.h,
	  src/modules/mod_libavcodec/trgt_av.cpp,
	  src/modules/mod_libavcodec/trgt_av.h,
	  src/modules/mod_noise/Makefile.am,
	  src/modules/mod_noise/distort.cpp,
	  src/modules/mod_noise/distort.h, src/modules/mod_noise/main.cpp,
	  src/modules/mod_noise/noise.cpp, src/modules/mod_noise/noise.h,
	  src/modules/mod_noise/random.cpp, src/modules/mod_noise/random.h,
	  src/modules/mod_openexr/Makefile.am,
	  src/modules/mod_openexr/main.cpp,
	  src/modules/mod_openexr/mptr_openexr.cpp,
	  src/modules/mod_openexr/mptr_openexr.h,
	  src/modules/mod_openexr/trgt_openexr.cpp,
	  src/modules/mod_openexr/trgt_openexr.h,
	  src/modules/mod_particle/Makefile.am,
	  src/modules/mod_particle/main.cpp,
	  src/modules/mod_particle/plant.cpp,
	  src/modules/mod_particle/plant.h,
	  src/modules/mod_particle/random.cpp,
	  src/modules/mod_particle/random.h,
	  src/modules/mod_png/Makefile.am, src/modules/mod_png/main.cpp,
	  src/modules/mod_png/mptr_png.cpp, src/modules/mod_png/mptr_png.h,
	  src/modules/mod_png/trgt_png.cpp, src/modules/mod_png/trgt_png.h,
	  src/modules/mod_ppm/Makefile.am, src/modules/mod_ppm/main.cpp,
	  src/modules/mod_ppm/mptr_ppm.cpp, src/modules/mod_ppm/mptr_ppm.h,
	  src/modules/mod_ppm/trgt_mpg.cpp, src/modules/mod_ppm/trgt_mpg.h,
	  src/modules/mod_ppm/trgt_ppm.cpp, src/modules/mod_ppm/trgt_ppm.h,
	  src/modules/mod_yuv420p/Makefile.am,
	  src/modules/mod_yuv420p/main.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.cpp,
	  src/modules/mod_yuv420p/trgt_yuv.h,
	  src/modules/mptr_mplayer/Makefile.am,
	  src/modules/mptr_mplayer/main.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.cpp,
	  src/modules/mptr_mplayer/mptr_mplayer.h, src/synfig/Makefile.am,
	  src/synfig/activepoint.cpp, src/synfig/activepoint.h,
	  src/synfig/angle.h, src/synfig/blinepoint.cpp,
	  src/synfig/blinepoint.h, src/synfig/blur.cpp, src/synfig/blur.h,
	  src/synfig/canvas.cpp, src/synfig/canvas.h,
	  src/synfig/canvasbase.h, src/synfig/color.cpp,
	  src/synfig/color.h, src/synfig/context.cpp, src/synfig/context.h,
	  src/synfig/curve_helper.cpp, src/synfig/curve_helper.h,
	  src/synfig/curveset.cpp, src/synfig/curveset.h,
	  src/synfig/distance.cpp, src/synfig/distance.h,
	  src/synfig/exception.cpp, src/synfig/exception.h,
	  src/synfig/gamma.cpp, src/synfig/gamma.h, src/synfig/general.h,
	  src/synfig/gradient.cpp, src/synfig/gradient.h,
	  src/synfig/guid.cpp, src/synfig/guid.h, src/synfig/guidset.h,
	  src/synfig/importer.cpp, src/synfig/importer.h,
	  src/synfig/interpolation.h, src/synfig/keyframe.cpp,
	  src/synfig/keyframe.h, src/synfig/layer.cpp, src/synfig/layer.h,
	  src/synfig/layer_bitmap.cpp, src/synfig/layer_bitmap.h,
	  src/synfig/layer_composite.cpp, src/synfig/layer_composite.h,
	  src/synfig/layer_mime.cpp, src/synfig/layer_mime.h,
	  src/synfig/layer_motionblur.cpp, src/synfig/layer_motionblur.h,
	  src/synfig/layer_pastecanvas.cpp, src/synfig/layer_pastecanvas.h,
	  src/synfig/layer_polygon.cpp, src/synfig/layer_polygon.h,
	  src/synfig/layer_shape.cpp, src/synfig/layer_shape.h,
	  src/synfig/layer_solidcolor.cpp, src/synfig/layer_solidcolor.h,
	  src/synfig/listimporter.cpp, src/synfig/listimporter.h,
	  src/synfig/loadcanvas.cpp, src/synfig/loadcanvas.h,
	  src/synfig/main.cpp, src/synfig/main.h, src/synfig/module.cpp,
	  src/synfig/module.h, src/synfig/mutex.cpp, src/synfig/mutex.h,
	  src/synfig/node.cpp, src/synfig/node.h, src/synfig/palette.cpp,
	  src/synfig/palette.h, src/synfig/paramdesc.cpp,
	  src/synfig/paramdesc.h, src/synfig/pch.h,
	  src/synfig/polynomial_root.cpp, src/synfig/polynomial_root.h,
	  src/synfig/proto/nodebase.px, src/synfig/protocol.h,
	  src/synfig/real.h, src/synfig/rect.cpp, src/synfig/rect.h,
	  src/synfig/renddesc.cpp, src/synfig/renddesc.h,
	  src/synfig/render.cpp, src/synfig/render.h,
	  src/synfig/savecanvas.cpp, src/synfig/savecanvas.h,
	  src/synfig/segment.h, src/synfig/sinfg.h, src/synfig/sinfg.nsh,
	  src/synfig/smartfile.h, src/synfig/string.h,
	  src/synfig/string_decl.h, src/synfig/surface.cpp,
	  src/synfig/surface.h, src/synfig/surfacenew.cpp,
	  src/synfig/surfacenew.h, src/synfig/synfig.h,
	  src/synfig/synfig.nsh, src/synfig/target.cpp,
	  src/synfig/target.h, src/synfig/target_multi.cpp,
	  src/synfig/target_multi.h, src/synfig/target_null.cpp,
	  src/synfig/target_null.h, src/synfig/target_null_tile.cpp,
	  src/synfig/target_null_tile.h, src/synfig/target_scanline.cpp,
	  src/synfig/target_scanline.h, src/synfig/target_tile.cpp,
	  src/synfig/target_tile.h, src/synfig/time.cpp, src/synfig/time.h,
	  src/synfig/timepointcollect.cpp, src/synfig/timepointcollect.h,
	  src/synfig/transform.cpp, src/synfig/transform.h,
	  src/synfig/types.h, src/synfig/uniqueid.cpp,
	  src/synfig/uniqueid.h, src/synfig/value.cpp, src/synfig/value.h,
	  src/synfig/valuenode.cpp, src/synfig/valuenode.h,
	  src/synfig/valuenode_animated.cpp,
	  src/synfig/valuenode_animated.h, src/synfig/valuenode_bline.cpp,
	  src/synfig/valuenode_bline.h, src/synfig/valuenode_composite.cpp,
	  src/synfig/valuenode_composite.h, src/synfig/valuenode_const.cpp,
	  src/synfig/valuenode_const.h,
	  src/synfig/valuenode_dynamiclist.cpp,
	  src/synfig/valuenode_dynamiclist.h,
	  src/synfig/valuenode_gradientrotate.cpp,
	  src/synfig/valuenode_gradientrotate.h,
	  src/synfig/valuenode_linear.cpp, src/synfig/valuenode_linear.h,
	  src/synfig/valuenode_radialcomposite.cpp,
	  src/synfig/valuenode_radialcomposite.h,
	  src/synfig/valuenode_reference.cpp,
	  src/synfig/valuenode_reference.h, src/synfig/valuenode_scale.cpp,
	  src/synfig/valuenode_scale.h,
	  src/synfig/valuenode_segcalctangent.cpp,
	  src/synfig/valuenode_segcalctangent.h,
	  src/synfig/valuenode_segcalcvertex.cpp,
	  src/synfig/valuenode_segcalcvertex.h,
	  src/synfig/valuenode_sine.cpp, src/synfig/valuenode_sine.h,
	  src/synfig/valuenode_stripes.cpp, src/synfig/valuenode_stripes.h,
	  src/synfig/valuenode_subtract.cpp,
	  src/synfig/valuenode_subtract.h,
	  src/synfig/valuenode_timedswap.cpp,
	  src/synfig/valuenode_timedswap.h,
	  src/synfig/valuenode_twotone.cpp, src/synfig/valuenode_twotone.h,
	  src/synfig/vector.h, src/synfig/version.h,
	  src/synfig/waypoint.cpp, src/synfig/waypoint.h, src/template.cpp,
	  src/template.h, src/tool/Makefile.am, src/tool/main.cpp,
	  src/tool/tool.nsh, synfig-config.in, synfig.pbproj/config.h,
	  synfig.pbproj/doxygen.cfg, synfig.pc.in, win32inst.nsi.in: Change
	  lots of uses of sinfg to synfig

2005-04-19 22:42  darco

	* [r21] config/pkg-support/sinfg-devel.info,
	  config/pkg-support/synfig-devel.info, config/sinfg.m4,
	  config/synfig.m4, sinfg-config.in, sinfg.kdevprj, sinfg.pbproj,
	  sinfg.pc.in, sinfg.prj, src/sinfg, src/synfig, synfig-config.in,
	  synfig.kdevprj, synfig.pbproj, synfig.pc.in, synfig.prj: Rename
	  more files from sinfg to synfig

2005-04-19 22:39  darco

	* [r20] src/modules/sinfg_modules.cfg.in,
	  src/modules/synfig_modules.cfg.in: Rename sinfg_modules.cfg.in to
	  synfig_modules.cfg.in

2005-04-19 21:58  darco

	* [r19] examples/business_card.sif, src/sinfg/Makefile.am,
	  src/sinfg/node.cpp, src/sinfg/node.h,
	  src/sinfg/proto/nodebase.px, src/sinfg/proto/proto.m4,
	  src/sinfg/protocol.h, src/tool/Makefile.am: Update the
	  business-card example, use the new nodebase.h header, remove
	  commented out nodebase macros, add stub protocol.h, rename
	  command-line tool from sinfg to synfig

2005-04-18 01:19  darco

	* [r18] src/sinfg/proto, src/sinfg/proto/Makefile,
	  src/sinfg/proto/nodebase.px, src/sinfg/proto/proto.m4: Add the
	  machinery to generate nodebase.h

2005-04-17 18:59  darco

	* [r17] macosxbuild.sh: MacOS X package: disable G5 optimisations,
	  use optimisation level 2, enable vImage support, allow using a
	  different CC/CXX.

2005-04-17 17:40  darco

	* [r16] config/package: Add forgotten MacOS X packaging script

2005-04-11 23:46  darco

	* [r14] macosxbuild.sh, src/sinfg/main.cpp: Added support for the
	  SYNFIG_MODULE_LIST environment variable.

2005-04-08 03:24  darco

	* [r13] Makefile.am, bootstrap, config/build.cfg,
	  config/configure.ac, config/ltmain.patch, macosxbuild.sh,
	  pkg-info, pkg-info/macosx, pkg-info/macosx/core-resources,
	  pkg-info/macosx/core-resources/ReadMe.txt,
	  pkg-info/macosx/core-resources/Welcome.txt,
	  pkg-info/macosx/core-resources/install.sh,
	  pkg-info/macosx/synfig-core.info.in, pkg-info/win32,
	  src/modules/mod_geometry/Makefile.am: Add MacOS X packaging,
	  support SVN in bootstrap, patch ltmain.sh in boostrap, use SVN
	  revisions in the version number

2005-03-24 21:14  darco

	* [r4] CVS, Makefile.am, config/CVS, config/configure.ac,
	  config/pkg-support/CVS, config/pkg-support/devel-resources/CVS,
	  config/subs.m4, doc/CVS, doxygen.cfg, examples/CVS,
	  examples/walk/CVS, sinfg.pbproj/CVS, src/CVS, src/modules/CVS,
	  src/modules/example/CVS, src/modules/lyr_freetype/CVS,
	  src/modules/lyr_freetype/Makefile.am, src/modules/lyr_std/CVS,
	  src/modules/mod_bmp/CVS, src/modules/mod_dv/CVS,
	  src/modules/mod_ffmpeg/CVS, src/modules/mod_filter/CVS,
	  src/modules/mod_geometry/CVS, src/modules/mod_gif/CVS,
	  src/modules/mod_gradient/CVS, src/modules/mod_imagemagick/CVS,
	  src/modules/mod_jpeg/CVS, src/modules/mod_libavcodec/CVS,
	  src/modules/mod_libavcodec/libavcodec/CVS,
	  src/modules/mod_libavcodec/libavcodec/i386/CVS,
	  src/modules/mod_libavcodec/libavcodec/liba52/CVS,
	  src/modules/mod_libavcodec/libavcodec/libpostproc/CVS,
	  src/modules/mod_libavcodec/libavformat/CVS,
	  src/modules/mod_noise/CVS, src/modules/mod_openexr/CVS,
	  src/modules/mod_particle/CVS, src/modules/mod_png/CVS,
	  src/modules/mod_ppm/CVS, src/modules/mod_yuv420p/CVS,
